<!doctype html>
<html class="no-js" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title><?php echo e(config('app.name')); ?></title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Place favicon.ico in the root directory -->
    <link rel="shortcut icon" type="image/x-icon" href="<?php echo e(asset('assets/images/favicon.ico')); ?>">
    <link rel="apple-touch-icon" href="apple-touch-icon.png">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>" />
    <!-- All css files are included here. -->
    <!-- Bootstrap fremwork main css -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/all.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-awesome.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-techmarket.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/blue.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/custom.css')); ?>">
</head>
<body class="woocommerce-active page-template-template-landingpage-v2 can-uppercase">
<?php if($errors->any()): ?>
    <?php echo $__env->make('partials.notify', ['text' => $errors->first()], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php endif; ?>
<div id="page" class="hfeed site">
    <header id="masthead" style="background-image: none;">
            <?php echo $__env->make('partials.nav_general', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    </header>
    <!-- .header-v6 -->
    <!-- ============================================================= Header End ============================================================= -->
    <div id="content" class="site-content" tabindex="-1">
            <div class="row">
                <div id="primary" class="content-area">
                    <main id="main" class="site-main">
                        <div id="landslider" class="carousel slide" data-ride="carousel">
                            <div>
                        <ul class="carousel-indicators">
                            <li data-target="#landslider" data-slide-to="0" class="active"></li>
                            <li data-target="#landslider" data-slide-to="1"></li>
                        </ul>
                        <div class="carousel-inner">
                            <div class="carousel-item active">
                                <img src="<?php echo e(asset('assets/images/landing/homeslider_2.png')); ?>" alt="Slider" >
                            </div>
                            <div class="carousel-item">
                                <img src="<?php echo e(asset('assets/images/landing/homeslider_1.png')); ?>" alt="Slider" >
                            </div>
                        </div>
                        <a class="carousel-control-prev" href="#landslider" data-slide="prev">
                            <span class="carousel-control-prev-icon"></span>
                        </a>
                        <a class="carousel-control-next" href="#landslider" data-slide="next">
                            <span class="carousel-control-next-icon"></span>
                        </a>
                        </div>
                        </div>
                        <div class="quick-scroll about">
                            <a class="quick-scroll-icon" href="#about">
                                <i class="tm tm-arrow-down"></i>
                            </a>
                        </div>

                        <div class="row justify-content-center" id="about">
                            <div class="col-sm-6 text-center about_box">
                                <img src="<?php echo e(asset('assets/images/landing/about.png')); ?>" alt="" class="about_img">
                            </div>
                            <div class="col-sm-6 text-left landing_about pt-5">
                                <div class="container about_content">
                                <h2 style="color:#3D1A57" class="pt-5"><strong>About Rewards Box</strong><br> <span class="font-weight-light"> Company</span></h2>
                            <p class="pr-5 pl-2">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Aspernatur, at blanditiis dolor doloribus harum iste, laboriosam, nam nesciunt placeat quaerat quam quis rem vero. Asperiores cupiditate, maiores? Animi, obcaecati, rem.</p>
                            <p class="pr-5 pl-2">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Aspernatur, at blanditiis dolor doloribus harum iste, laboriosam, nam nesciunt placeat quaerat quam quis rem vero. Asperiores cupiditate, maiores? Animi, obcaecati, rem.</p>
                            </div>
                            </div>

                        </div>

                        <div class="quick-scroll landing_categories">
                            <a class="quick-scroll-icon" href="#products-categories">
                                <i class="tm tm-arrow-down"></i>
                            </a>
                        </div>

                        <div class="row">
                        <section id="products-categories" style="
                                background-size: cover;
                                background-position: center center;
                                background-image: url(<?php echo e(asset('assets/images/landing/catbagrnd.jpg')); ?>);
                                padding: 3em 10px;
                                background-attachment: fixed;
                                " >
                            <div class="col-full">
                                <header class="section-header text-white text-center">
                                    <div class="container" style="margin-bottom: 6em; position:relative;">
                                    <h2 class="landing_categories_title">
                                        <strong>Choose a category </strong>
                                    </h2>
                                    <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Alias animi culpa illum ipsa iure laborum quasi qui quidem totam? Aut impedit magnam maiores placeat possimus provident quaerat ratione sequi sunt.</p>
                                    </div>
                                </header>
                                <!-- .section-header -->
                                <div class="row">
                                    <div class="col-md-4 col-sm-6 featured_menu">
                                        <img src="<?php echo e(asset('assets/images/landing/cats/cinema.png')); ?>" class="landing_categories_img" alt="">
                                    </div>
                                    <div class="col-md-4 col-sm-6 featured_menu">
                                        <img src="<?php echo e(asset('assets/images/landing/cats/billsair.png')); ?>" class="landing_categories_img" alt="">
                                    </div>
                                    <div class="col-md-4 featured_menu">
                                        <img src="<?php echo e(asset('assets/images/landing/cats/travel.png')); ?>" class="landing_categories_img" alt="">
                                    </div>
                                    <div class="col-md-4 featured_menu">
                                        <img src="<?php echo e(asset('assets/images/landing/cats/meals.png')); ?>" class="landing_categories_img" alt="">
                                    </div>
                                    <div class="col-md-4 featured_menu">
                                        <a href="<?php echo e(url('experiences')); ?>">
                                        <img src="<?php echo e(asset('assets/images/landing/cats/experiences.png')); ?>" class="landing_categories_img" alt="International Experiences">
                                        </a>
                                    </div>
                                    <div class="col-md-4 featured_menu">
                                        <a href="<?php echo e(url('catalogue')); ?>">
                                        <img src="<?php echo e(asset('assets/images/landing/cats/merchandise.png')); ?>" class="landing_categories_img" alt="">
                                        </a>
                                    </div>
                                </div>
                                <!-- .row -->
                            </div>
                            <!-- .col-full -->
                        </section>
                        </div>

                        <div class="quick-scroll features">
                            <a class="quick-scroll-icon" href="#features">
                                <i class="tm tm-arrow-down"></i>
                            </a>
                        </div>

                        <div class="row justify-content-center features_container" id="features">

                            <div class="col-sm-12 text-center mb-5">
                                <h3><span>Features of </span><br> <strong>Rewards Box Company</strong></h3>

                            </div>
                            <div class="col-md-4 text-center feature_box ">
                                <div class="feature_1 text-white">
                                <img src="<?php echo e(asset('assets/images/landing/features/1.png')); ?>" alt="">
                                <h3>Statements</h3>
                                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Accusantium doloremque dolorum, et laboriosam minima praesentium provident quam quod repellat saepe!
                                </p>
                                </div>
                            </div>
                             <div class="col-md-4 text-center feature_box">
                              <div class="feature_2 text-white">
                                <img src="<?php echo e(asset('assets/images/landing/features/2.png')); ?>" alt="">
                                <h3>Instant Notifications</h3>
                                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Accusantium doloremque dolorum, et laboriosam minima praesentium provident quam quod repellat saepe!</p>
                            </div>
                              </div>
                            <div class="col-md-4 text-center feature_box">
                                <div class="feature_3 text-white">
                                <img src="<?php echo e(asset('assets/images/landing/features/3.png')); ?>" alt="">
                                <h3>Profile</h3>
                                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Accusantium doloremque dolorum, et laboriosam minima praesentium provident quam quod repellat saepe!</p>
                            </div>
                            </div>
                            </div>

                        <div class="quick-scroll mt-5">
                            <a class="quick-scroll-icon" href="#contact-us">
                                <i class="tm tm-arrow-down"></i>
                            </a>
                        </div>

                        <div class="row contact-info justify-content-center mt-5" id="contact-us" style="background-color: #f4f4f4;">
                            <div class="col-md-6">
                                <div class="text-block">
                                    <h2 class="contact-page-title">Contact us</h2>
                                    <p>Your messages are important to us, we want to hear from you.</p>
                                </div>
                                <div class="contact-form">
                                    <div role="form" class="wpcf7" id="wpcf7-f425-o1" lang="en-US" dir="ltr">
                                        <div class="screen-reader-response"></div>
                                        <form class="wpcf7-form" novalidate="novalidate">
                                            <div style="display: none;">
                                                <input type="hidden" name="_wpcf7" value="425">
                                                <input type="hidden" name="_wpcf7_version" value="4.5.1">
                                                <input type="hidden" name="_wpcf7_locale" value="en_US">
                                                <input type="hidden" name="_wpcf7_unit_tag" value="wpcf7-f425-o1">
                                                <input type="hidden" name="_wpnonce" value="e6363d91dd">
                                            </div>
                                            <div class="form-group row">
                                                <div class="col-xs-12 col-md-6">
                                                    <label>First name
                                                        <abbr title="required" class="required">*</abbr>
                                                    </label>
                                                    <br>
                                                    <span class="wpcf7-form-control-wrap first-name">
                                                                        <input type="text" aria-invalid="false" aria-required="true" class="wpcf7-form-control wpcf7-text wpcf7-validates-as-required input-text" size="40" value="" name="first-name">
                                                                    </span>
                                                </div>
                                                <!-- .col -->
                                                <div class="col-xs-12 col-md-6">
                                                    <label>Last name
                                                        <abbr title="required" class="required">*</abbr>
                                                    </label>
                                                    <br>
                                                    <span class="wpcf7-form-control-wrap last-name">
                                                                        <input type="text" aria-invalid="false" aria-required="true" class="wpcf7-form-control wpcf7-text wpcf7-validates-as-required input-text" size="40" value="" name="last-name">
                                                                    </span>
                                                </div>
                                                <!-- .col -->
                                            </div>
                                            <!-- .form-group -->
                                            <div class="form-group">
                                                <label>Subject</label>
                                                <br>
                                                <span class="wpcf7-form-control-wrap subject">
                                                                    <input type="text" aria-invalid="false" class="wpcf7-form-control wpcf7-text input-text" size="40" value="" name="subject">
                                                                </span>
                                            </div>
                                            <!-- .form-group -->
                                            <div class="form-group">
                                                <label>Your Message</label>
                                                <br>
                                                <span class="wpcf7-form-control-wrap your-message">
                                                                    <textarea aria-invalid="false" class="wpcf7-form-control wpcf7-textarea" rows="10" cols="40" name="your-message"></textarea>
                                                                </span>
                                            </div>
                                            <!-- .form-group-->
                                            <div class="form-group clearfix">
                                                <p>
                                                    <input type="submit" value="Send Message" class="wpcf7-form-control wpcf7-submit custom_button_color">
                                                </p>
                                            </div>
                                            <!-- .form-group-->
                                            <div class="wpcf7-response-output wpcf7-display-none"></div>
                                        </form>
                                        <!-- .wpcf7-form -->
                                    </div>
                                    <!-- .wpcf7 -->
                                </div>
                                <!-- .contact-form7 -->
                            </div>

                        </div>

                    </main>
                    <!-- #main -->
                </div>
                <!-- #primary -->
            </div>
    </div>
    <!-- #content -->
    <?php echo $__env->make('partials.newfooter', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    <!-- .site-footer -->
</div>

<script src="<?php echo e(asset('js/main.js')); ?>"></script>
<script>
    $(".overlay").click(function(){
        $(this).hide();
    });
    var about_position = $('.quick-scroll.about').offset().top - 320;
    var categories_position = $('.quick-scroll.landing_categories').offset().top - 50;
    var features_position = $('.quick-scroll.features').offset().top + -300;
    var about_img_position = $('.about_img').offset().top;
    $(window).scroll(function(){
        var winScroll = $(this).scrollTop();
        if(about_position < winScroll) {
            $(".about_img").addClass('show_about_img');
            $(".about_content").addClass('show_about_content');
        }

        if(categories_position < winScroll) {
            $(".landing_categories_img").each(function(i){
                setTimeout(function () {
                    $(".landing_categories_img").eq(i).addClass('show_landing_categories_img')
                },100 * (i+1))

            });
        }

        if(features_position < winScroll) {
            $(".features_container").addClass('show_features_container')
        }

        if(about_position < winScroll) {
            $(".navbar").addClass('fixed-top')
        }else{
            $(".navbar").removeClass('fixed-top')
        }
    });

//    Smooth scroll
    let scrollLink = $('.quick-scroll-icon');
    //Scroll Animation Effect
    scrollLink.on('click', function(e){
        e.preventDefault()
        $('body, html').animate( {scrollTop: $(this.hash).offset().top - 100
        }, 500)
    })
</script>
</body>
</html>