<!doctype html>
<html class="no-js" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Meals - <?php echo e(config('app.name')); ?></title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Place favicon.ico in the root directory -->
    <link rel="shortcut icon" type="image/x-icon" href="<?php echo e(asset('assets/images/favicon.ico')); ?>">
    <link rel="apple-touch-icon" href="apple-touch-icon.png">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>" />
    <!-- All css files are included here. -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/all.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-techmarket.css')); ?>">

    <link rel="stylesheet" href="<?php echo e(asset('theme/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/custom.css')); ?>">

    <link rel="stylesheet" href="<?php echo e(asset('assets/newtemplate/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/newtemplate/css/responsive.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/newtemplate/css/color-three.css')); ?>">
    <style>
        input[type="radio"] {
            margin-right: 6px;
        }
        optgroup {
            font-size: 12px !important;
        }
        .cart_item{
            font-size: 12px !important;
        }
    </style>
</head>
<body class="woocommerce-active left-sidebar  pace-done">
<div id="page" class="hfeed site">
    <div id="loader-wrapper">
        <div id="loader"></div>
    </div>
    <div class="html-top-content">
        <div class="theme-top-section">
            <?php echo $__env->make('partials.newnav', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        </div>
    <header id="masthead" class="site-header header-v1" style="background-image: none; ">
        <div class="col-full desktop-only">
            <div class="row align-items-center">
                <div id="departments-menu" class="dropdown departments-menu" style="display: none;">
                    <button class="btn dropdown-toggle btn-block" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        <i class="tm tm-departments-thin"></i>
                        <span>Categories</span>
                    </button>
                    <ul id="menu-departments-menu" class="dropdown-menu yamm departments-menu-dropdown">

                    </ul>
                </div>

                <!-- .departments-menu -->
                <form class="navbar-search" method="get" action="">

                    <!-- .input-group -->
                </form>
                <!-- .navbar-search -->
                <!-- .header-wishlist -->
                <ul id="site-header-cart" class="site-header-cart menu">
                    <li class="animate-dropdown dropdown ">
                        <a class="cart-contents" href="<?php echo e(url('cart')); ?>" title="View your shopping cart">
                            <i class="tm tm-shopping-bag"></i>
                            <?php if(Auth::check()): ?>
                                <?php if(Auth::user()->cartCount()[0]): ?>
                                    <span class="count"><?php echo e(Auth::user()->cartCount()[0]); ?></span>
                                    <?php else: ?>
                                    <span class="count"></span>
                                <?php endif; ?>
                            <?php endif; ?>
                        </a>
                    </li>
                </ul>
                <!-- .site-header-cart -->
            </div>
            <!-- /.row -->
        </div>
        <!-- .col-full -->

        <div class="col-full handheld-only">
            <div class="handheld-header">
                <!-- /.row -->
                <div class="techmarket-sticky-wrap">
                    <div class="row">
                        <nav id="handheld-navigation" class="handheld-navigation" aria-label="Handheld Navigation" style="visibility: hidden">
                            <button class="btn navbar-toggler" type="button">
                                <i class="fa fa-list" aria-hidden="true"></i>
                                <span>Menu</span>
                            </button>
                            <div class="handheld-navigation-menu">
                                <span class="tmhm-close">Close</span>
                                <?php echo $__env->make('partials.categories_nav_catalogue_mobile', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                            </div>
                            <!-- .handheld-navigation-menu -->
                        </nav>
                        <!-- .handheld-navigation -->
                        <div class="site-search" style="visibility: hidden">
                            <div class="widget woocommerce widget_product_search">
                                <form role="search" method="get" class="woocommerce-product-search" action="#">
                                    <label class="screen-reader-text" for="woocommerce-product-search-field-0">Search for:</label>
                                    <input type="search" id="woocommerce-product-search-field-0" class="search-field" placeholder="Search products&hellip;" value="" name="s" />
                                    <input type="button" value="Search" />
                                    <input type="hidden" name="post_type" value="product" />
                                </form>
                            </div>
                            <!-- .widget -->
                        </div>
                        <a class="handheld-header-cart-link has-icon" href="<?php echo e(url('cart')); ?>" title="View your shopping cart">
                            <i class="tm tm-shopping-bag"></i>
                            <?php if(Auth::check()): ?>
                                <?php if(Auth::user()->cartCount()[0]): ?>
                                    <span class="count"><?php echo e(Auth::user()->cartCount()[0]); ?></span>
                                <?php else: ?>
                                    <span class="count"></span>
                                <?php endif; ?>
                            <?php endif; ?>
                        </a>
                    </div>
                    <!-- /.row -->
                </div>
            </div>
        </div>
    </header>
    <div id="content" class="site-content" tabindex="-1">
        <div class="col-full mt-4">
            <div class="row">
            <?php echo $__env->make('partials.breadcrumb', ['pages' =>
                [
                ['name' =>'Meals', 'route' =>'meals'],
                ['name' =>'Restaurant', 'route' => null ]
                ]
                ], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
            <!-- .woocommerce-breadcrumb -->
                <div id="primary" class="content-area">
                    <main id="main" class="site-main">
                        <div id="experiencefeatures" class="carousel slide" data-ride="carousel">
                            <ul class="carousel-indicators">
                                <li data-target="#experiencefeatures" data-slide-to="0" class="active"></li>
                                <li data-target="#experiencefeatures" data-slide-to="1"></li>
                            </ul>
                            <div class="carousel-inner">
                                <div class="carousel-item active">
                                    <img src="<?php echo e(asset('assets/images/slider/meal_slider_1.jpg')); ?>" alt="Slider" >
                                </div>
                                <div class="carousel-item">
                                    <img src="<?php echo e(asset('assets/images/slider/meal_slider_2.jpg')); ?>" alt="Slider" >
                                </div>
                            </div>
                            <a class="carousel-control-prev" href="#experiencefeatures" data-slide="prev">
                                <span class="carousel-control-prev-icon"></span>
                            </a>
                            <a class="carousel-control-next" href="#experiencefeatures" data-slide="next">
                                <span class="carousel-control-next-icon"></span>
                            </a>
                        </div>
                        <h3 class="font-weight-bold mt-1 mb-3 border-bottom p-4"></h3>
                        <!-- .shop-control-bar -->
                        <div class="tab-content">
                            <div id="grid" class="tab-pane active" role="tabpanel">
                                <div class="woocommerce columns-5">
                                    <?php if(isset($meals_products->data)): ?>
                                        <div class="container">
                                            <?php if(isset($meals_products->data->data)): ?>
                                            <?php foreach($meals_products->data->data as $category): ?>
                                                <?php  $itemcountid = 0;  ?>
                                               <?php /*Meals under category*/ ?>
                                                <div class="row" id="<?php echo e(str_slug($category->category_name)); ?>">
                                                    <div class="col-sm-12">
                                                    <header>
                                                    <h3><?php echo e($category->category_name); ?></h3>
                                                    </header>
                                                    </div>
                                                    <?php if(count($category->data) > 0): ?>
                                                <?php foreach($category->data as $meal): ?>
                                                    <?php  $itemcountid++  ?>
                                                    <div class="col-sm-3 col-xs-6 meal_item">
                                                        <div class="meal_item_container">
                                                        <div class="meal_item_img_container">
                                                            <img src="<?php echo e($meal->image[0]->image_url); ?>" alt="" class="img-responsive meals_item_img">
                                                            <div class="meal_item_price_container">
                                                                <?php if(Auth::check()): ?>
                                                                    <?php if(Auth::user()->currency->is_currency_fixed == '1'): ?>
                                                                        <span class="">&#8358;<?php echo e((number_format( $meal->price))); ?></span>
                                                                    <?php else: ?>
                                                                       <span class=""><?php  echo (number_format( (float)(Auth::user()->currency->rate * $meal->price), 2, '.', '') )  ?> <?php echo e(Auth::user()->currency->currency); ?></span>
                                                                    <?php endif; ?>
                                                                <?php endif; ?>
                                                            </div>
                                                        </div>
                                                        <div class="meal_item_details"
                                                             <?php /*data-itemid = <?php echo e($meal->signature); ?>*/ ?>
                                                             data-itemid = "<?php echo e($itemcountid); ?>"
                                                             data-itemname = "<?php echo e($meal->product_name); ?>"
                                                             data-itempoints = "<?php echo e($meal->price); ?>"
                                                             data-itemcode = "<?php echo e($meal->signature); ?>"
                                                        >
                                                        <p><?php echo e($meal->product_name); ?></p>
                                                            <div class="d-flex p-1">
                                                                <div class="col p-1">
                                                                    <input type="number" min="1" max="<?php echo e($meal->max_quantity); ?>" value="1" class="form-control">
                                                                </div>
                                                                <div class="col p-1">
                                                                    <button class="btn btn-md btn-outline-primary btn-block custom_outline_button_color add_to_basket"> <i class="fa fa-spinner fa-spin checkoutbtn off"></i> Add</button>
                                                                </div>
                                                             </div>
                                                            <div
                                                            class="checkout_options"
                                                            >
                                                                <?php if($meal->delivery_type == 2): ?>
                                                                    <label>
                                                                        <input type="radio" value="2" name="delivery-<?php echo e($meal->signature); ?>" data-signature="<?php echo e($meal->signature); ?>" checked="checked" >Delivery
                                                                    </label>
                                                                    <?php elseif($meal->delivery_type == 1): ?>
                                                                    <label>
                                                                        <input type="radio" value="1" name="pickup-<?php echo e($meal->signature); ?>" data-signature="<?php echo e($meal->signature); ?>" checked="checked" >Pickup
                                                                    </label>
                                                                    <label>
                                                                        <select class="form-control">
                                                                            <optgroup>
                                                                            <option value="null">Select Location</option>
                                                                            <?php foreach($meal->branch_details as  $detail): ?>
                                                                            <option value="<?php echo e($detail->branch_id); ?>" ><?php echo e($detail->branch_name); ?></option>
                                                                            </optgroup>
                                                                            <?php endforeach; ?>
                                                                        </select>
                                                                    </label>

                                                                <?php elseif($meal->delivery_type == 3): ?>
                                                                    <label>
                                                                        <input type="radio" value="2" name="delivery-<?php echo e($meal->signature); ?>" data-signature="<?php echo e($meal->signature); ?>" >Delivery
                                                                    </label>
                                                                    <label>
                                                                        <input type="radio" value="1" name="pickup-<?php echo e($meal->signature); ?>" data-signature="<?php echo e($meal->signature); ?>">Pickup
                                                                    </label>
                                                                <div>
                                                                    <label>
                                                                        <select class="form-control">
                                                                            <optgroup>
                                                                                <option value="null">Select Location</option>
                                                                                <?php foreach($meal->branch_details as  $detail): ?>
                                                                                    <option value="<?php echo e($detail->branch_id); ?>" ><?php echo e($detail->branch_name); ?></option>
                                                                            </optgroup>
                                                                            <?php endforeach; ?>
                                                                        </select>
                                                                    </label>
                                                                </div>
                                                                <?php endif; ?>
                                                            </div>
                                                        </div>
                                                        </div>
                                                    </div>
                                                    <?php endforeach; ?>
                                                        <?php else: ?>
                                                    <p>No items for the category</p>
                                                        <?php endif; ?>
                                                </div>
                                            <?php endforeach; ?>
                                            <?php endif; ?>
                                        </div>
                                        <!-- .products -->
                                    <?php else: ?>
                                        <p>No Products available</p>
                                    <?php endif; ?>
                                </div>
                                <!-- .woocommerce -->
                            </div>

                            <!-- .tab-pane -->
                        </div>
                        <!-- .tab-content -->
                    </main>
                    <!-- #main -->
                </div>
                <!-- #primary -->
                <div id="secondary" class="widget-area shop-sidebar" role="complementary">
                    <div class="widget woocommerce widget_product_categories techmarket_widget_product_categories" id="techmarket_product_categories_widget-2">
                        <ul class="product-categories category-single">
                            <li class="product_cat">
                                <span>Browse Categories</span>
                                <ul class="show-all-cat">
                                    <?php if(isset($meals_products->data)): ?>
                                            <?php foreach($meals_products->data->data as $category): ?>
                                        <li class="product_cat">
                                            <a title="" href="#<?php echo e(str_slug($category->category_name)); ?>" class="meal_cat_link"><?php echo e($category->category_name); ?></a>
                                        </li>
                                        <?php endforeach; ?>
                                        <?php else: ?>
                                        <li class="product_cat">
                                            <a title="" href="#">Failed to load categories</a>
                                        </li>
                                    <?php endif; ?>
                                </ul>
                            </li>
                        </ul>
                    </div>

                </div>
                <!-- #secondary -->
            </div>
            <!-- .row -->
        </div>
        <!-- .col-full -->
    </div>
    <?php echo $__env->make('partials.footer', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
</div>
</div>
<script src="<?php echo e(asset('js/main.js')); ?>"></script>
<script src="<?php echo e(asset('js/landing.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/theia-sticky-sidebar.js')); ?>"></script>
<script>
    $('.shop-sidebar').theiaStickySidebar({
        // Settings
        additionalMarginTop: 30
    });
    //    Smooth scroll
        let scrollLink = $('.meal_cat_link');
        //Scroll Animation Effect
        scrollLink.on('click', function(e){
            e.preventDefault()
            $('body, html').animate( {scrollTop: $(this.hash).offset().top - 50
            }, 500)
        })
</script>
<script>
    'use strict'
    String.prototype.trunc =
        function(n){
            return this.substr(0,n-1)+(this.length>n?'&hellip;':'');
        };

    var cart = [];
    var viewCart = [];
    var item;
    var addtocartbtn;
    var baseUrl = "<?php echo config('app.base_url')?>";
    $.ajaxSetup({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });


    $(document).ready(function(){
        $(".add_to_basket").on('click', function(){
            addtocartbtn = $(this);
            var productitem = $(this).parent().parent().parent();
            item = {
                // itemid: $(this).closest("tr").attr("data-itemid"),
                name:  $(productitem).data('itemname'),
                price:  $(productitem).data('itempoints'),
                signature:  $(productitem).data('itemcode'),
                delivery_method: $(productitem).find("input[type='radio']:checked").val(),
                pickup_location: $(productitem).find("select option:selected").val(),
                orderqty: Math.round($(productitem).find("input[type='number']").val()),
            };

            if(validate(item)){
                addToOder(item);
            }

        });

    });


    function checkout_redeem(cartitem){
        $(addtocartbtn).find('i').removeClass('off');
        $.post(baseUrl+'meals/postcart', cartitem)
            .done(function (res) {
                $(addtocartbtn).find('i').addClass('off');
                console.log(res);
                // handle success
                if (!res) {
                    alertui.notify('success','Failed to complete payment');
                    return false;
                }
                if (res.status == '400') {
                    alertui.notify('error',res.data.message);
                    return false;
                }
                if (res.status == 'fail') {
                    alertui.notify('error',res.data);
                    return false;
                }
                if (res.status == '200') {
                    updateCartCount(res.cartqty);
                   alertui.notify('success', res.data)
                }
            })
            .fail(function (error) {
                // handle error
                $(addtocartbtn).find('i').addClass('off');
                alertui.notify('error', error.responseJSON.data);
            })
    }
    function validate(item){
        let retval;
        $.each(item, function(index, value){
            if(index == 'deliveryType' && typeof(value) != 'string' && typeof(value) == 'undefined'){
                alert('Please select a Redemption method');
                retval = false;
                return false;
            }else{
                retval = true;
            }
        });
        return retval;
    }

    function validateOrder(item){
        let retval
        if(item.orderqty <= 0){
            retval = false
        }else{
            retval = true;
        }
        return retval;
    }

    function validateLocation(item){
        let retval
        if(item.delivery_method == 1 && item.pickup_location == "null"){
            retval = false;
        }else{
            retval = true;
        }
        return retval;
    }

    function addToOder(cartitem){
        if(!validateOrder(cartitem)){
            alertui.notify('error', 'Quantity cannot be less than 1');
            return false;
        }
        if(!validateLocation(cartitem)){
            alertui.notify('error','Please select a pickup location');
            return false;
        }
        checkout_redeem(cartitem)

    }

    function updateCartCount(cartqty){
        $("span.count").html(cartqty);
    }
</script>
</body>
</html>