<!doctype html>
<html class="no-js" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Bills  - <?php echo e(config('app.name')); ?></title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Place favicon.ico in the root directory -->
    <link rel="shortcut icon" type="image/x-icon" href="<?php echo e(asset('assets/images/favicon.ico')); ?>">
    <link rel="apple-touch-icon" href="apple-touch-icon.png">
    <!-- All css files are included here. -->
    <!-- Bootstrap fremwork main css -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/all.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-awesome.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-techmarket.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/custom.css')); ?>">
</head>

<body class="woocommerce-active page-template-template-homepage-v1 can-uppercase">
<?php if($errors->any()): ?>
    <?php echo $__env->make('partials.notify', ['text' => $errors->first()], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php endif; ?>
<div id="page" class="hfeed site">
<?php echo $__env->make('partials.nav_general', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    <div id="content" class="site-content">
        <?php echo $__env->make('partials.bills.slider', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        <div class="col-full" id="shop">
            <div class="row">
                <div id="primary" class="content-area">
                    <main id="main" class="site-main">
                        <?php /*Products Section*/ ?>
                        <section class="full-width section-products-carousel-tabs section-product-carousel-with-featured-product carousel-with-featured-1">
                            <?php if(isset($categories)): ?>
                                <?php if($categories->status == 1): ?>
                                    <header class="section-header mt-4">
                                        <h4 class="section-title custom_page_title custom_color"
                                        >Choose your Service Provider</h4>
                                        </ul>
                                    </header>
                                    <div class="container">
                                        <div class="row">
                                            <?php foreach($categories->data[0]->child_menu as $item): ?>
                                                <div class="col-sm-6
                                                    ">
                                                    <a href="<?php echo e(url('')); ?>">
                                                        <div class="providers_list position-relative"
                                                             style="
                                                                     background-color: #271249;
                                                                     background: url(<?php echo e(asset('assets/images/dstv.png')); ?>);
                                                                     background-size: cover;
                                                                     background-position: center center;
                                                                     background-repeat: no-repeat;
                                                                     text-align: center;
                                                                     padding: 50px 10px;
                                                                     min-height: 200px;
                                                                     ">
                                                            <h4 style="color:#fff"><?php echo e($item->name); ?></h4>
                                                            <?php foreach($item->category as $sub_item): ?>
                                                            <a href="<?php echo e(url('bills', ['id' => $sub_item->id])); ?>"><span class="font-weight-bold text-white"><?php echo e($sub_item->name); ?></span> <i class="fa fa-chevron-right" aria-hidden="true" style="font-size: 14px; color: #fff;"></i></a>
                                                            <?php endforeach; ?>
                                                        </div>
                                                    </a>
                                                </div>
                                            <?php endforeach; ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                            <?php endif; ?>
                        </section>
                    </main>
                </div>
            </div>
            <?php echo $__env->make('partials.banner', ['page' => 'bills'], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        </div>
    </div>

    <?php echo $__env->make('partials.newfooter', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
</div>

<script src="<?php echo e(asset('js/app.js')); ?>"></script>
<script src="<?php echo e(asset('js/main.js')); ?>"></script>
<script>
    $(".overlay").click(function(){
        $(this).hide();
    });
</script>
</body>

</html>