<!doctype html>
<html class="no-js" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Meals - <?php echo e(config('app.name')); ?></title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Place favicon.ico in the root directory -->
    <link rel="shortcut icon" type="image/x-icon" href="<?php echo e(asset('assets/images/favicon.ico')); ?>">
    <link rel="apple-touch-icon" href="apple-touch-icon.png">
    <!-- All css files are included here. -->
    <!-- Bootstrap fremwork main css -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/all.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-awesome.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-techmarket.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/custom.css')); ?>">
</head>

<body class="woocommerce-active page-template-template-homepage-v1 can-uppercase">
<?php if($errors->any()): ?>
    <?php echo $__env->make('partials.notify', ['text' => $errors->first()], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php endif; ?>
<div id="page" class="hfeed site">
<?php echo $__env->make('partials.nav_general', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    <div id="content" class="site-content">
        <?php echo $__env->make('partials.meals.slider', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        <div class="col-full" id="shop">
            <div class="row">
                <div id="primary" class="content-area">
                    <main id="main" class="site-main">
                        <?php /*Products Section*/ ?>
                        <section class="full-width section-products-carousel-tabs section-product-carousel-with-featured-product carousel-with-featured-1 mt-4">
                            <?php if(isset($categories)): ?>
                                <?php if($categories->status == 1): ?>
                                    <header class="section-header">
                                        <h2 class="section-title custom_page_title custom_color"">Choose from our Restaurants</h2>
                                        </ul>
                                    </header>
                                <div class="container">
                                   <div class="row">
                                       <?php foreach($categories->data as $branch): ?>
                                       <div class="col-sm-4">
                                           <div class="restaurants_list" style="background-color: #271249; text-align: center;padding: 50px 10px;min-height: 400px;">
                                               <div class="">
                                                   <div style="padding:30px 10px 50px;">
                                                       <img src="<?php echo e($branch->image); ?>" alt="" style="margin: 0 auto">
                                                   </div>
                                                   <div class="">
                                           <h2 class="text-capitalize" style="color: #b9851f;"><?php echo e($branch->name); ?></h2>
                                                   <?php foreach($branch->child_menu as $item): ?>
                                                       <div class="animated fadeInDown restaurant_branch">
                                                           <form action="<?php echo e(url('meals', ['name' => str_slug($item->name)])); ?>" method="get">
                                                               <input type="hidden" name="branch_id" value="<?php echo e($item->id); ?>"/>
                                                           <?php foreach($item->category as $category): ?>
                                                                   <input type="hidden" name="categories[]" value="<?php echo e($category->id); ?>"/>
                                                               <?php endforeach; ?>
                                                               <button type="submit"><span class="font-weight-bold"><?php echo e($item->name); ?></span> <i class="fa fa-chevron-right" aria-hidden="true" style="font-size: 10px"></i></button>
                                                           </form>
                                                       </div>
                                                       <?php endforeach; ?>
                                                   </div>
                                               </div>
                                           </div>
                                       </div>
                                           <?php endforeach; ?>
                                   </div>
                                </div>
                                <?php endif; ?>
                            <?php endif; ?>
                        </section>
                    </main>
                </div>
            </div>
            <?php echo $__env->make('partials.banner', ['page' => 'meals'], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        </div>
    </div>

    <?php echo $__env->make('partials.newfooter', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
</div>

<script src="<?php echo e(asset('js/app.js')); ?>"></script>
<script src="<?php echo e(asset('js/main.js')); ?>"></script>
<script>
    $(".overlay").click(function(){
        $(this).hide();
    });
</script>
</body>

</html>