<!doctype html>
<html class="no-js" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Checkout - <?php echo e(config('app.name')); ?></title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>"/>

    <!-- Place favicon.ico in the root directory -->
    <link rel="shortcut icon" type="image/x-icon" href="<?php echo e(asset('assets/images/favicon.ico')); ?>">
    <link rel="apple-touch-icon" href="apple-touch-icon.png">
    <!-- All css files are included here. -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/all.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-techmarket.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/custom.css')); ?>">

    <link rel="stylesheet" href="<?php echo e(asset('assets/newtemplate/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/newtemplate/css/responsive.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/newtemplate/css/color-three.css')); ?>">
    <style>
        .alert-ui .alt-btn{
            display: inline !important;
        }
        #checkoutbtn{
            cursor: pointer;
        }
    </style>

</head>

<body class="page home page-template-default  pace-done">
<?php if($errors->any()): ?>
    <?php echo $__env->make('partials.notify', ['text' => $errors->first()], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php endif; ?>
<!-- Modal -->
<div class="modal fade" id="editaddress" tabindex="-1" role="dialog" aria-labelledby="editaddress" aria-hidden="true">
    <div class="modal-dialog modal-lg modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLongTitle">Edit Address</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                    <form name="update-address-form">
                        <div class="form-row ">
                        <div class="col-sm-4 mb-2">
                            <label for="firstname">First name</label>
                            <input type="text" name="firstname" >
                        </div>
                        <div class="col-sm-4 mb-2">
                            <label for="lastname">Last name</label>
                            <input type="text" name="lastname">
                        </div>
                        <div class="col-sm-4 mb-2">
                            <label for="phone">Phone</label>
                            <input type="text" name="phone" >
                        </div>
                        <div class="col-sm-4 mb-2">
                            <label for="email">Email</label>
                            <input type="text" name="email" >
                        </div>
                        <div class="col-sm-4 mb-2">
                            <label for="state">State</label>
                            <select name="state_id" class="modal_state_select">
                                <?php foreach($states as $state): ?>
                                    <option value="<?php echo e($state->state_id); ?>"><?php echo e($state->state_name); ?></option>
                                <?php endforeach; ?>
                            </select>
                        </div>
                        <div class="col-sm-4 mb-2">
                            <label for="city">City</label>
                            <select name="city_id" id="city_id" class="modal_city_select" disabled>
                                    <?php foreach($cities as $city): ?>
                                        <option value="<?php echo e($city->city_id); ?>"><?php echo e($city->city_name); ?></option>
                                    <?php endforeach; ?>
                            </select>
                        </div>
                        <div class="clear"></div>
                        <div class="form-row form-row-wide mt-4">
                            <label for="address">Address</label>
                        <textarea name="address">
                        </textarea>
                        </div>
                        </div>
                    </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary updateModalDataBtn"><i class="fa fa-spinner fa-spin updateAddBtn off"></i> Save changes</button>
            </div>
        </div>
    </div>
</div>
<?php echo $__env->make('partials.notification.ordercomplete', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<div id="page" class="hfeed site">
    <?php /*<div id="loader-wrapper">*/ ?>
        <?php /*<div id="loader"></div>*/ ?>
    <?php /*</div>*/ ?>
    <div class="html-top-content">
        <div class="theme-top-section">
            <?php echo $__env->make('partials.newnav', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        </div>
    <header id="masthead" class="site-header header-v1" style="background-image: none; ">
        <div class="col-full desktop-only">

            <!-- .techmarket-sticky-wrap -->
            <div class="row align-items-center">
                <div id="departments-menu" class="dropdown departments-menu" style="display: none;">
                    <button class="btn dropdown-toggle btn-block" type="button" data-toggle="dropdown"
                            aria-haspopup="true" aria-expanded="false">
                        <i class="fa fa-list" aria-hidden="true"></i>
                        <span>Categories</span>
                    </button>
                    <ul id="menu-departments-menu" class="dropdown-menu yamm departments-menu-dropdown">

                    </ul>
                </div>

                <!-- .departments-menu -->
                <form class="navbar-search" method="get" action="">

                </form>
                <!-- .navbar-search -->
                <!-- .header-wishlist -->
                <ul id="site-header-cart" class="site-header-cart menu">
                    <li class="animate-dropdown dropdown ">
                        <a class="cart-contents" href="<?php echo e(url('cart')); ?>" title="View your shopping cart">
                            <i class="tm tm-shopping-bag"></i>
                            <?php if(Auth::check()): ?>
                                <?php if(Auth::user()->cartCount()[0]): ?>
                                    <span class="count"><?php echo e(Auth::user()->cartCount()[0]); ?></span>
                                <?php endif; ?>
                            <?php endif; ?>
                        </a>
                    </li>
                </ul>
                <!-- .site-header-cart -->
            </div>
            <!-- /.row -->
        </div>
        <!-- .col-full -->

        <!-- .handheld-only -->
    </header>


    <div id="content" class="site-content">
        <div class="col-full">
            <div class="row">
                <?php echo $__env->make('partials.breadcrumb', ['pages' =>
           [
         ['name' =>'Checkout', 'route' => null ]
         ]
         ], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                <div id="primary" class="content-area">
                    <main id="main" class="site-main">
                        <div class="type-page hentry">
                            <div class="entry-content">
                                <div class="woocommerce">
                                    <?php if(count($pendingcart) > 0): ?>
                                <h3 class="pl-2">Address Details</h3>
                                    <?php if(count($addresses) < 1): ?>
                                        <h5>Please add a Shipping address below</h5>
                                        <?php endif; ?>
                                    <div class="cart-wrapper">
                                        <form class="woocommerce-cart-form add_address_form"
                                              name="checkout"
                                              action="<?php echo e(url('add_order_address')); ?>" method="post"
                                        >
                                            <?php echo e(csrf_field()); ?>

                                                <?php if(count($addresses) > 0): ?>
                                                    <div style="background-color: #f6f6f6; padding: 15px 12px; margin-bottom: 20px;">
                                                        <table class="locations">
                                                            <tbody>
                                                            <?php foreach($addresses as $i => $item): ?>
                                                                <tr class="checkout_address_row">
                                                                    <td class="left_td">
                                                                        <input type="radio" name="shipaddress"
                                                                               value="<?php echo e($item->id); ?>">
                                                                        <label>
                                                                            <span class=" d-sm-block pl-4"><?php echo e($item->firstname . " " . $item->lastname); ?> - <?php echo e($item->phone); ?></span></label>
                                                                        <p class="checkout_address d-none d-sm-block"><?php echo e($item->address); ?>

                                                                            , <?php echo e($item->state_name); ?>

                                                                            , <?php echo e($item->city_name); ?></p>
                                                                    </td>
                                                                    <td style="text-align: right">
                                                                        <div class="btn-group">
                                                                            <button type="button"
                                                                                    class="btn btn-primary dropdown-toggle"
                                                                                    data-toggle="dropdown"
                                                                                    aria-haspopup="true"
                                                                                    aria-expanded="false">
                                                                            </button>
                                                                            <div class="dropdown-menu">
                                                                                <a class="dropdown-item edit-address-btn"
                                                                                   style="cursor: pointer;"
                                                                                   id="<?php echo e($item->id); ?>">Edit</a>
                                                                                <a class="dropdown-item delete-address-btn"
                                                                                   style="cursor: pointer;"
                                                                                   id="<?php echo e($item->id); ?>">Delete</a>
                                                                            </div>
                                                                        </div>
                                                                    </td>
                                                                </tr>
                                                            <?php endforeach; ?>
                                                            </tbody>
                                                        </table>
                                                    </div>
                                            <?php endif; ?>
                                                    <button type="button"
                                                            class="text-white toggleNewAddress btn btn-md btn-primary">
                                                        Add Address
                                                    </button>
                                                    <div class="woocommerce-billing-fields newaddresscontainer mt-5">

                                                        <div class="woocommerce-billing-fields__field-wrapper-outer">
                                                                <div class="woocommerce-billing-fields__field-wrapper">
                                                                    <p id="billing_first_name_field"
                                                                       class="form-row form-row-first validate-required woocommerce-invalid woocommerce-invalid-required-field">
                                                                        <label class="" for="billing_first_name">First Name
                                                                            <abbr title="required" class="required">*</abbr>
                                                                        </label>
                                                                        <input type="text" value="" placeholder=""
                                                                               id="billing_first_name" name="firstname"
                                                                               class="input-text " required>
                                                                    </p>
                                                                    <p id="billing_last_name_field"
                                                                       class="form-row form-row-last validate-required">
                                                                        <label class="" for="billing_last_name">Last Name
                                                                            <abbr title="required" class="required">*</abbr>
                                                                        </label>
                                                                        <input type="text" value="" placeholder=""
                                                                               id="billing_last_name" name="lastname"
                                                                               class="input-text " required>
                                                                    </p>
                                                                    <div class="clear"></div>
                                                                    <p id="billing_state_field"
                                                                       class="form-row form-row-first validate-required validate-email">
                                                                        <label class="" for="billing_state">State
                                                                            <abbr title="required" class="required">*</abbr>
                                                                        </label>
                                                                        <select
                                                                                data-placeholder=""
                                                                                class="state_select select2-hidden-accessible"
                                                                                name="state_id"
                                                                                tabindex="-1" aria-hidden="true" required>
                                                                            <?php foreach($states as $state): ?>
                                                                                <option value="<?php echo e($state->state_id); ?>"><?php echo e($state->state_name); ?></option>
                                                                            <?php endforeach; ?>
                                                                        </select>
                                                                    </p>
                                                                    <p id="billing_country_field"
                                                                       class="form-row form-row-first validate-required validate-email">
                                                                        <label class="" for="billing_country">City
                                                                            <abbr title="required" class="required">*</abbr>
                                                                        </label>
                                                                        <select
                                                                                data-placeholder=""
                                                                                class="city_select select2-hidden-accessible"
                                                                                name="city_id"
                                                                                tabindex="-1"
                                                                                aria-hidden="true"
                                                                                disabled
                                                                                required
                                                                        >
                                                                            <option value=""></option>
                                                                        </select>
                                                                    </p>
                                                                    <div class="clear"></div>
                                                                    <p id="billing_address_1_field"
                                                                       class="form-row form-row-wide address-field validate-required">
                                                                        <label class="" for="billing_address_1">Street
                                                                            address
                                                                            <abbr title="required" class="required">*</abbr>
                                                                        </label>
                                                                        <input type="text" value=""
                                                                               placeholder="Street address"
                                                                               id="billing_address_1" name="address"
                                                                               class="input-text " required>
                                                                    </p>

                                                                    <p id="billing_phone_field"
                                                                       class="form-row form-row-last validate-required validate-phone">
                                                                        <label class="" for="billing_phone">Phone
                                                                            <abbr title="required" class="required">*</abbr>
                                                                        </label>
                                                                        <input type="tel" value="" placeholder=""
                                                                               id="billing_phone" name="phone"
                                                                               class="input-text " required>
                                                                    </p>
                                                                    <p id="billing_email_field"
                                                                       class="form-row form-row-first validate-required validate-email">
                                                                        <label class="" for="email">Email Address
                                                                            <abbr title="required"></abbr>
                                                                        </label>
                                                                        <input type="email" value="" placeholder=""
                                                                               id="email" name="email"
                                                                               class="input-text" required>
                                                                    </p>
                                                                    <p id="billing_email_field form-row-wide">
                                                                        <button type="submit"
                                                                                class="text-white btn btn-md btn-primary ml-3 add_address_btn">
                                                                            <i class="fa fa-spinner fa-spin off process_indicator_add_address"></i> Save
                                                                        </button>
                                                                    </p>
                                                                </div>
                                                        </div>
                                                        <!-- .woocommerce-billing-fields__field-wrapper-outer -->
                                                    </div>
                                        </form>
                                        <div class="cart-collaterals">
                                            <div class="woocommerce-checkout-review-order" id="order_review">
                                                <div class="order-review-wrapper">
                                                    <h3 class="order_review_heading">Your Order</h3>
                                                    <table class="shop_table woocommerce-checkout-review-order-table">
                                                        <thead>
                                                        <tr>
                                                            <th class="product-name font-weight-bold">Product</th>
                                                            <th class="product-total font-weight-bold">Total</th>
                                                        </tr>
                                                        </thead>
                                                        <tbody>
                                                        <?php foreach($pendingcart as $item): ?>
                                                            <tr class="cart_item">
                                                                <td class="product-name">
                                                                    <strong class="product-quantity"><?php echo e($item->qty); ?>

                                                                        × </strong><?php echo e($item->name); ?>

                                                                </td>
                                                                <td class="product-total">
                                                                        <span class="woocommerce-Price-amount amount font-weight-bold">
                                                                            <?php if(Auth::check()): ?>
                                                                                <?php if(Auth::user()->currency->is_currency_fixed == '1'): ?>
                                                                                    <span class="woocommerce-Price-currencySymbol">&#8358;</span><?php echo e(transform_product_price($item->price,1)); ?>

                                                                                <?php else: ?>
                                                                                    <span> <?php echo e(transform_product_price($item->price, Auth::user()->currency->rate)); ?> <?php echo e(Auth::user()->currency->currency); ?></span>
                                                                                <?php endif; ?>
                                                                            <?php endif; ?>
                                                                        </span>
                                                                </td>
                                                            </tr>
                                                        <?php endforeach; ?>
                                                        </tbody>
                                                        <tfoot>
                                                        <tr class="cart-subtotal">
                                                            <th>Subtotal</th>
                                                            <td>
                                                            <span class="woocommerce-Price-amount amount">
                                                            <?php if(Auth::check()): ?>
                                                                    <?php if(Auth::user()->currency->is_currency_fixed == '1'): ?>
                                                                        <span id="subtotal_value" data-subtotal="<?php echo e(number_format($pendingcartsum[0], 1, '.', ',')); ?>"></span>
                                                                        <span class="woocommerce-Price-currencySymbol">&#8358;</span><?php echo e(number_format($pendingcartsum[0], 1, '.', ',')); ?></span>
                                                                <?php else: ?>
                                                                    <span id="subtotal_value" data-subtotal="<?php  echo Auth::user()->currency->rate * $pendingcartsum[0]  ?>"></span>
                                                                    <span><?php echo e(transform_product_price($pendingcartsum[0], Auth::user()->currency->rate)); ?> <?php echo e(Auth::user()->currency->currency); ?></span>
                                                                    <?php endif; ?>
                                                                    <?php endif; ?>
                                                                    </span>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <th>Delivery</th>
                                                            <td class="deliveryCharge">__</td>
                                                        </tr>
                                                        <tr class="order-total">
                                                            <th>Total</th>
                                                            <td>
                                                        <span class="woocommerce-Price-amount amount">
                                                        <?php if(Auth::check()): ?>
                                                                <?php if(Auth::user()->currency->is_currency_fixed == '1'): ?>
                                                                    <span class="woocommerce-Price-currencySymbol">&#8358;</span>
                                                                    <span class="totalAmount">__</span>
                                                        </span>
                                                                <?php else: ?>
                                                                    <span class="totalAmount">__</span>
                                                                    <span class="currencyName off"><?php echo e(Auth::user()->currency->currency); ?></span>
                                                                    <?php endif; ?>
                                                                    <?php endif; ?>
                                                                    </span>
                                                            </td>
                                                        </tr>
                                                        </tfoot>
                                                    </table>
                                                    <!-- /.woocommerce-checkout-review-order-table -->
                                                    <div class="woocommerce-checkout-payment">
                                                        <div class="form-row place-order justify-content-around">
                                                            <button type="button"
                                                                    class="btn btn-md btn-block btn-primary text-center checkout_btn"
                                                                    id="checkoutbtn">
                                                                <i class="fa fa-spinner fa-spin off process_indicator"></i>
                                                                <span class="checkoutbtn">Process order</span>
                                                                </a>
                                                            </button>
                                                        </div>
                                                    </div>
                                                    <!-- /.woocommerce-checkout-payment -->
                                                </div>
                                                <!-- /.order-review-wrapper -->
                                            </div>
                                        </div>
                                    </div>
                                    <?php else: ?>
                                        <div class="row justify-content-center align-items-center text-center">
                                            <div class="col">
                                                <img src="<?php echo e(asset('assets/images/cart/shopping-cart-icon.png')); ?>" alt="" style="margin: 10px auto; width: 10%;">
                                                <h3 class="text-center mb-5">Your Cart is empty</h3>
                                            </div>
                                        </div>
                                    <?php endif; ?>

                        </div>
                                </div>
                            </div>
                    </main>
                </div>
            </div>
        </div>
    </div>
</div>
    <?php echo $__env->make('partials.footer', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
</div>
</div>
<script src="<?php echo e(asset('js/main.js')); ?>"></script>
<script>
    //Declare global variables.
    var conversionRate = "<?php echo Auth::user()->currency->rate ;?>"
    var appCurrency = "<?php echo Auth::user()->currency->currency ;?>"
    var appCurrencyFixed = "<?php echo Auth::user()->currency->is_currency_fixed ;?>"
    var processState = 0;
    var deliveryPrice = null;
    var baseUrl = "<?php echo config('app.base_url')?>";
    var addressid;
    var stateid;


    //Configure Ajax
    $.ajaxSetup({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });
    //Close overlay event
    $(".overlay").click(function () {
        $(this).hide();
    })

    $('#editaddress').on('hidden.bs.modal', function (e) {
        $(".updateAddBtn").hide();
    })

    $(document).ready(function () {
        //Checkout button event
        $("#checkoutbtn").click(function () {
            if (!$("input[name='shipaddress']:checked").val()) {
                alertui.notify('info', 'Please choose an address.');

            } else {
                if (processState == 0) {
                    getdeliveryprice($("input[name='shipaddress']:checked").val())
                } else {
                    checkout_redeem();
                }
            }
        });

        //Add new address toggle button
        $(".toggleNewAddress").click(function () {
            $(".newaddresscontainer").toggle();
        });

        //Edit address toggle button
        $(".edit-address-btn").click(function () {
            addressid = $(this).prop("id");
            getAddressData(addressid)
        });

        //Commit Modal changes
        $(".updateModalDataBtn").click(function(){
            $(".updateAddBtn").show();
            saveModalChanges()
        })

        //Delete address
        $(".delete-address-btn").click(function(){
            addressid = $(this).prop("id");
            deleteAddress()
        })

        $('#editaddress').on('shown.bs.modal', function (e) {
            $("select.modal_state_select[name='state_id']").on('change', function () {
                stateid = $(this).val();
                $("select.modal_city_select[name='city_id']").empty();
                $("select.modal_city_select[name='city_id']").append('<option>Loading...</option>');
                $("select.modal_city_select[name='city_id']").prop('disabled', true);
                $.post(baseUrl+"load_cites",{id: stateid})
                    .done(function(msg) {
                        $("select.modal_city_select[name='city_id']").empty();
                        $("select.modal_city_select[name='city_id']").prop('disabled', false);
                            $.each(msg, function (key, value) {
                                $("select.modal_city_select[name='city_id']").append('<option value="' + value.city_id + '">' + value.city_name + '</option>');
                            });
                    })
            });
        });

        $("select.state_select[name='state_id']").on('change', function () {
            stateid = $(this).val();
            $("select.city_select[name='city_id']").empty();
            $("select.city_select[name='city_id']").append('<option>Loading...</option>');
            $("select.city_select[name='city_id']").prop('disabled', true);
            $.post(baseUrl+"load_cites",{id: stateid})
                .done(function(msg) {
                    $("select.city_select[name='city_id']").empty();
                    $("select.city_select[name='city_id']").prop('disabled', false);
                    $.each(msg, function (key, value) {
                        $("select.city_select[name='city_id']").append('<option value="' + value.city_id + '">' + value.city_name + '</option>');
                    });
                })
        });

    });

    //Get delivery price
    function getdeliveryprice(address_id) {
        //Show spinning icon
        $(".process_indicator").removeClass('off');
        disableItem($("#checkoutbtn"), true)
        //Send delivery price Ajax request
        $.post(baseUrl + 'get_delivery_price', {address_id})
            .done(function (res) {
                disableItem($("#checkoutbtn"), false)
                $(".process_indicator").addClass('off');
                // handle success
                $(".currencyName").removeClass('off');
                if (!res) {
                    alertui.notify('error', 'Failed to calculate delivery price');
                    $(".orderloader").hide();
                    return false;
                }
                if (res.data.status == 0) {
                    alertui.notify('error', res.data.message);
                    $(".orderloader").hide();
                    return false;
                } else {
                    var calcprice;
                    deliveryPrice = res.data.data.price;
                    if(appCurrencyFixed == 1){
                        //Currency fixed
                        $(".deliveryCharge").html(deliveryPrice)
                        calcprice = (parseInt($("#subtotal_value").data('subtotal')) + deliveryPrice);
                        var newprice = new Intl.NumberFormat('en-GB').format(calcprice);
                        $(".totalAmount").html(newprice);
                        $(".checkout_btn").css({"background-color": "#ff582c", "border-color": "#FF582C"});
                        $(".checkoutbtn").html("Pay");
                    }else{
                        //Currency not Fixed
                        //Currency is not Naira
                        $(".deliveryCharge").html( (deliveryPrice * conversionRate) +" " + appCurrency)
                        calcprice = ($("#subtotal_value").data('subtotal')) + (deliveryPrice * conversionRate);
                        var newprice = new Intl.NumberFormat('en-GB').format(calcprice);
                           $(".totalAmount").html(newprice);
                        $(".checkout_btn").css({"background-color": "#ff582c", "border-color": "#FF582C"});
                        $(".checkoutbtn").html("Pay");
                    }
                    processState = 1;
                }

            })
            .fail(function (response, status, error) {
                // handle error
                disableItem($("#checkoutbtn"), false)
                $(".process_indicator").addClass('off');
                alertui.alert('error', 'Apologies, an error occurred.');
                if(response.status == 500){
                    alertui.notify('error', 'Error calculating delivery charge. Please try again.')
                }
                else{
                    alertui.notify('error', response.responseJSON.data)
                }
            })
    }

    function checkout_redeem() {
        $(".process_indicator").removeClass('off');
        disableItem($("#checkoutbtn"), true)
        var address_id = $("input[name='shipaddress']:checked").val();
        var subtotal_value = $("#subtotal_value").data('subtotal');
        $.post(baseUrl + 'redeem_cart', {address_id, deliveryprice: deliveryPrice})
            .done(function (res) {
                disableItem($("#checkoutbtn"), false)
                $(".process_indicator").addClass('off');
                // handle success
                if (!res) {
                    alertui.notify('error','Failed to complete payment');
                    return false;
                }
                if (res.status == 'servererror') {
                    alertui.notify('error',res.data.message);
                    return false;
                }
                if (res.status === '400') {
                    alertui.notify('error',res.data.message);
                    return false;
                }
                if (res.status === 'fail') {
                    alertui.notify('error',res.data);
                    return false;
                }
                if (res.status === '200') {
                    updateAccount(res.account)
                    $('#ordernotify').modal('show');
                    var oldlink = $("#order_receipt").prop('href');
                    $('#ordernotify').on('shown.bs.modal', function (e) {
                        $("#order_receipt").prop('href', "<?php echo e(url('ordercomplete')); ?>"+'/'+res.data);
                    });
                }

            })
            .fail(function (response, status, error) {
                $(".process_indicator").addClass('off');
                disableItem($("#checkoutbtn"), false)
                // handle error
                if(response.status == 500){
                    alertui.notify('error', 'Error completing order.. Please try again.')
                }
                else{
                    alertui.notify('error', response.responseJSON.data)
                }
            })
    }

    function getAddressData(id){
        alertui.load('Loading...',
            function(loadClose, loadEl) {
                $.get(baseUrl + 'get_order_address/' + id)
                    .done(function (res) {
                        // handle success
                        if (!res) {
                            alertui.notify('default',
                                'Failed to update address',
                            );
                            return false;
                        }
                        if (res.status === 'fail') {
                            alertui.notify('default',
                                'Failed to update address',
                            );
                            return false;
                        }
                        if (res.status === 'complete') {
                            $('#editaddress').modal()
                            changeModalData(res.data);
                            loadClose();
                        }
                        $(".orderloader").hide();
                    })
                    .fail(function (response, status, error) {
                        // handle error
                        if(response.status == 500){
                            alertui.notify('error', 'Failed to retrive address data. Try again.')
                        }
                        else{
                            alertui.notify('error', response.responseJSON.data)
                        }
                        return false;

                    })
            });
    }

    function changeModalData(data) {
        $("form[name='update-address-form']").find("input[name='firstname']").val(data.firstname)
        $("form[name='update-address-form']").find("input[name='lastname']").val(data.lastname)
        $("form[name='update-address-form']").find("input[name='email']").val(data.email)
        $("form[name='update-address-form']").find("input[name='phone']").val(data.phone)
        $("form[name='update-address-form']").find("textarea[name='address']").html(data.address)
        $("form[name='update-address-form']").find("select[name='city_id']").find($("option")).each(function(i, item){
           if( $(item).val() == data.city_id) {
               $(item).prop({'selected': true})
           }
        });
        $("form[name='update-address-form']").find("select[name='state_id']").find($("option")).each(function(i, item){
            if( $(item).val() == data.state_id) {
                $(item).prop({'selected': true})
            }
        });
    }

    function saveModalChanges(){
        disableItem($(".updateModalDataBtn"), true)
       var formData =  $("form[name='update-address-form']").serializeArray();
        $.post(baseUrl + 'update_order_address/'+addressid, {data: formData})
            .done(function (res) {
                disableItem($(".updateModalDataBtn"), false)
                // handle success
                if (!res) {
                    $(".updateAddBtn").hide();
                    alertui.notify('error',
                        'Failed to update address',
                    );
                    $('#editaddress').modal('hide')
                    return false;
                }
                if (res.status === 'fail') {
                    $(".updateAddBtn").hide();
                    alertui.notify('error',
                        'Failed to update address',
                    );
                    $('#editaddress').modal('hide')
                    return false;
                }
                if (res.status === 'complete') {
                    $(".updateAddBtn").hide();
                    alertui.notify('default',
                        'Address updated!',
                    );
                    $('#editaddress').modal('hide');
                    location.reload();
                    return false;
                }
            })
            .fail(function (response, status, error) {
                disableItem($(".updateModalDataBtn"), false)
                // handle error
                $(".updateAddBtn").hide();
                $('#editaddress').modal('hide');
                if(response.status == 500){
                    alertui.notify('error', 'Failed to update address. Please try again.')
                }
                else{
                    alertui.notify('error', response.responseJSON.data)
                }
                return false;
            })
    }

    function deleteAddress(){
        alertui.confirm('Confirm', 'Do you want to delete this address?',
            function () {
                $.post(baseUrl + 'delete_order_address/' + addressid)
                    .done(function (res) {
                        // handle success
                        if (!res) {
                            alertui.notify('error', 'Error deleting address.');
                            return false;
                        }
                        if (res.status === 'fail') {
                            alertui.notify('error', 'Error deleting address.');
                            return false;
                        }
                        if (res.status === 'complete') {
                            alertui.notify('success', 'Address Deleted');
                            location.reload();
                        }
                        $(".orderloader").hide();
                    })
                    .fail(function (response) {
                        // handle error
                        if(response.status == 500){
                            alertui.notify('error', 'Error deleting address.. Please try again.')
                        }
                        else{
                            alertui.notify('error', response.responseJSON.data)
                        }
                        return false;

                    })
            },
            function () {
                alertui.notify('default', 'Your data is safe.');
            }
        );
    }

    $("form.add_address_form").on('submit', function (e) {
        e.preventDefault();
        $(".process_indicator_add_address").removeClass('off');
        disableItem($(".add_address_btn"), true)
        var formData = $(this).serialize();

        $.post(baseUrl + 'add_order_address', formData)
            .done(function (res) {
                // handle success
                $(".process_indicator_add_address").removeClass('off');
                disableItem($(".add_address_btn"), false)
                if (!res) {
                    alertui.notify('error',
                        'Failed to update address',
                    );
                    return false;
                }
                if (res.status === '400') {
                    alertui.notify('error',
                        'Failed to update address',
                    );
                    return false;
                }
                if (res.status === '200') {
                    alertui.notify('default',
                        'Address Saved!',
                    );
                    location.reload();
                    return false;
                }
            })
            .fail(function (response, status, error) {
                // handle error
                $(".process_indicator_add_address").addClass('off');
                disableItem($(".add_address_btn"), false)
                if(response.status == 500){
                    alertui.notify('error', 'An Error Occurred. Please try again.')
                }
                else{
                    alertui.notify('error', response.responseJSON.data)
                }
                return false;
            })
    })



</script>
</body>

</html>