<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title><?php echo e(config('app.name')); ?> <?php if(isset($title)): ?> - <?php echo e($title); ?><?php endif; ?></title>
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- favicon icon -->
    <link rel="shortcut icon" href="<?php echo e(asset('favicon.ico')); ?>" type="image/x-icon"/>

    <!-- CSS Style -->
    <?php echo $__env->yieldPushContent('bootstrap'); ?>
    <link rel="stylesheet" href="<?php echo e(asset('css/theme.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('css/animate.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('css/main_style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('css/main.css')); ?>">

    <link href="https://fonts.googleapis.com/css2?family=Roboto+Slab&display=swap" rel="stylesheet">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet"/>
    <style>
        * {
            box-sizing: border-box;
        }

        body {
            margin: 0;
        }


    </style>

    <!-- Global site tag (gtag.js) - Google Analytics -->



    <?php echo $__env->yieldPushContent('style'); ?>

</head>
<body>
<div id="preloader">
    <div id="sigma-preloader">&nbsp;</div>
</div>
</div>
<?php if(isset($errors)): ?>
<?php if($errors->any()): ?>
    <?php echo $__env->make('partials.notify', ['text' => $errors->first()], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php endif; ?>
<?php endif; ?>
    <?php echo $__env->make('partials.general.inner-header', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>

                    <?php echo $__env->yieldContent('content'); ?>

<?php echo $__env->make('partials.general.footer', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<script src="<?php echo e(asset('external/jquery/jquery.min.js')); ?>"></script>
<script src="<?php echo e(asset('external/bootstrap/js/bootstrap.min.js')); ?>"></script>
<script src="<?php echo e(asset('external/slick/slick.min.js')); ?>"></script>
<script src="<?php echo e(asset('external/perfect-scrollbar/perfect-scrollbar.min.js')); ?>"></script>
<script src="<?php echo e(asset('external/panelmenu/panelmenu.js')); ?>"></script>
<script src="<?php echo e(asset('external/instafeed/instafeed.min.js')); ?>"></script>
<script src="<?php echo e(asset('external/rs-plugin/js/jquery.themepunch.tools.min.js')); ?>"></script>
<script src="<?php echo e(asset('external/rs-plugin/js/jquery.themepunch.revolution.min.js')); ?>"></script>
<script src="<?php echo e(asset('external/countdown/jquery.plugin.min.js')); ?>"></script>
<script src="<?php echo e(asset('external/countdown/jquery.countdown.min.js')); ?>"></script>
<script src="<?php echo e(asset('external/lazyLoad/lazyload.min.js')); ?>"></script>
<script src="<?php echo e(asset('js/main.js')); ?>"></script>
<!-- form validation and sending to mail -->
<script src="<?php echo e(asset('external/form/jquery.form.js')); ?>"></script>
<script src="<?php echo e(asset('external/form/jquery.validate.min.js')); ?>"></script>
<script src="<?php echo e(asset('external/form/jquery.form-init.js')); ?>"></script>
<script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
    <script>
        $('#frmsearch').submit(function(event) {

            event.preventDefault(); //this will prevent the default submit
            if($('.txtsearch').val().length < 3){

                swal("",'Search Character Less than 3 letters', "error");

                return false;

            }else {

                // your code here (But not asynchronous code such as Ajax because it does not wait for response and move to next line.)

                $(this).unbind('submit').submit(); // continue the submit unbind preventDefault
            }
        })


        $(window).on('load', function() {
            $('#sigma-preloader').fadeOut();
            $('#preloader').delay(350).fadeOut('slow');
            $('body').delay(350).css({'overflow':'visible'});
        })

        $(".overlay, .close_overlay").click(function(){
            $(this).hide();
        })


        var baseUrl = "<?php echo config('app.base_url')?>";
        //Configure Ajax
        $.ajaxPrefilter(function(options, originalOptions, xhr) { // this will run before each request
            var token = $('meta[name="csrf-token"]').attr('content'); // or _token, whichever you are using

            if (token) {
                return xhr.setRequestHeader('X-CSRF-TOKEN', token); // adds directly to the XmlHttpRequest Object
            }
        });

    </script>
<?php echo $__env->yieldPushContent('script'); ?>
</body>
</html>