<!doctype html>
<html class="no-js" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Bills - <?php echo e(config('app.name')); ?></title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <!-- Place favicon.ico in the root directory -->
    <link rel="shortcut icon" type="image/x-icon" href="<?php echo e(asset('assets/images/favicon.ico')); ?>">
    <link rel="apple-touch-icon" href="apple-touch-icon.png">
    <!-- All css files are included here. -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/all.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-techmarket.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-awesome.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/custom.css')); ?>">

    <link rel="stylesheet" href="<?php echo e(asset('assets/newtemplate/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/newtemplate/css/responsive.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/newtemplate/css/color-three.css')); ?>">
    <style>
        .noshow{
            display: none;
        }
    </style>
</head>

<body class="woocommerce-active page-template-template-homepage-v1 can-uppercase">
<?php if($errors->any()): ?>
    <?php echo $__env->make('partials.notify', ['text' => $errors->first()], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php endif; ?>
<div id="page" class="hfeed site">
    <div id="loader-wrapper">
        <div id="loader"></div>
    </div>
    <div class="html-top-content">
        <div class="theme-top-section">
            <?php echo $__env->make('partials.newnav', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        </div>
    <div class="modal fade" id="modal" tabindex="-1" role="dialog" aria-labelledby="modal" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title modal_category_title"></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body text-center">
                    <div class="row justify-content-center">
                        <div class="col-sm-6">

                            <div class="form1">
                                <div class="form-group">
                                    <input type="text" name="customer_id_text" placeholder="" class="form-control"
                                           required>
                                </div>
                            </div>

                            <div class="row form2 noshow">
                                <h4>Order Summary</h4>

                                <div class="form-group text-left">
                                    <label for="productname">Product</label>
                                    <input type="text" name="productname" id="productname" placeholder=""
                                           disabled class="form-control" required>
                                </div>

                                <div class="form-group text-left">
                                    <label for="deviceno">Device no</label>
                                    <input type="text" name="deviceno" id="deviceno" placeholder="" class="form-control"
                                           disabled required>
                                </div>

                                <div class="form-group text-left">
                                    <label for="email">Full name</label>
                                    <input type="text" name="fullname" id="fullname" placeholder="" class="form-control"
                                           disabled required>
                                </div>

                                <div class="form-group text-left">
                                    <label for="email">Email address</label>
                                    <input type="text" name="email" id="email" placeholder="" class="form-control"
                                           required>
                                </div>

                                <div class="form-group text-left">
                                    <label for="phone_no">Phone</label>
                                    <input type="tel" name="phone_no" id="phone_no" placeholder="" class="form-control"
                                           required>
                                </div>
                            </div>

                            <button type="button"
                                    class="btn btn-large btn-block btn-primary nextform custom_button_color">
                                <i
                                        class="fa fa-spinner fa-spin off process_indicator"></i>
                                Validate
                            </button>

                            <div class="sendformdiv noshow">
                                <button type="button" class="btn btn-large btn-primary prevform custom_button_color">
                                    Back
                                </button>
                                <button type="button"
                                        class="btn btn-large btn-primary pay_bills_btn custom_button_color"><i
                                            class="fa fa-spinner fa-spin off process_indicator"></i> Redeem
                                </button>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
    <?php echo $__env->make('partials.notification.ordercomplete', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    <div id="content" class="site-content">
        <?php echo $__env->make('partials.bills.slider', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        <div class="col-full" id="shop">
            <div class="row">
                <div id="primary" class="content-area">
                    <main id="main" class="site-main">
                        <section
                                class="full-width section-products-carousel-tabs section-product-carousel-with-featured-product carousel-with-featured-1">
                            <?php if(isset($products)): ?>
                                <?php if($products->status == 1): ?>
                                    <header class="section-header mt-4">
                                        <h4 class="section-title custom_page_title custom_color"
                                        >Available Packages</h4>
                                        </ul>
                                    </header>
                                    <div class="container">
                                        <div class="row">
                                            <?php foreach($products->data as $item): ?>
                                                <div class="col-md-4 col-sm-6">
                                                    <div class="providers_list vendors_list position-relative"
                                                         style="
                                                                 background-color: #F2F2F2;
                                                         <?php /*background: url(<?php echo e(asset('assets/images/dstv/family.jpg')); ?>);*/ ?>
                                                                 /*background-size: cover;*/
                                                                 /*background-position: center center;*/
                                                                 /*background-repeat: no-repeat;*/
                                                                 text-align: left;
                                                                 padding: 10px 20px;
                                                                 min-height: 100px;
                                                                 "
                                                    >
                                                        <h5><?php echo e($item->product_name); ?></h5>
                                                        <div style="
                                                            color: #fff;
                                                            font-weight: 600;
                                                            font-size: 1.8em;
                                                            position:absolute;
                                                            bottom: 0;
                                                            left: 0;
                                                            padding: 20px 20px;
                                                            width:100%;
                                                            ">
                                                            <div class="row">
                                                                <div class="col-xs-6 col-sm-6 text-center">
                                                                    <?php if(Auth::check()): ?>
                                                                        <?php if(Auth::user()->currency->is_currency_fixed == '1'): ?>
                                                                            <span style=" font-size:14px"
                                                                                  class="custom_color">&#8358;<?php echo e(transform_product_price($item->price, 1)); ?></span>
                                                                        <?php else: ?>
                                                                            <span style="font-size:14px"
                                                                                  class="custom_color"> <?php echo e(transform_product_price($item->price, Auth::user()->currency->rate )); ?> <?php echo e(Auth::user()->currency->currency); ?></span>
                                                                        <?php endif; ?>
                                                                    <?php endif; ?>
                                                                </div>
                                                                <div class="col-xs-6 col-sm-6">
                                                                    <button class="btn btn-md btn-block custom_button_color">
                                                                        <a href="#"
                                                                           class="subscribe_bills_btn text-white"
                                                                           data-signature="<?php echo e($item->signature); ?>"
                                                                           data-price="<?php echo e($item->price); ?>"
                                                                           data-customerfield="<?php echo e($item->customer_id_text); ?>"
                                                                           data-packagename="<?php echo e($products->category); ?> - <?php echo e($item->product_name); ?>"
                                                                        >
                                                                            <span class="font-weight-bold">Subscribe</span></a>
                                                                    </button>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            <?php endforeach; ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                            <?php endif; ?>
                        </section>
                    </main>
                </div>
            </div>
            <?php echo $__env->make('partials.banner', ['page' => 'catalogue'], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        </div>
    </div>

        <?php echo $__env->make('partials.footer', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    </div>
</div>
<script src="<?php echo e(asset('js/main.js')); ?>"></script>
<script src="<?php echo e(asset('js/landing.js')); ?>"></script>
<script>
    $(".overlay").click(function () {
        $(this).hide();
    });
    var signature, price, email, phone_no, customer_id, packagename, customerfield

    var baseUrl = "<?php echo config('app.base_url')?>";
    $.ajaxSetup({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $(document).ready(function () {
        $(".form2").hide();
        $(".form1").show();
        $(".nextform").show();
        $(".sendformdiv").hide();
        $("input[name='customer_id_text']").val('');

        //Checkout button event
        $(".subscribe_bills_btn").on('click', function (event) {
            event.preventDefault();
            signature = $(this).data('signature');
            price = $(this).data('price');
            packagename = $(this).data('packagename');
            customerfield = $(this).data('customerfield');

            $("input[name='customer_id_text']").prop('placeholder', customerfield);
            $("input[name='productname']").prop('placeholder', packagename);
            $(".modal_category_title").html(packagename);
            $("#modal").modal('show')
        })

        $(".pay_bills_btn").click(function () {
            email = $("input[name='email']").val()
            phone_no = $("input[name='phone_no']").val()
            customer_id = $("input[name='customer_id_text']").val();

            if (email == '') {
                alertui.notify('error', 'Email is required');
                return false;
            }
            if (phone_no == '') {
                alertui.notify('error', 'Phone number is required');
                return false;
            }

            $(".process_indicator").removeClass('off');
            disableItem($(this), true)
            $.post(baseUrl + 'redeem_bill', {
                signature: signature,
                price: price,
                email: email,
                phone_no: phone_no,
                customer_id: customer_id,
                packagename: packagename,
                customerfield: customerfield
            })
                .done(function (res) {
                    disableItem($(".pay_bills_btn"), false)
                    $(".process_indicator").addClass('off');
                    // handle success
                    if (!res) {
                        alertui.notify('success', 'Failed to complete payment');
                        return false;
                    }
                    if (res.status == '400') {
                        alertui.notify('error', res.data);
                        return false;
                    }
                    if (res.status == 'fail') {
                        alertui.notify('error', res.data);
                        return false;
                    }
                    if (res.status == '200') {
                        updateAccount(res.account)
                        $('#modal').modal('hide');
                        $('#modal').on('hidden.bs.modal', function (e) {
                            $('#ordernotify').modal('show');
                        });
                        var oldlink = $("#order_receipt").prop('href');
                        $('#ordernotify').on('shown.bs.modal', function (e) {
                            $("#order_receipt").prop('href', '');
                            $("#order_receipt").prop('href', "<?php echo e(url('ordercomplete')); ?>" + '/' + res.data);
                        });
                    }
                })
                .fail(function (response, status, error) {
                    // handle error
                    $(".process_indicator").addClass('off');
                    disableItem($(".pay_bills_btn"), false)
                    if (response.status == 500) {
                        alertui.notify('error', 'An Error Occurred. Please try again.')
                    }
                    else {
                        alertui.notify('error', response.responseJSON.data)
                    }

                })
        });


        $(".nextform").click(function (e) {
            disableItem($(".nextform"), true)
            $(".process_indicator").removeClass('off');
            if($("input[name='customer_id_text']").val() == '' || $("input[name='customer_id_text']").val().length < 5){
                alertui.notify('info', 'Please enter a valid ' + customerfield);
                disableItem($(".nextform"), false)
                $(".process_indicator").addClass('off');
                return false;
            }else{
                $.post(baseUrl + 'validate_code', {
                    signature: $('.subscribe_bills_btn').data('signature'),
                    customer_id: $("input[name='customer_id_text']").val()
                })
                    .done(function (res) {
                        disableItem($(".nextform"), false)
                        $(".process_indicator").addClass('off');
                        // handle success
                        if (!res) {
                            alertui.notify('success', 'Failed to complete payment');
                            return false;
                        }
                        if (res.status == '400') {
                            alertui.notify('info', res.data);
                            return false;
                        }
                        if (res.status == 'fail') {
                            alertui.notify('info', res.data);
                            return false;
                        }
                        if (res.status == '200') {
                            $(".form1").hide();
                            $(".form2").show();
                            $(".nextform").hide();
                            $(".sendformdiv").show();
                            $(this).hide();
                            $("input[name='fullname']").prop('placeholder', res.data.name);
                            $("input[name='deviceno']").val($("input[name='customer_id_text']").val());
                        }
                    })
                    .fail(function (response, status, error) {
                        // handle error
                        $(".process_indicator").addClass('off');
                        disableItem($(".pay_bills_btn"), false)
                        if (response.status == 500) {
                            alertui.notify('error', 'An Error Occurred. Please try again.')
                        }
                        else {
                            alertui.notify('error', response.responseJSON.data)
                        }

                    })
            }


        })


    })


    $('#modal').on('hidden.bs.modal', function (e) {
        $(".form2").hide();
        $(".form1").show();
        $(".nextform").show();
        $(".sendformdiv").hide();
        $("input[name='customer_id_text']").val('');
        disableItem($(".nextform"), false)
        $(".process_indicator").addClass('off');
    })

    $(".prevform").click(function (e) {
        $(".form2").hide();
        $(".form1").show();
        $(".nextform").show();
        $(".sendformdiv").hide();
    })

</script>
</body>

</html>