<!doctype html>
<html class="no-js" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <?php if(isset($product->data->product_name)): ?>
        <title>Catalogue - <?php echo e($product->data->product_name); ?> <?php echo e(config('app.name')); ?></title>
    <?php else: ?>
        <title>Catalogue - <?php echo e(config('app.name')); ?></title>
    <?php endif; ?>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>"/>

    <!-- Place favicon.ico in the root directory -->
    <link rel="shortcut icon" type="image/x-icon" href="<?php echo e(asset('assets/images/favicon.ico')); ?>">
    <link rel="apple-touch-icon" href="apple-touch-icon.png">
    <!-- All css files are included here. -->
    <!-- Bootstrap fremwork main css -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/all.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-awesome.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-techmarket.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/blue.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/custom.css')); ?>">
</head>

<body class="woocommerce-active single-product full-width normal">
<div class="modal fade show" id="ordernotify" tabindex="-1" role="dialog" aria-labelledby="ordernotify" aria-hidden="true">
    <div class="modal-dialog modal-lg modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Success!</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body text-center">
                <h2 class="order_response"></h2>
                <br><br>
                <div class="btn-group justify-content-around w-100" role="group" aria-label="">
                    <button type="button" data-dismiss="modal" aria-label="Close" class="btn btn-large custom_button_color2 btn-primary" style="width: 45%; height: 50px;">
                       <span>Continue Shopping</span>
                    </button>
                    <a href="<?php echo e(url('cart')); ?>" class="btn btn-large custom_button_color"  style="width: 45%; height: 50px;">
                         <i class="fa fa-shopping-cart" aria-hidden="true"></i> <span class="text-white">View Cart</span>

                    </a>
                </div>
            </div>
        </div>
    </div>
</div>
<div id="page" class="hfeed site">
    <?php echo $__env->make('partials.nav_general', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    <!-- .top-bar-v1 -->
    <header id="masthead" class="site-header header-v1" style="background-image: none; ">
        <div class="col-full desktop-only">
            <!-- .techmarket-sticky-wrap -->
            <div class="row align-items-center">
                <div id="departments-menu" class="dropdown departments-menu">
                    <button class="btn dropdown-toggle btn-block" type="button" data-toggle="dropdown"
                            aria-haspopup="true" aria-expanded="false">
                        <i class="fa fa-list" aria-hidden="true"></i>
                        <span>Categories</span>
                    </button>
                    <?php echo $__env->make('partials.categories_nav_catalogue', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                </div>

                <!-- .departments-menu -->
                <form class="navbar-search" method="get" action="#">
                    <label class="sr-only screen-reader-text" for="search">Search for:</label>
                    <div class="input-group">
                        <input type="text" id="search" class="form-control search-field product-search-field" dir="ltr" value="" name="s" placeholder="Search catalogue" />
                        <div class="input-group-addon search-categories popover-header">
                            <select name='search_catalogue' id='search_catalogue' class='postform resizeselect'>
                                <option value='0' selected='selected'>All Categories</option>
                                <?php if(isset($response)): ?>
                                    <?php if($response->status == 1): ?>
                                        <?php foreach($response->data as $category): ?>
                                            <option value="<?php echo e($category->category_id); ?>"><?php echo e(ucfirst($category->category)); ?></option>
                                        <?php endforeach; ?>
                                    <?php endif; ?>
                                <?php endif; ?>
                            </select>
                        </div>
                        <!-- .input-group-addon -->
                        <div class="input-group-btn input-group-append">
                            <input type="hidden" id="search-param" name="post_type" value="product" />
                            <button type="button" class="btn btn-primary">
                                <i class="fa fa-search"></i>
                                <span class="search-btn">Search</span>
                            </button>
                        </div>
                        <!-- .input-group-btn -->
                    </div>
                    <!-- .input-group -->
                </form>
            <!-- .header-wishlist -->
                <ul id="site-header-cart" class="site-header-cart menu">
                    <li class="animate-dropdown dropdown ">
                        <a class="cart-contents" href="<?php echo e(url('cart')); ?>" title="View your shopping cart">
                            <i class="tm tm-shopping-bag"></i>
                            <?php if(Auth::check()): ?>
                                <?php if(Auth::user()->cartCount()[0]): ?>
                                    <span class="count"><?php echo e(Auth::user()->cartCount()[0]); ?></span>
                                <?php else: ?>
                                    <span class="count"></span>
                                <?php endif; ?>
                            <?php endif; ?>
                        </a>
                    </li>
                </ul>
                <!-- .site-header-cart -->
            </div>
            <!-- /.row -->
        </div>
        <div class="col-full handheld-only">
            <div class="handheld-header">
                <!-- /.row -->
                <div class="techmarket-sticky-wrap">
                    <div class="row">
                        <nav id="handheld-navigation" class="handheld-navigation" aria-label="Handheld Navigation" style="visibility: hidden">
                            <button class="btn navbar-toggler" type="button">
                                <i class="fa fa-list" aria-hidden="true"></i>
                                <span>Menu</span>
                            </button>
                            <div class="handheld-navigation-menu">
                                <span class="tmhm-close">Close</span>
                                <?php echo $__env->make('partials.categories_nav_catalogue_mobile', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                            </div>
                            <!-- .handheld-navigation-menu -->
                        </nav>
                        <!-- .handheld-navigation -->
                        <div class="site-search" style="visibility: hidden">
                            <div class="widget woocommerce widget_product_search">
                                <form role="search" method="get" class="woocommerce-product-search" action="#">
                                    <label class="screen-reader-text" for="woocommerce-product-search-field-0">Search for:</label>
                                    <input type="search" id="woocommerce-product-search-field-0" class="search-field" placeholder="Search products&hellip;" value="" name="s" />
                                    <input type="button" value="Search" />
                                    <input type="hidden" name="post_type" value="product" />
                                </form>
                            </div>
                            <!-- .widget -->
                        </div>
                        <a class="handheld-header-cart-link has-icon" href="<?php echo e(url('cart')); ?>" title="View your shopping cart">
                            <i class="tm tm-shopping-bag"></i>
                            <?php if(Auth::check()): ?>
                                <?php if(Auth::user()->cartCount()[0]): ?>
                                    <span class="count"><?php echo e(Auth::user()->cartCount()[0]); ?></span>
                                <?php else: ?>
                                    <span class="count"></span>
                                <?php endif; ?>
                            <?php endif; ?>
                        </a>
                    </div>
                    <!-- /.row -->
                </div>
            </div>
        </div>
    </header>
    <div id="content" class="site-content">
        <div class="col-full" id="product">
            <div class="row">
                <div id="primary" class="content-area">
                    <main id="main" class="site-main">
                        <div class="product product-type-simple mt-4">
                            <div class="single-product-wrapper">
                                <div class="product-images-wrapper">
                                    <div>
                                        <div class="techmarket-single-product-gallery-images">
                                            <div>
                                                <?php if(isset($product->data->image)): ?>
                                                <figure class="woocommerce-product-gallery__wrapper ">
                                                    <div
                                                         class="woocommerce-product-gallery__image single_experience_item">
                                                            <img width="600" height="600"
                                                                 style="max-width: 70%;"
                                                                 src="<?php echo e($product->data->image[0]->image_url); ?>"
                                                                 class="attachment-shop_single size-shop_single wp-post-image"
                                                                 alt="">
                                                        </a>
                                                    </div>
                                                </figure>
                                                    <?php endif; ?>
                                            </div><!-- .woocommerce-product-gallery -->
                                        </div><!-- .techmarket-single-product-gallery-images -->


                                    </div><!-- .techmarket-single-product-gallery -->
                                </div>

                                <div class="summary entry-summary single_item_container">
                                    <form action="<?php echo e(route('add_to_cart')); ?>" method="post" name="add_product_to_cart">
                                        <?php echo e(csrf_field()); ?>

                                        <?php if(isset($product)): ?>
                                    <div class="single-product-header">
                                        <h1 class="product_title entry-title font-weight-bold"><?php echo e($product->data->product_name); ?></h1>
                                        <p class="price">
                                            <input type="hidden" name="price" value="<?php echo e($product->data->price); ?>">
                                            <input type="hidden" name="signature" value="<?php echo e($product->data->signature); ?>">
                                            <input type="hidden" name="name" value="<?php echo e($product->data->product_name); ?>">
                                            <ins>
                                                <?php if(config('app.appfixcurrency') == 'true'): ?>
                                                    <span class="woocommerce-Price-amount amount">
                                                                    <span class="woocommerce-Price-currencySymbol">&#8358;</span>
                                                        <?php echo e((number_format( config('app.apprate') * $product->data->price) )); ?>

                                                            </span>
                                                <?php else: ?>
                                                    <span class="woocommerce-Price-amount amount">
                                                            <?php echo e((number_format( config('app.apprate') * $product->data->price))); ?>  <span class="woocommerce-Price-currencySymbol"><?php echo e(config('app.appcurrency')); ?></span>
                                                            </span>
                                                <?php endif; ?>
                                            </ins>
                                        </p>
                                        <div class="woocommerce-product-details__short-description">
                                            <?php echo e($product->data->description); ?>

                                        </div><!-- .woocommerce-product-details__short-description -->
                                    </div><!-- .single-product-header -->
                                    <?php endif; ?>
                                    <div class="product-actions-wrapper">
                                        <div class="product-actions">
                                            <?php /*//Delivery method start*/ ?>
                                            <div class="container">
                                            <div class="row mb-5">
                                                <?php if(isset($product->data->max_quantity)): ?>
                                                <div class="col-md-2">
                                                    <div class="quantity mt-3">
                                                        <h5 style="margin:10px;font-size: 14px">Quantity</h5>
                                                            <select name="orderqty" id="orderqty" class="postform resizeselect" min="1" required>
                                                                <?php for($i = 1; $i < (int)$product->data->max_quantity; $i++): ?>
                                                                    <option value="<?php echo e($i); ?>"><?php echo e($i); ?></option>
                                                                <?php endfor; ?>
                                                            </select>
                                                    </div>
                                                </div>
                                                <?php endif; ?>

                                                    <?php if(isset($product->data->delivery_type)): ?>
                                                <div class="col-md-5">
                                                <h5 style="margin:10px;">Delivery method</h5>
                                                    <?php if($product->data->delivery_type == 1): ?>
                                                        <div>
                                                            <select name="delivery_method" class="delivery_method" required>
                                                                <option disabled value="null" selected>Select</option>
                                                                <option value="1">Pickup</option>
                                                            </select>
                                                        </div>
                                                    <?php endif; ?>

                                                <?php if($product->data->delivery_type == 3): ?>
                                                        <div>
                                                            <select name="delivery_method"  class="delivery_method" required>
                                                                <option disabled value="null" selected>Select</option>
                                                                <option value="1">Pickup</option>
                                                                <option value="2">Delivery</option>
                                                            </select>
                                                        </div>
                                                       <div>
                                                    </div>
                                            <?php endif; ?>
                                            <?php if($product->data->delivery_type == 2): ?>
                                                        <div>
                                                            <select name="delivery_method" class="delivery_method" required>
                                                                <option disabled value="null" selected>Select</option>
                                                                <option value="2">Delivery</option>
                                                            </select>
                                                        </div>
                                                <?php endif; ?>
                                                    </div>
                                                    <?php endif; ?>

                                                    <?php if(isset($product->data->branch_details)): ?>
                                                    <div class="col-md-5" id="pickUpLocation">
                                                    <label style="margin:10px">Pickup Location</label>
                                                    <select name="pickup_location" class="pickup_location">
                                                        <option disabled value="null" selected>Select</option>
                                                        <?php foreach($product->data->branch_details as $location ): ?>
                                                            <option value="<?php echo e($location->branch_id); ?>">
                                                                <?php echo e($location->branch_name); ?>

                                                            </option>
                                                        <?php endforeach; ?>
                                                    </select>
                                                </div>
                                                        <?php endif; ?>
                                            </div>
                                            </div>
                                            <?php /*Delivery method end*/ ?>
                                            </div>
                                        <?php if(isset($product->data->is_variant)): ?>
                                        <?php if($product->data->is_variant): ?>
                                            <div class="container">
                                                <div class="row">
                                                    <?php if(isset($product->data->attributes)): ?>
                                                    <?php foreach($product->data->attributes as $attributes): ?>
                                                    <div class="col">
                                                        <h2 style="margin:10px"><?php echo e($attributes.name); ?></h2>
                                                        <select style="margin:10px" class="form-control item_variant" :id="item.variant_id" :name="item.variant_name" @change="combo()">
                                                            <option selected value="null">Select </option>
                                                            <?php foreach($attributes->details as $item): ?>
                                                            <option value="<?php echo e($item->variant_id); ?>">
                                                                <?php echo e($item->variant_name); ?>

                                                            </option>
                                                                <?php endforeach; ?>
                                                        </select>
                                                    </div>
                                                        <?php endforeach; ?>
                                                        <?php endif; ?>
                                                </div>
                                            </div>
                                        <?php endif; ?>
                                        <?php endif; ?>

                                        <div class="row justify-content-center">
                                            <div class="col-md-6">
                                                <button class="single_add_to_cart_button button alt custom_button_color" value="185"
                                                        type="submit"
                                                style="margin: 0 auto"
                                                >
                                                    <i class="fa fa-spinner fa-spin off process_indicator"></i>
                                                    <span>Add to cart</span>
                                                </button>

                                            </div>
                                        </div>
                                        </div>
                                        <!-- .product-actions -->
                                </form>
                                    </div>

                                </div>

                            </div><!-- .single-product-wrapper -->
                    </main>
                </div>
            </div>
        </div>
    </div>
    <?php echo $__env->make('partials.newfooter', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
</div>
<script src="<?php echo e(asset('js/app.js')); ?>"></script>
<script src="<?php echo e(asset('js/main.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/theia-sticky-sidebar.js')); ?>"></script>
<script>
    $(".overlay").click(function(){
        $(this).hide();
    })
    var baseUrl = "<?php echo config('app.base_url')?>";
    //Configure Ajax
    $.ajaxSetup({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $(document).ready(function () {
        $(".delivery_method").on('change', function () {
            if($(this).val() == 1){
                $("#pickUpLocation").show();
            }else{
                $("#pickUpLocation").hide();
            }
        })
        $(".single_experience_item").slick({
            dots: true,
            infinite: true,
            speed: 500,
            fade: true,
            cssEase: 'linear'
        });


        $("form[name='add_product_to_cart']").on('submit', function (event) {
            event.preventDefault();
            $(".process_indicator").removeClass('off');
            var formdata = {};
            $.map($(this).serializeArray(), function (elem, i) {
                formdata[elem.name] = elem.value;
            })
            $.post(baseUrl + 'add_to_cart', {formdata})
                .done(function (res) {
                    $(".process_indicator").addClass('off');
                    // handle success
                    if (!res) {
                        alertui.notify('error', 'Failed to add item to cart');
                        return false;
                    }
                    if (res.status == 400) {
                        alertui.notify('error', res.data);
                        return false;
                    } else {
                        console.log(res.cartqty)
                        updateCartCount(res.cartqty);
                        $('#ordernotify').modal('show');
                        $('#ordernotify').on('shown.bs.modal', function (e) {
                            $(".order_response").html(res.data);
                        });
                    }

                })
                .fail(function (error) {
                    // handle error
                    $(".process_indicator").addClass('off');
                    alertui.notify('error', error.responseJSON.data);
                })
        });

    })

    function updateCartCount(cartqty){
        $("span.count").html(cartqty);
    }
    $('.product-images-wrapper').theiaStickySidebar({
        // Settings
        additionalMarginTop: 30
    });
</script>
</body>

</html>