
<!doctype html>
<html class="no-js" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Catalogue - <?php echo e(config('app.name')); ?></title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Place favicon.ico in the root directory -->
    <link rel="shortcut icon" type="image/x-icon" href="<?php echo e(asset('assets/images/favicon.ico')); ?>">
    <link rel="apple-touch-icon" href="apple-touch-icon.png">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>" />
    <!-- All css files are included here. -->
    <!-- Bootstrap fremwork main css -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/all.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-techmarket.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/custom.css')); ?>">

    <link rel="stylesheet" href="<?php echo e(asset('assets/newtemplate/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/newtemplate/css/responsive.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/newtemplate/css/color-three.css')); ?>">
</head>
<body class="woocommerce-active left-sidebar">
<?php if($errors->any()): ?>
    <?php echo $__env->make('partials.notify', ['text' => $errors->first()], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php endif; ?>
<div id="page" class="hfeed site">
    <div id="loader-wrapper">
        <div id="loader"></div>
    </div>
    <div class="html-top-content">
        <div class="theme-top-section">
            <?php echo $__env->make('partials.newnav', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        </div>
    <header id="masthead" class="site-header header-v1" style="background-image: none; ">
        <div class="col-full desktop-only">
            <div class="row align-items-center">
                <div id="departments-menu" class="dropdown departments-menu">
                    <button class="btn dropdown-toggle btn-block" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        <i class="fa fa-list" aria-hidden="true"></i>
                        <span>Categories</span>
                    </button>
                    <?php echo $__env->make('partials.categories_nav_catalogue', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                </div>

                <!-- .departments-menu -->
                <form class="navbar-search" method="get" action="">

                    <!-- .input-group -->
                </form>
                <!-- .navbar-search -->
                <!-- .header-wishlist -->
                <ul id="site-header-cart" class="site-header-cart menu">
                    <li class="animate-dropdown dropdown ">
                        <a class="cart-contents" href="<?php echo e(url('cart')); ?>" title="View your shopping cart">
                            <i class="tm tm-shopping-bag"></i>
                            <?php if(Auth::check()): ?>
                                <?php if(Auth::user()->cartCount()[0]): ?>
                                    <span class="count"><?php echo e(Auth::user()->cartCount()[0]); ?></span>
                                <?php endif; ?>
                            <?php endif; ?>
                        </a>
                    </li>
                </ul>
                <!-- .site-header-cart -->
            </div>
            <!-- /.row -->
        </div>
        <!-- .col-full -->
        <div class="col-full handheld-only">
            <div class="handheld-header">
                <!-- /.row -->
                <div class="techmarket-sticky-wrap">
                    <div class="row">
                        <nav id="handheld-navigation" class="handheld-navigation" aria-label="Handheld Navigation">
                            <button class="btn navbar-toggler" type="button">
                                <i class="fa fa-list" aria-hidden="true"></i>
                                <span>Menu</span>
                            </button>
                            <div class="handheld-navigation-menu">
                                <span class="tmhm-close">Close</span>
                                <?php echo $__env->make('partials.categories_nav_catalogue_mobile', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                            </div>
                            <!-- .handheld-navigation-menu -->
                        </nav>
                        <!-- .handheld-navigation -->
                        <div class="site-search">
                            <div class="widget woocommerce widget_product_search">
                                <form role="search" method="get" class="woocommerce-product-search" action="">
                                </form>
                            </div>
                            <!-- .widget -->
                        </div>
                        <a class="handheld-header-cart-link has-icon" href="<?php echo e(url('cart')); ?>" title="View your shopping cart">
                            <i class="tm tm-shopping-bag"></i>
                            <?php if(Auth::check()): ?>
                                <?php if(Auth::user()->cartCount()[0]): ?>
                                    <span class="count"><?php echo e(Auth::user()->cartCount()[0]); ?></span>
                                <?php endif; ?>
                            <?php endif; ?>
                        </a>
                    </div>
                    <!-- /.row -->
                </div>
                <!-- .techmarket-sticky-wrap -->
            </div>
            <!-- .handheld-header -->
        </div>
        <!-- .handheld-only -->
    </header>
    <div id="content" class="site-content" tabindex="-1">
        <div class="col-full">
            <div class="row">
            <?php echo $__env->make('partials.breadcrumb', ['pages' =>
                [
                ['name' =>'Catalogue', 'route' =>'catalogue'],
                ['name' =>'Category', 'route' => null ]
                ]
                ], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
            <!-- .woocommerce-breadcrumb -->
                <div id="primary" class="content-area">
                    <main id="main" class="site-main">
                        <div class="shop-archive-header">
                        <?php echo $__env->make('partials.catalogue.carousel', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                            <!-- .jumbotron -->
                        </div>
                        <!-- .shop-archive-header -->
                        <!-- .handheld-sidebar-toggle -->
                        <div class="shop-control-bar">
                            <!-- .handheld-sidebar-toggle -->
                            <h1 class="woocommerce-products-header__title page-title font-weight-bold catalogue_title">Products
                                </h1>
                            <!-- .form-techmarket-wc-ppp -->

                            <form method="get" class="woocommerce-ordering">
                                <label for="sortby"><i class="fa fa-sort-numeric-asc" aria-hidden="true"></i> Price: </label>
                                <select class="sortby" name="sortby" id="sortby">
                                    <option value="" selected>None</option>
                                    <option value="1">low to high</option>
                                    <option value="2">high to low</option>
                                </select>
                            </form>
                            <form method="get" class="woocommerce-ordering">
                                <label for="sortby"><i class="fa fa-filter" aria-hidden="true"></i> Delivery: </label>
                                <select class="sortdelivery" name="sortdelivery">
                                    <option value="" selected>All</option>
                                    <option value="1">Pickup</option>
                                    <option value="2">Delivery</option>
                                    <option value="3">Pickup + Delivery</option>
                                </select>
                            </form>
                            <!-- .woocommerce-ordering -->
                            <nav class="techmarket-advanced-pagination">
                                <form class="form-adv-pagination" method="post">
                                    <input type="number" value="1" class="form-control" step="1" max="5" min="1" size="2" id="goto-page">
                                </form> of 5<a href="#" class="next page-numbers">→</a>
                            </nav>
                            <!-- .techmarket-advanced-pagination -->
                        </div>
                        <!-- .shop-control-bar -->
                        <div class="tab-content">
                            <div id="grid" class="tab-pane active" role="tabpanel">
                                <div class="woocommerce columns-5 mb-5">
                                    <?php if(isset($products->data)): ?>
                                    <div class="products">
                                        <?php foreach($products->data as $product): ?>
                                            <div class="product">
                                                <a class="woocommerce-LoopProduct-link woocommerce-loop-product__link" href="<?php echo e(url('catalogue/product', [$product->product_code])); ?>">
                                                    <img src="<?php echo e(asset('assets/images/spinnerb.gif')); ?>" width="224" height="197" alt="" class="attachment-shop_catalog size-shop_catalog wp-post-image resize_image_custom" data-src="<?php echo e($product->image); ?>"
                                                    >
                                                    <span class="price">
                                                    <span class="woocommerce-Price-amount amount">
                                                      <?php if(Auth::check()): ?>
                                                            <?php if(Auth::user()->currency->is_currency_fixed == '1'): ?>
                                                                <span class="woocommerce-Price-currencySymbol">&#8358;<?php echo e(transform_product_price($product->price, 1)); ?></span>
                                                            <?php else: ?>
                                                                <span class="woocommerce-Price-currencySymbol"><?php echo e(transform_product_price($product->price, Auth::user()->currency->rate )); ?> <?php echo e(Auth::user()->currency->currency); ?></span>
                                                            <?php endif; ?>
                                                        <?php endif; ?>
                                                </span>
                                                </span>
                                                    <h2 class="woocommerce-loop-product__title"><?php echo e($product->product); ?></h2>
                                                </a>
                                                <!-- .woocommerce-LoopProduct-link -->
                                                <div class="hover-area">
                                                    <a class="button" href="<?php echo e(url('catalogue/product', [$product->product_code])); ?>">View Product</a>
                                                </div>
                                                <!-- .hover-area -->
                                            </div>
                                        <?php endforeach; ?>
                                    </div>
                                        <?php if(isset($products->data)): ?>
                                            <?php if(count($products->data) > 9): ?>
                                                <div class="loadmore_container text-center" style="margin-top: 5rem!important;">
                                                    <button id="loadmorebtn" class="mt-5">
                                                        <i class="fa fa-spinner fa-spin off process_indicator"></i> Load more</button>
                                                </div>
                                            <?php endif; ?>
                                        <?php endif; ?>
                                        <?php else: ?>
                                        <p>No Products available</p>
                                        <?php endif; ?>
                                </div>
                                <!-- .woocommerce -->
                            </div>

                            <!-- .tab-pane -->
                        </div>
                        <!-- .tab-content -->
                    </main>
                    <!-- #main -->
                </div>
                <!-- #primary -->
                <div id="secondary" class="widget-area shop-sidebar" role="complementary">
                    <div class="widget woocommerce widget_product_categories techmarket_widget_product_categories" id="techmarket_product_categories_widget-2">
                        <ul class="product-categories category-single">
                            <li class="product_cat">
                                <span>Browse Categories</span>
                                <?php echo $__env->make('partials.categories_nav_catalogue_body', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                            </li>
                        </ul>
                    </div>

                </div>
                <!-- #secondary -->
            </div>
            <!-- .row -->
        </div>
        <!-- .col-full -->
    </div>
    <?php echo $__env->make('partials.footer', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
</div>
</div>
<script src="<?php echo e(asset('js/main.js')); ?>"></script>
<script src="<?php echo e(asset('js/landing.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/theia-sticky-sidebar.js')); ?>"></script>
<script>
    var baseUrl = "<?php echo config('app.base_url')?>";
    var conversionRate = "<?php echo Auth::user()->currency->rate ;?>"
    var appCurrency = "<?php echo Auth::user()->currency->currency ;?>"
    var appCurrencyFixed = "<?php echo Auth::user()->currency->is_currency_fixed ;?>"

    var total =  "<?php echo $total; ?>";
    var productid =  "<?php echo $productid; ?>";
    var pages = total / 10,
        currentPage = 1,
        maxPage = function (){
        if(pages % 1 != 0){
        return  Math.floor(total / 10) + 1;
        }else{
            return  Math.floor(total / 10);
        }
        }
        nextPage = function(){
        if(currentPage == maxPage){
            return currentPage;
        }else if(currentPage > maxPage) {
            return false;
        }
            else
        {
            return currentPage + 1;
        }
        }


    $('.shop-sidebar').theiaStickySidebar({
        // Settings
        additionalMarginTop: 30
    });
    $(".overlay").click(function(){
        $(this).hide();
    });
</script>
<script>
    //INTERSECTION OBSERVER
    //LAZY LOAD IMAGES
    var options = {
        rootMargin: '0px',
        threshold: 0.1
    };

    var images = $('img.wp-post-image');
    if (!('IntersectionObserver' in window)) {
        Array.from(images).forEach(image => preLoadImage(image));
    } else {
        var observer = new IntersectionObserver(handleIntersection, options);

        $.each(images, function(index, img) {
            observer.observe(img);
        })
    }
    function handleIntersection(entries, observer){

        entries.forEach(entry => {
            if(entry.intersectionRatio > 0) {
                observer.unobserve(entry.target);
                preLoadImage(entry.target)
            }
        })
    }

    function loadImage(image){
        var src = image.dataset.src;
        $.get(src)
            .done(function(){
                image.src = src;
            })
    }

    function preLoadImage(image){
        var src = image.dataset.src;
        image.src = src;
        // fetchImage(src).then(() => {
        //     image.src = src;
        // })
    }

    function loadProducts(items){
        $.each(items, function (i, item) {
            if(appCurrencyFixed == 1){
                //Currency fixed
                var price = new Intl.NumberFormat('en-GB').format(item.price);
                price = "&#8358;"+price
            }else{
                var price = new Intl.NumberFormat('en-GB').format(item.price);
                price += " " +appCurrency
            }

        var product="<div class='product'>"
            product += "<a class='woocommerce-LoopProduct-link woocommerce-loop-product__link' href=\"<?php echo url('catalogue/product'); ?>/"+item.product_code +"\">"
            product += "<img src="+item.image+" width='224' height='197' class='attachment-shop_catalog size-shop_catalog wp-post-image resize_image_custom'>"
            product += "<span class='price'><span class='woocommerce-Price-amount amount'>"+price+"</span></span>"
            product += "<h2 class='woocommerce-loop-product__title'>"+item.product+"</h2>"
            product += "<div classs='hover-area'><a class='button' href=\"<?php echo url('catalogue/product'); ?>/"+item.product_code +"\">View product</a></div>"
            product += "</a></div>"
            $(".products").append(product)
        })
    }

    function sortProducts(items){
        $(".products").html('')
        if(!items){
            $(".products").html("<h5 style='margin: 0 auto'>No data available</h5>");
            return false;
        }
        $.each(items, function (i, item) {
            if(appCurrencyFixed == 1){
                //Currency fixed
                var price = new Intl.NumberFormat('en-GB').format(item.price);
                price = "&#8358;"+price
            }else{
                var price = new Intl.NumberFormat('en-GB').format(item.price);
                price += " " +appCurrency
            }

        var product="<div class='product' data-aos=\"zoom-in\">"
            product += "<a class='woocommerce-LoopProduct-link woocommerce-loop-product__link' href=\"<?php echo url('catalogue/product'); ?>/"+item.product_code +"\">"
            product += "<img src="+item.image+" width='224' height='197' class='attachment-shop_catalog size-shop_catalog wp-post-image resize_image_custom'>"
            product += "<span class='price'><span class='woocommerce-Price-amount amount'>"+price+"</span></span>"
            product += "<h2 class='woocommerce-loop-product__title'>"+item.product+"</h2>"
            product += "<div classs='hover-area'><a class='button' href=\"<?php echo url('catalogue/product'); ?>/"+item.product_code +"\">View product</a></div>"
            product += "</a></div>"
            $(".products").append(product)
        })
    }
    $(document).ready(function () {


        $('#loadmorebtn').click(function () {
                    $(".process_indicator").removeClass('off');
                    disableItem($("#loadmorebtn"), true);
            var sortval = $("select[name='sortby'] option:selected").val();
            var filterval = $("select[name='sortdelivery'] option:selected").val();
                    $.ajax({
                            url: baseUrl + 'load_more_catalogue_items',
                            data: {'nextPage': nextPage, 'productid': productid, sortval:sortval,filterval: filterval },
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            type: 'POST'
                        }
                    )
                        .done(function (res) {
                            $(".process_indicator").addClass('off');
                            disableItem($("#loadmorebtn"), false)
                            // handle success
                            if (!res) {
                                alertui.notify('error', 'Failed to retrieve more items');
                                return false;
                            }
                            if (res.status == 400) {
                                alertui.notify('error', res.data);
                                return false;
                            } else {
                                if(res.data.status == 0){
                                    $('#loadmorebtn').hide();
                                }
                                currentPage++;
                                loadProducts(res.data.data);
                                if (currentPage == maxPage()) {
                                    $('#loadmorebtn').attr('display', 'none');
                                    $('#loadmorebtn').attr('display', 'block');
                                }
                            }

                        })
                        .fail(function (response) {

                            // handle error
                            disableItem($("#loadmorebtn"), false)
                            $(".process_indicator").addClass('off');
                            if (response.status == 500) {
                                alertui.notify('error', 'An Error Occurred. Please try again.')
                            }
                            else {
                                alertui.notify('error', response.responseJSON.data)
                            }
                        });
        })

        $("select[name='sortby']").change(function (e) {
            e.preventDefault();
            var sortval = $("select[name='sortby'] option:selected").val();
            alertui.load('Sorting products...',
                function(loadClose, loadEl) {
            $.ajax({
                    url:baseUrl + 'sort_catalogue_items',
                    data: {'sort':sortval, 'productid': productid},
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    type:'POST'
                }
            )
                .done(function (res) {
                    currentPage = 1
                    $('#loadmorebtn').show();
                    loadClose();
                    $(".process_indicator").addClass('off');
                    disableItem($("#loadmorebtn"), false)
                    // handle success
                    if (!res) {
                        alertui.notify('error', 'Failed to retrieve more items');
                        return false;
                    }
                    if (res.status == 400) {
                        alertui.notify('error', res.data);
                        return false;
                    } else {
                        if(res.data.status == 0){
                            $('#loadmorebtn').hide();
                        }
                        sortProducts(res.data.data);
                        if(currentPage == maxPage()){
                            $('#loadmorebtn').hide();
                        }
                    }

                })
                .fail(function (response) {
                    loadClose();
                    // handle error
                    disableItem($("#loadmorebtn"), false)
                    $(".process_indicator").addClass('off');
                    if(response.status == 500){
                        alertui.notify('error', 'An Error Occurred. Please try again.')
                    }
                    else{
                        alertui.notify('error', response.responseJSON.data)
                    }
                })
                })
        })

        $("select[name='sortdelivery']").change(function (e) {
            e.preventDefault();
            var filterval = $("select[name='sortdelivery'] option:selected").val();
            alertui.load('Filtering products...',
                function(loadClose, loadEl) {
            $.ajax({
                    url:baseUrl + 'sort_catalogue_items_delivery',
                    data: {'filterval':filterval, 'productid': productid},
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    type:'POST'
                }
            )
                .done(function (res) {
                    currentPage = 1
                    $('#loadmorebtn').show();
                    loadClose();
                    $(".process_indicator").addClass('off');
                    disableItem($("#loadmorebtn"), false)
                    // handle success
                    if (!res) {
                        alertui.notify('error', 'Failed to retrieve more items');
                        return false;
                    }
                    if (res.status == 400) {
                        alertui.notify('error', res.data);
                        return false;
                    } else {
                        if(res.data.status == 0){
                            $('#loadmorebtn').hide();
                        }
                        sortProducts(res.data.data);
                        if(currentPage == maxPage()){
                            $('#loadmorebtn').hide();
                        }
                    }

                })
                .fail(function (response) {
                    loadClose();
                    // handle error
                    disableItem($("#loadmorebtn"), false)
                    $(".process_indicator").addClass('off');
                    if(response.status == 500){
                        alertui.notify('error', 'An Error Occurred. Please try again.')
                    }
                    else{
                        alertui.notify('error', response.responseJSON.data)
                    }
                })
        })
        })
    })
</script>
</body>
</html>