<!doctype html>
<html class="no-js" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Catalogue - <?php echo e(config('app.name')); ?></title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Place favicon.ico in the root directory -->
    <link rel="shortcut icon" type="image/x-icon" href="<?php echo e(asset('assets/images/favicon.ico')); ?>">
    <link rel="apple-touch-icon" href="apple-touch-icon.png">
    <!-- All css files are included here. -->
    <!-- Bootstrap fremwork main css -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/all.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-awesome.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-techmarket.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/custom.css')); ?>">
</head>

<body class="woocommerce-active page-template-template-homepage-v1 can-uppercase">
<div id="page" class="hfeed site">
<?php echo $__env->make('partials.nav_general', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<!-- .top-bar-v1 -->
    <header id="masthead" class="site-header header-v1" style="background-image: none; ">
        <div class="col-full desktop-only">
            <div class="row align-items-center">
                <div id="departments-menu" class="dropdown departments-menu">
                    <button class="btn dropdown-toggle btn-block" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        <i class="fa fa-list" aria-hidden="true"></i>
                        <span>Categories</span>
                    </button>
            <?php echo $__env->make('partials.categories_nav_catalogue', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                    </div>
                <!-- .departments-menu -->
                <form class="navbar-search" method="get" action="#">
                    <label class="sr-only screen-reader-text" for="search">Search for:</label>
                    <div class="input-group">
                        <input type="text" id="search" class="form-control search-field product-search-field" dir="ltr" value="" name="s" placeholder="Search catalogue" />
                        <div class="input-group-addon search-categories popover-header">
                            <select name='search_catalogue' id='search_catalogue' class='postform resizeselect'>
                                <option value='0' selected='selected'>All Categories</option>
                                <?php /*<?php if($response): ?>*/ ?>
                                    <?php /*<?php if($response->status == 1): ?>*/ ?>
                                        <?php /*<?php foreach($response->data as $category): ?>*/ ?>
                                            <?php /*<option value="<?php echo e($category->category_id); ?>"><?php echo e(ucfirst($category->category)); ?></option>*/ ?>
                                        <?php /*<?php endforeach; ?>*/ ?>
                                    <?php /*<?php endif; ?>*/ ?>
                                <?php /*<?php endif; ?>*/ ?>
                            </select>
                        </div>
                        <!-- .input-group-addon -->
                        <div class="input-group-btn input-group-append">
                            <input type="hidden" id="search-param" name="post_type" value="product" />
                            <button type="button" class="btn btn-primary">
                                <i class="fa fa-search"></i>
                                <span class="search-btn">Search</span>
                            </button>
                        </div>
                        <!-- .input-group-btn -->
                    </div>
                    <!-- .input-group -->
                </form>
                <!-- .navbar-search -->
            <!-- .header-wishlist -->
                <ul id="site-header-cart" class="site-header-cart menu">
                    <li class="animate-dropdown dropdown ">
                        <a class="cart-contents" href="<?php echo e(url('cart')); ?>" title="View your shopping cart">
                            <i class="tm tm-shopping-bag"></i>
                            <?php if(Auth::check()): ?>
                                <?php if(Auth::user()->cartCount()[0]): ?>
                                    <span class="count"><?php echo e(Auth::user()->cartCount()[0]); ?></span>
                                <?php endif; ?>
                            <?php endif; ?>
                        </a>
                    </li>
                </ul>
                <!-- .site-header-cart -->
            <!-- /.row -->
        </div>
        </div>
        <!-- .col-full -->
        <div class="col-full handheld-only">
            <div class="handheld-header">
                <!-- /.row -->
                <div class="techmarket-sticky-wrap">
                    <div class="row">
                        <nav id="handheld-navigation" class="handheld-navigation" aria-label="Handheld Navigation">
                            <button class="btn navbar-toggler" type="button">
                                <i class="fa fa-list" aria-hidden="true"></i>
                                <span>Menu</span>
                            </button>
                            <div class="handheld-navigation-menu">
                                <span class="tmhm-close">Close</span>
                               <?php echo $__env->make('partials.categories_nav_catalogue_mobile', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                            </div>
                            <!-- .handheld-navigation-menu -->
                        </nav>
                        <!-- .handheld-navigation -->
                        <div class="site-search">
                            <div class="widget woocommerce widget_product_search">
                                <form role="search" method="get" class="woocommerce-product-search" action="#">
                                    <label class="screen-reader-text" for="woocommerce-product-search-field-0">Search for:</label>
                                    <input type="search" id="woocommerce-product-search-field-0" class="search-field" placeholder="Search products&hellip;" value="" name="s" />
                                    <input type="button" value="Search" />
                                    <input type="hidden" name="post_type" value="product" />
                                </form>
                            </div>
                            <!-- .widget -->
                        </div>
                        <a class="handheld-header-cart-link has-icon" href="<?php echo e(url('cart')); ?>" title="View your shopping cart">
                            <i class="tm tm-shopping-bag"></i>
                            <?php if(Auth::check()): ?>
                                <?php if(Auth::user()->cartCount()[0]): ?>
                                    <span class="count"><?php echo e(Auth::user()->cartCount()[0]); ?></span>
                                <?php endif; ?>
                            <?php endif; ?>
                        </a>
                    </div>
                    <!-- /.row -->
                </div>
                <!-- .techmarket-sticky-wrap -->
            </div>
            <!-- .handheld-header -->
        </div>
        <!-- .handheld-only -->
    </header>


    <div id="content" class="site-content">
        <div class="col-full" id="shop">
            <div class="row">
                <div id="primary" class="content-area">
                    <main id="main" class="site-main">
                    <?php echo $__env->make('partials.catalogue.slider', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                        <?php echo $__env->make('partials.promises', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                        <?php /*Products Section*/ ?>

                        <section class="full-width section-products-carousel-tabs section-product-carousel-with-featured-product carousel-with-featured-1">
                            <?php if(!$products): ?>
                                <header class="section-header text-center">
                                    <h3 class="text-center">No Products available.</h3>
                                    </ul>
                                </header>
                            <?php endif; ?>
                            <?php if(isset($products->status)): ?>
                                <?php if($products->status == 1): ?>
                            <header class="section-header">
                                <h2 class="section-title"><?php echo e($products->category); ?></h2>
                                </ul>
                            </header>
                            <div class="tab-content">
                                <!-- .tab-pane -->
                                <div role="tabpanel" id="digital-cameras" class="tab-pane active">
                                    <div class="tab-product-carousel-with-featured-product">
                                        <div class="tab-carousel-products">
                                            <div class="products-carousel" data-ride="tm-slick-carousel" data-wrap=".products" data-slick="{&quot;rows&quot;:2,&quot;slidesPerRow&quot;:6,&quot;slidesToShow&quot;:1,&quot;slidesToScroll&quot;:1,&quot;dots&quot;:true,&quot;arrows&quot;:false,&quot;responsive&quot;:[{&quot;breakpoint&quot;:1200,&quot;settings&quot;:{&quot;slidesPerRow&quot;:2,&quot;slidesToScroll&quot;:1}},{&quot;breakpoint&quot;:1400,&quot;settings&quot;:{&quot;slidesPerRow&quot;:3,&quot;slidesToScroll&quot;:1}},{&quot;breakpoint&quot;:1599,&quot;settings&quot;:{&quot;slidesPerRow&quot;:4,&quot;slidesToScroll&quot;:1}}]}">
                                                <div class="container-fluid">
                                                    <div class="woocommerce columns-6">
                                                        <div class="products">
                                                                    <?php foreach($products->data as $product): ?>
                                                                        <div class="product">
                                                                            <a href="<?php echo e(url('catalogue/product', [$product->product_code])); ?>" class="woocommerce-LoopProduct-link">
                                                                                <img src="<?php echo e($product->image); ?>" width="224" height="197" class="wp-post-image resize_image_custom" alt=""
                                                                                     >
                                                                                <span class="price">
                                                                                       <?php if(Auth::check()): ?>
                                                                                        <?php if(Auth::user()->currency->is_currency_fixed == '1'): ?>
                                                                                            <ins><span class="amount">&#8358;<?php echo e((number_format( $product->price))); ?></span> </ins>
                                                                                        <?php else: ?>
                                                                                                    <ins><span class="amount"><?php echo e((number_format( Auth::user()->currency->rate * $product->price))); ?> <?php echo e(Auth::user()->currency->currency); ?></span> </ins>
                                                                                        <?php endif; ?>
                                                                                    <?php endif; ?>
                                                                            </span>
                                                                                <!-- /.price -->
                                                                                <h2 class="woocommerce-loop-product__title"><?php echo e($product->product); ?></h2>
                                                                            </a>
                                                                            <div class="hover-area">
                                                                                <a class="button add_to_cart_button" href="<?php echo e(url('catalogue/product', [$product->product_code])); ?>" rel="nofollow" style="cursor: pointer">View Product</a>
                                                                            </div>
                                                                        </div>
                                                                    <?php endforeach; ?>
                                                        </div>
                                                    </div>
                                                    <!-- .woocommerce-->
                                                </div>
                                                <!-- .container-fluid -->
                                            </div>
                                            <!-- .products-carousel -->
                                        </div>
                                        <!-- .tab-carousel-products -->
                                        <div class="tab-featured-product">
                                            <div class="woocommerce columns-1">
                                                <div class="products">
                                                    <div class="tab-product-featured product">
                                                        <a class="woocommerce-LoopProduct-link" href="<?php echo e(url('catalogue/product', [$products->data[0]->product_code])); ?>">
                                                            <img width="600" height="600" alt="" class="attachment-shop_single size-shop_single wp-post-image" src="<?php echo e($products->data[0]->image); ?>">
                                                            <span class="price">
                                                                        <ins>
                                                                            <span class="woocommerce-Price-amount amount">
                                                                                       <?php if(Auth::check()): ?>
                                                                                    <?php if(Auth::user()->currency->is_currency_fixed == '1'): ?>
                                                                                        <ins><span class="woocommerce-Price-currencySymbol">&#8358;<?php echo e((number_format($products->data[0]->price))); ?></span> </ins>
                                                                                    <?php else: ?>
                                                                                        <ins><span class="woocommerce-Price-currencySymbol"><?php echo e((number_format( Auth::user()->currency->rate * $products->data[0]->price))); ?> <?php echo e(Auth::user()->currency->currency); ?></span> </ins>
                                                                                    <?php endif; ?>
                                                                                <?php endif; ?>
                                                                            </span>
                                                                        </ins>
                                                                    </span>
                                                            <h2 class="woocommerce-loop-product__title"><?php echo e($products->data[0]->product); ?></h2>
                                                        </a>
                                                        <a class="button add_to_cart_button" href="<?php echo e(url('catalogue/product', [$products->data[0]->product_code])); ?>">View Product</a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- .tab-featured-product -->
                                    </div>
                                    <!-- .tab-product-carousel-with-featured-product -->
                                </div>
                                <!-- .tab-pane -->
                            </div>
                            <!-- .tab-content -->
                                    <?php endif; ?>
                            <?php endif; ?>
                        </section>
                    </main>
                </div>
        </div>
            <?php echo $__env->make('partials.banner', ['page' => 'catalogue'], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
            </div>
    </div>

    <?php echo $__env->make('partials.newfooter', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
</div>

<script src="<?php echo e(asset('js/app.js')); ?>"></script>
<script src="<?php echo e(asset('js/main.js')); ?>"></script>
<script>
    $(".overlay").click(function(){
        $(this).hide();
    });
</script>
</body>

</html>