<!doctype html>
<html class="no-js" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Statement - <?php echo e(config('app.name')); ?></title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>" />

    <!-- Place favicon.ico in the root directory -->
    <link rel="shortcut icon" type="image/x-icon" href="<?php echo e(asset('assets/images/favicon.ico')); ?>">
    <link rel="apple-touch-icon" href="apple-touch-icon.png">
    <!-- All css files are included here. -->
    <!-- Bootstrap fremwork main css -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/all.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-awesome.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-techmarket.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/blue.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/datatable.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/datatables.bootstrap4.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/custom.css')); ?>">

</head>

<body class="woocommerce-active single-product full-width normal">
<?php if($errors->any()): ?>
    <?php echo $__env->make('partials.notify', ['text' => $errors->first()], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php endif; ?>
<div id="page" class="hfeed site">
        <?php echo $__env->make('partials.nav_general', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    <div id="content" class="site-content">
        <div class="col-full mt-5" id="product">
            <div class="row">
                <?php echo $__env->make('partials.breadcrumb', ['pages' =>
          [
          ['name' =>'Statement', 'route' => null ]
          ]
          ], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                <div id="primary" class="content-area">
                    <main id="main" class="site-main">
                        <?php if(isset($accounts)): ?>
                        <div class="type-page hentry">
                            <div class="entry-content">
                                <div class="woocommerce container mt-2">
                                    <div
                                            style="
                                                    background-image: url(<?php echo e(asset('assets/images/ordercomplete.png')); ?>);
                                                    height: 150px;
                                                    color: #fff;
                                                    background-position: center;
                                                    background-size: cover;
                                                    margin-bottom: 60px;
                                                    "
                                    >
                                        <h2 class="text-center text-white" style="line-height: 150px;">Account Statement</h2>
                                    </div>
                                    </div>
                                    <div class="cart-wrapper">
                                            <table class="statement_table shop_table_responsive cart" style='width: 100%'>
                                                    <thead>
                                                    <th>Order Date</th>
                                                    <th>Type</th>
                                                    <th>Amount</th>
                                                    <th>Transaction No</th>
                                                    </thead>
                                                <tbody>
                                                <?php foreach($accounts as $item): ?>
                                                    <tr>
                                                        <td><?php echo e($item->created_at); ?></td>
                                                        <td>
                                                            <?php if($item->type == 1): ?>
                                                                Credit
                                                                <?php else: ?>
                                                            Debit
                                                                <?php endif; ?>
                                                        </td>
                                                        <?php if(Auth::user()->currency->is_currency_fixed == '1'): ?>
                                                        <td>&#8358;<?php echo e($item->point_virtual); ?></td>
                                                        <?php else: ?>
                                                        <td><?php echo e($item->point_virtual); ?> <?php echo e(Auth::user()->currency->currency); ?></td>
                                                        <?php endif; ?>
                                                            <td>
                                                            <?php if($item->order_id == ""): ?>
                                                                _
                                                                <?php else: ?>
                                                                <?php echo e($item->order_id); ?>

                                                                <?php endif; ?>
                                                        </td>
                                                    </tr>
                                                <?php endforeach; ?>
                                                </tbody>
                                            </table>
                                    </div>
                                    <!-- .cart-wrapper -->
                                </div>
                                <!-- .woocommerce -->
                            </div>
                            <!-- .entry-content -->
                        </div>
                        <?php endif; ?>
                    </main>
                </div>
            </div>
        </div>
    </div>
    <?php echo $__env->make('partials.newfooter', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
</div>
<script src="<?php echo e(asset('js/app.js')); ?>"></script>
<script src="<?php echo e(asset('js/main.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/datatable.min.js')); ?>"></script>
<script>
    $(".statement_table").dataTable();
    $("#DataTables_Table_0_wrapper").css("width", "100%");

</script>
</body>

</html>