<?php $__env->startSection('content'); ?>
    <div class="take-out-container">
        <div class="meal-slider-container">
            <div class="centered">
                <h3>
                    <?php echo e($current_title); ?> (<?php echo e(count($products->data)); ?>)
                </h3>
            </div>
            <img src="<?php echo e(asset('images/slides/bg.png')); ?>" width="100%" />
        </div>

    </div>

    <!-- View Experience -->
    <div class="view-experience-container">
        <div id="tt-pageContent">
            <div class="container-indent">
                <div class="container container-fluid-custom-mobile-padding">
                    <div class="colored-icons">
                        <a href="<?php echo e(url('experiences')); ?>">
                            <i class="fa fa-arrow-left" aria-hidden="true">
                                <span>Back To Experiences</span>
                            </i>
                        </a>
                    </div>
                    <?php if($products): ?>
                        <?php if(isset($products->data)): ?>
                            <?php if(count($products->data)): ?>
                                <?php if(isset($products->status)): ?>
                                    <?php if($products->status == 1): ?>
                    <div class="row tt-layout-product-item">
                        <?php foreach($products->data as $product): ?>
                        <div class="col-6 col-md-3 col-lg-3">

                            <div class="tt-product thumbprod-center">
                                <a href="<?php echo e(url('experience', [$product->product."___".$product->product_code])); ?>" title="<?php echo e($product->product); ?>">
                                    <img src="<?php echo e($product->image); ?>" width="100%" alt="<?php echo e($product->product); ?>" />
                                </a>


                            </div>
                            <div class="product-description">
                                <p><?php echo e(str_limit($product->product, 30)); ?></p>
                                <?php if(Auth::check()): ?>
                                    <?php if(Auth::user()->currency->is_currency_fixed == '1'): ?>
                                        <p class="sigma-price"> <span class="price">&#8358;<?php echo e(transform_product_price($product->price, 1)); ?></span> </p>
                                    <?php else: ?>
                                        <p class="sigma-price"> <span class="price"><?php echo e(transform_product_price($product->price, Auth::user()->currency->rate )); ?> <?php echo e(Auth::user()->currency->currency); ?></span> </p>
                                    <?php endif; ?>
                                <?php endif; ?>

                            </div>

                        </div>
                        <?php endforeach; ?>
                    </div>

                <?php if($products->total > 20): ?>

                    <div class="loadmore_container text-center" style="margin-top: 5rem!important;">
                        <button id="loadmorebtn" class="mt-5 btn btn-continue custom_button_color_2 load-more btn-default load-more-btn" data-next="2" data-city = "<?php echo e($city_id); ?>">
                            <i class="fa fa-spinner fa-spin off process_indicator"></i> Load more</button>
                    </div>


                <?php endif; ?>
                <?php else: ?>
                    <p>No Experience available</p>
                <?php endif; ?>
                <?php endif; ?>
                <?php endif; ?>
                <?php endif; ?>
            <?php endif; ?>
                </div>





            </div>
        </div>
    </div>



<?php $__env->stopSection(); ?>
<?php $__env->startPush('style'); ?>

    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('css/alertui.min.css')); ?>">
    <style>
        .product-price{
            margin-top: -10px;
        }
        .product-image .image {
            height: 210px;
        }
    </style>
<?php $__env->stopPush(); ?>
<?php $__env->startPush('script'); ?>
    <script src="<?php echo e(asset('js/theia-sticky-sidebar.js')); ?>"></script>

    <script src="<?php echo e(asset('js/alertui.min.js')); ?>"></script>
    <script>
        $('.sidebar').theiaStickySidebar({
            // Settings
            additionalMarginTop: 30
        });

    </script>
    <script>

        function fetchCities(event){
            exp_country_id = $(event).val();
            $('#exp_city').empty();
            $('#exp_city').append('<option>Loading...</option>');
            disableItem($(".search_exp_btn"), true)
            disableItem($('#exp_city'), true);
            $.ajax({
                type:"GET",
                url:"<?php echo e(url('api/getcities')); ?>"+"/"+exp_country_id,
                headers:{token:1200},
                dataType:"json",
                success: function(res){
                    $('#exp_city').empty();
                    disableItem($('#exp_city'), false);
                    disableItem($(".search_exp_btn"), false)
                    if (res.status == 200 ){

                        $.each(res.data, function(key,value)
                        {
                            $('#exp_city').append('<option value="'+value.id+'" data-cityname="'+value.name+'">'+ucFirst(value.name.toLowerCase())+'</option>');
                        });

                    }
                },
                error: function (response, status, error) {
                    $('#exp_city').empty();
                    $('#exp_city').append('<option>Select city</option>');
                    if(response.status == 500){
                        alertui.notify('error', 'An Error Occurred. Please try again.')
                        swal("",'An Error Occurred. Please try again.', "error");

                    }
                    else{
                        alertui.notify('error', response.responseJSON.data)
                        swal("",response.responseJSON.data, "error");

                    }
                }
            });
        }

        <?php /*$(".category-product").on('click','.load-more', function(){*/ ?>

        <?php /*//alert("click");*/ ?>
        <?php /*    var page=$(this).attr("data-next");*/ ?>
        <?php /*    var city=$(this).attr("data-city");*/ ?>

        <?php /*    $.ajax({*/ ?>
        <?php /*        type:"GET",*/ ?>
        <?php /*        url:"<?php echo e(url('api/load_more_experience_items')); ?>"+"/?exp_city="+city+"&page="+page,*/ ?>
        <?php /*        dataType:"json",*/ ?>
        <?php /*        success: function(res){*/ ?>

        <?php /*            if (res.status == 1 ){*/ ?>

        <?php /*                console.log(res.data)*/ ?>
        <?php /*                var total = res.total;*/ ?>
        <?php /*                var current_total = page * 20;*/ ?>
        <?php /*                var next_page = parseInt(page) + 1;*/ ?>
        <?php /*                var html="";*/ ?>

        <?php /*                $.each(function(key, value){*/ ?>

        <?php /*                    html += '<div class="col-sm-6 col-md-3 col-lg-3">';*/ ?>
        <?php /*                    html += '<div class="product">';*/ ?>
        <?php /*                    html += '<div class="product-image">';*/ ?>
        <?php /*                    html += '<div class="image">';*/ ?>
        <?php /*                    html += '<a  href="<?php echo e(url("experience", ['+value->product+'"___"'+value->product_code+'])); ?>" title="<?php echo e('+value->product+'); ?>">';*/ ?>
        <?php /*                    html += '<img src="<?php echo e(asset("assets/images/spinnerb.gif")); ?>" alt="" data-src="<?php echo e('+value->image+'); ?>" class="hover-image">';*/ ?>
        <?php /*                    html += '</a>';*/ ?>
        <?php /*                    html += '</div>';*/ ?>
        <?php /*                    html += ' </div>';*/ ?>

        <?php /*                    html += '<div class="product-info text-left">';*/ ?>
        <?php /*                    html += '<h3 class="name">';*/ ?>
        <?php /*                    html += '<a  href="<?php echo e(url("experience", [str_slug('+value->product+')+"___"'+value->product_code+'])); ?>" title="<?php echo e('+value->product+'); ?>"><?php echo e(str_limit($product->product, 30)); ?></a>';*/ ?>
        <?php /*                    html += '</h3>';*/ ?>
        <?php /*                    <?php if(Auth::check()): ?>*/ ?>
        <?php /*                            <?php if(Auth::user()->currency->is_currency_fixed == '1'): ?>*/ ?>
        <?php /*                        html += '<div class="product-price"> <span class="price">&#8358;<?php echo e(transform_product_price($product->price, 1)); ?></span> </div>';*/ ?>
        <?php /*                    <?php else: ?>*/ ?>
        <?php /*                        html += '<div class="product-price"> <span class="price"><?php echo e(transform_product_price($product->price, Auth::user()->currency->rate )); ?> <?php echo e(Auth::user()->currency->currency); ?></span> </div>';*/ ?>
        <?php /*                    <?php endif; ?>*/ ?>
        <?php /*                            <?php endif; ?>*/ ?>

        <?php /*                        html += '</div>';*/ ?>
        <?php /*                    html += '</div>';*/ ?>
        <?php /*                    html += '</div>';*/ ?>
        <?php /*                });*/ ?>



        <?php /*                if(total > current_total){*/ ?>

        <?php /*                html+='<div class="loadmore_container text-center" style="margin-top: 5rem!important;">';*/ ?>
        <?php /*                html+='<button id="loadmorebtn" class="mt-5 btn btn-continue custom_button_color_2 load-more" data-next='+next_page+' data-city ='+city+'>';*/ ?>
        <?php /*                    html+='<i class="fa fa-spinner fa-spin off process_indicator"></i> Load more</button>';*/ ?>
        <?php /*                    html+='</div>';*/ ?>
        <?php /*                }*/ ?>
        <?php /*                console.log(html);*/ ?>
        <?php /*                alert(city);*/ ?>
        <?php /*                // $.each(res.data, function(key,value)*/ ?>
        <?php /*                // {*/ ?>
        <?php /*                //     $('#exp_city').append('<option value="'+value.id+'" data-cityname="'+value.name+'">'+ucFirst(value.name.toLowerCase())+'</option>');*/ ?>
        <?php /*                // });*/ ?>

        <?php /*            }*/ ?>
        <?php /*        },*/ ?>
        <?php /*        error: function (response, status, error) {*/ ?>
        <?php /*           alert("error");*/ ?>
        <?php /*        }*/ ?>
        <?php /*    });*/ ?>
        <?php /*});*/ ?>

        $("#exp_country").on('change', function(){
            exp_country_id = $(this).val();
            $('#exp_city').empty();
            $('#exp_city').append('<option>Loading...</option>');
            disableItem($(".search_exp_btn"), true)
            disableItem($('#exp_city'), true);
            $.ajax({
                type:"GET",
                url:"<?php echo e(url('api/getcities')); ?>"+"/"+exp_country_id,
                headers:{token:1200},
                dataType:"json",
                success: function(res){
                    $('#exp_city').empty();
                    disableItem($('#exp_city'), false);
                    disableItem($(".search_exp_btn"), false)
                    if (res.status == 200 ){

                        $.each(res.data, function(key,value)
                        {
                            $('#exp_city').append('<option value="'+value.id+'" data-cityname="'+value.name+'">'+ucFirst(value.name.toLowerCase())+'</option>');
                        });

                    }
                },
                error: function (response, status, error) {
                    $('#exp_city').empty();
                    $('#exp_city').append('<option>Select city</option>');
                    if(response.status == 500){
                        alertui.notify('error', 'An Error Occurred. Please try again.')
                        swal("",'An Error Occurred. Please try again.', "error");

                    }
                    else{
                        alertui.notify('error', response.responseJSON.data)
                        swal(" ",response.responseJSON.data, "error");

                    }
                }
            });

        });

        //INTERSECTION OBSERVER
        //LAZY LOAD IMAGES
        var options = {
            rootMargin: '0px',
            threshold: 0.1
        };
        var images = $('.image img');
        if (!('IntersectionObserver' in window)) {
            Array.from(images).forEach(image => preLoadImage(image));
        } else {
            var observer = new IntersectionObserver(handleIntersection, options);

            $.each(images, function(index, img) {
                observer.observe(img);
            })
        }
        function handleIntersection(entries, observer){

            entries.forEach(entry => {
                if(entry.intersectionRatio > 0) {
                    observer.unobserve(entry.target);
                    preLoadImage(entry.target)
                }
            })
        }

        // function loadImage(image){
        //     var src = image.dataset.src;
        //     $.get(src)
        //         .done(function(){
        //             image.src = src;
        //         })
        // }

        function preLoadImage(image){
            var src = image.dataset.src;
            image.src = src;
            // fetchImage(src).then(() => {
            //     image.src = src;
            // })
        }


    </script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('layouts.main', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>