<!doctype html>
<html class="no-js" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Experiences - <?php echo e(config('app.name')); ?></title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Place favicon.ico in the root directory -->
    <link rel="shortcut icon" type="image/x-icon" href="<?php echo e(asset('assets/images/favicon.ico')); ?>">
    <link rel="apple-touch-icon" href="apple-touch-icon.png">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>" />
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/all.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-awesome.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-techmarket.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/blue.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/custom.css')); ?>">
</head>
<body
        class="woocommerce-active single-product full-width normal"
>
<?php if($errors->any()): ?>
    <?php echo $__env->make('partials.notify', ['text' => $errors->first()], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php endif; ?>
<div id="page" class="hfeed site">
    <?php echo $__env->make('partials.nav_general', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    <div
            style="
                    background: url(<?php echo e(asset('assets/images/bg/experiences_bg.jpg')); ?>) no-repeat center center fixed;
                    -webkit-background-size: cover;
                    -moz-background-size: cover;
                    -o-background-size: cover;
                    background-size: cover;
                    position: relative;
                    "
    >
        <div>
    <div class="container" style="padding-top: 1em">
            <div class="row justify-content-between text-center experience_page_container">
                <div class="col">
                    <div class="experience_h3_container">
                    <h3 class="experience_h3">Experiences</h3>
                    </div>
                </div>
                <?php /*<div class="col-4">*/ ?>
                    <?php /*<div class="experience_back_container">*/ ?>
                   <?php /*<span style="cursor: pointer;"> <i class="tm tm-long-arrow-left"></i> Back to Categories</span>*/ ?>
                    <?php /*</div>*/ ?>
                <?php /*</div>*/ ?>
            </div>
            <div class="row experience_secondary_area">
                <div class="col-sm-12 experience_page_desc_container text-left text-white">
                    <h3>Experience Amazing
                        <br>
                        Places and Events.
                    </h3>
                    <p>Book your Activities, Tours now.</p>
                </div>
                <div class="col-sm-12">
            <div class="row justify-content-between text-left">
                <div class="col search_container">
                <form class="" method="get" action="<?php echo e(url('experiences/category')); ?>">

                            <select name="exp_country" id="exp_country" class="" style="width: 145.64px;" required>
                                <option value="" selected="selected" disabled="disabled" required>Select Country</option>
                                <?php foreach($countries->data as $country): ?>
                                <option value="<?php echo e($country->country_id); ?>"><?php echo e($country->country_name); ?></option>
                                    <?php endforeach; ?>
                            </select>
                               <select name="exp_city" id="exp_city" class="" style="width: 145.64px;" disabled>
                                   <option value="" selected="selected">Select City</option>
                               </select>

                        <button type="submit" class="btn btn-primary search_exp_btn custom_button_color">
                            <span class="">FIND EXPERIENCES</span>
                        </button>
                        <!-- .input-group-btn -->

                    <!-- .input-group -->
                </form>
                </div>
            </div>
                </div>
            </div>
        </div>
        </div>
    </div>
    <div class="container" style="padding-bottom: 1.5em;">
        <div class="mt-5" style="position:relative;">
            <h3 class="exp_glam_title">Most Popular locations</h3>
            <hr>
        </div>
    <div class="row justify-content-between text-left">

        <div class="col-sm-4 col-xs-12 exp_glam">
            <div class="exp_glam_img_container">
                <a href="#">
                <img src="<?php echo e(asset('assets/images/experience/tottenham.jpg')); ?>" alt="">
                <div class="exp_glam_text_wrapper">
                    <table class="exp_glam_text_content">
                        <tbody><tr>
                            <td>
                                <div class="exp_glam_text_title text-center text-capitalize font-weight-bold">Tottenham</div>
                                <div class="exp_glam_text_description text-center font-weight-bold text-capitalize">United Kingdom</div>
                            </td>
                        </tr>
                        </tbody></table>
                </div>
                </a>
            </div>
        </div>
        <div class="col-md-4 exp_glam">
            <div class="exp_glam_img_container">
                <img src="<?php echo e(asset('assets/images/experience/manchester.jpg')); ?>" alt="">
                <div class="exp_glam_text_wrapper">
                    <table class="exp_glam_text_content">
                        <tbody><tr>
                            <td>
                                <div class="exp_glam_text_title text-center text-capitalize font-weight-bold">Manchester</div>
                                <div class="exp_glam_text_description text-center font-weight-bold text-capitalize">United Kingdom</div>
                            </td>
                        </tr>
                        </tbody></table>
                </div>
            </div>
        </div>
        <div class="col-md-4 exp_glam">
            <a href="<?php echo e(url('/experiences/category?exp_country=222&exp_city=2176')); ?>">
            <div class="exp_glam_img_container">
                <img src="<?php echo e(asset('assets/images/experience/london.jpg')); ?>" alt="">
                <div class="exp_glam_text_wrapper">
                    <table class="exp_glam_text_content">
                        <tbody><tr>
                            <td>
                                <div class="exp_glam_text_title text-center text-capitalize font-weight-bold">London</div>
                                <div class="exp_glam_text_description text-center font-weight-bold text-capitalize">United Kingdom</div>
                            </td>
                        </tr>
                        </tbody></table>
                </div>
            </div>
            </a>
        </div>
        <div class="col-md-4 exp_glam">
            <div class="exp_glam_img_container">
                <img src="<?php echo e(asset('assets/images/experience/chicago.jpg')); ?>" alt="">
                <div class="exp_glam_text_wrapper">
                    <table class="exp_glam_text_content">
                        <tbody><tr>
                            <td>
                                <div class="exp_glam_text_title text-center text-capitalize font-weight-bold">Chicago</div>
                                <div class="exp_glam_text_description text-center font-weight-bold text-capitalize">USA</div>
                            </td>
                        </tr>
                        </tbody></table>
                </div>
            </div>
        </div>
        <div class="col-md-4 exp_glam">
            <div class="exp_glam_img_container">
                <img src="<?php echo e(asset('assets/images/experience/san_fransisco.jpg')); ?>" alt="">
                <div class="exp_glam_text_wrapper">
                    <table class="exp_glam_text_content">
                        <tbody><tr>
                            <td>
                                <div class="exp_glam_text_title text-center text-capitalize font-weight-bold">San Fransisco</div>
                                <div class="exp_glam_text_description text-center font-weight-bold text-capitalize">USA</div>
                            </td>
                        </tr>
                        </tbody></table>
                </div>
            </div>
        </div>
        <div class="col-md-4 exp_glam">
            <div class="exp_glam_img_container">
                <img src="<?php echo e(asset('assets/images/experience/new_york.jpg')); ?>" alt="">
                <div class="exp_glam_text_wrapper">
                    <table class="exp_glam_text_content">
                        <tbody><tr>
                            <td>
                                <div class="exp_glam_text_title text-center text-capitalize font-weight-bold">New York</div>
                                <div class="exp_glam_text_description text-center font-weight-bold text-capitalize">USA</div>
                            </td>
                        </tr>
                        </tbody></table>
                </div>
            </div>
        </div>
        </div>
    </div>
    <?php echo $__env->make('partials.newfooter', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
</div>

<script src="<?php echo e(asset('js/main.js')); ?>"></script>
<script>

    $.ajaxSetup({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    var baseUrl = "<?php echo config('app.base_url'); ?>"

    $(".overlay").click(function(){
        $(this).hide();
    })
    $(document).ready(function () {
    $("#exp_country").on('change', function(){
        exp_country_id = $(this).val();
        $('#exp_city').empty();
        $('#exp_city').append('<option>Loading...</option>');
        $('#exp_city').prop('disabled', true);
        $.ajax({
            type:"GET",
            url:baseUrl+"getcities/"+exp_country_id,
            headers:{token:1200},
            dataType:"json",
            success: function(msg){
                $('#exp_city').empty();
                $('#exp_city').prop('disabled', false);
                if (msg.data.status ==1 ){

                    $.each(msg.data.data, function(key,value)
                    {
                        $('#exp_city').append('<option value="'+value.city_id+'" data-cityname="'+value.name+'">'+value.name.toLowerCase()+'</option>');
                    });

                }
            }
        });

    });
    })
</script>
</body>

</html>
