<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title><?php echo e(config('app.name')); ?> <?php if(isset($title)): ?> - <?php echo e($title); ?><?php endif; ?></title>
    <meta name="author" content="Loyalty Solutions Limited" />
    <meta name="description" content="Sigma Pensions Rewards platform" />
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>"/>

    <!-- favicon icon -->
    <link rel="shortcut icon" href="<?php echo e(asset('/favicon.ico')); ?>" />


    <link href="<?php echo e(asset('sigma/landing/css/bootstrap.min.css')); ?>" rel="stylesheet" type="text/css" />


    <link href="https://fonts.googleapis.com/css?family=Nunito:300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet">
    <!--== animate -->
    <link href="<?php echo e(asset('sigma/landing/css/animate.css')); ?>" rel="stylesheet" type="text/css" />

    <!--== fontawesome -->
    <link href="<?php echo e(asset('sigma/landing/css/fontawesome-all.css')); ?>" rel="stylesheet" type="text/css" />


    <!--== line-awesome -->
    <link href="<?php echo e(asset('sigma/landing/css/line-awesome.min.css')); ?>" rel="stylesheet" type="text/css" />

    <!--== magnific-popup -->
    <link href="<?php echo e(asset('sigma/landing/css/magnific-popup/magnific-popup.css')); ?>" rel="stylesheet" type="text/css" />

    <!--== owl-carousel -->
    <link href="<?php echo e(asset('sigma/landing/css/owl-carousel/owl.carousel.css')); ?>" rel="stylesheet" type="text/css" />

    <!--== base -->
    <link href="<?php echo e(asset('sigma/landing/css/base.css')); ?>" rel="stylesheet" type="text/css" />

    <!--== shortcodes -->
    <link href="<?php echo e(asset('sigma/landing/css/shortcodes.css')); ?>" rel="stylesheet" type="text/css" />

    <!--== default-theme -->
    <link href="<?php echo e(asset('sigma/landing/css/style.css')); ?>" rel="stylesheet" type="text/css" />

    <!--== responsive -->
    <link href="<?php echo e(asset('sigma/landing/css/responsive.css')); ?>" rel="stylesheet" type="text/css" />

    <!-- inject css end -->
    <style>
        .overlay{
            position: fixed; /* Sit on top of the page content */
            display: block; /* Hidden by default */
            width: 100%; /* Full width (cover the whole page) */
            height: 100%; /* Full height (cover the whole page) */
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            background-color: rgba(0,0,0,0.2); /* Black background with opacity */
            z-index: 2000; /* Specify a stack order in case you're using a different order for other elements */
            cursor: pointer; /* Add a pointer on hover */
        }
        .textnotify_container{
            position: relative;
        }
        .textnotify{
            text-align: center;
            color:#fff;
            width: 100%;
            height:60px;
            line-height: 60px;
            background: #00aced;
        }
        @font-face {
            font-family: 'Museo';
            src: url("<?php echo e(asset('assets/fonts/Museo500-Regular.ttf')); ?>");
        }

        body,html, h1, h2, h3, h4, h5, h6,a { font-family: 'Museo' !important; }
    </style>

</head>
<body>
<?php if($errors->any()): ?>
    <?php echo $__env->make('partials.notify', ['text' => $errors->first()], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php endif; ?>
<div class="page-wrapper">

    <div id="ht-preloader">
        <div class="loader clear-loader">
            <div class="loader-box"></div>
            <div class="loader-box"></div>
            <div class="loader-box"></div>
            <div class="loader-box"></div>
            <div class="loader-wrap-text">
                <div class="text">
                    <span>S</span><span>I</span><span>G</span><span>M</span><span>A</span>
                    <span>P</span><span>R</span><span>I</span><span>M</span><span>E</span>
                </div>
            </div>
        </div>
    </div>

    <?php echo $__env->make('partials.sigma.landing.header', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php echo $__env->yieldContent('content'); ?>
<?php echo $__env->make('partials.sigma.landing.footer', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
</div>
<script src="<?php echo e(asset('sigma/landing/js/jquery.3.3.1.min.js')); ?>"></script>
<script src="<?php echo e(asset('sigma/landing/js/popper.min.js')); ?>"></script>
<script src="<?php echo e(asset('sigma/landing/js/bootstrap.min.js')); ?>"></script>
<script src="<?php echo e(asset('sigma/landing/js/jquery.appear.js')); ?>"></script>
<script src="<?php echo e(asset('sigma/landing/js/modernizr.js')); ?>"></script>
<script src="<?php echo e(asset('sigma/landing/js/jquery.easing.min.js')); ?>"></script>
<script src="<?php echo e(asset('sigma/landing/js/menu/jquery.smartmenus.js')); ?>"></script>
<script src="<?php echo e(asset('sigma/landing/js/owl-carousel/owl.carousel.min.js')); ?>"></script>

<script src="<?php echo e(asset('sigma/landing/js/magnific-popup/jquery.magnific-popup.min.js')); ?>"></script>
<script src="<?php echo e(asset('sigma/landing/js/counter/counter.js')); ?>"></script>
<script src="<?php echo e(asset('sigma/landing/js/countdown/jquery.countdown.min.js')); ?>"></script>
<?php /*<script src="<?php echo e(asset('sigma/landing/js/canvas.js')); ?>"></script>*/ ?>
<script src="<?php echo e(asset('sigma/landing/js/snap.svg.js')); ?>"></script>
<script src="<?php echo e(asset('sigma/landing/js/step.js')); ?>"></script>
<script src="<?php echo e(asset('sigma/landing/js/contact-form/contact-form.js')); ?>"></script>
<script src="<?php echo e(asset('sigma/landing/js/contact-form/jquery.validate.min.js')); ?>"></script>
<?php /*<script src="<?php echo e(asset('sigma/landing/js/map.js')); ?>"></script>*/ ?>
<script src="<?php echo e(asset('sigma/landing/js/wow.min.js')); ?>"></script>
<script src="<?php echo e(asset('sigma/landing/js/theme-script.js')); ?>"></script>
<script>
    $(".overlay").click(function(){
        $(this).hide();
    })
</script>
</body>
</html>