<?php $__env->startSection('content'); ?>
    <?php if($errors->any()): ?>
        <?php echo $__env->make('partials.notify', ['text' => $errors->first()], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    <?php endif; ?>
    <?php 
        $cartstatus = [
          'cancelled' => 0,
          'pending' => 1,
          'shipped' => 2,
          'delivered' => 3,
          'processing' => 4,
          'expired' => 5,
          'noncart' => 6,
          'deleted' => 7,
          'pickedup' => 8
       ];
   $total = 0;
   $anydelivery = "";
   $address = "";
   $sentto = "";
   $is_delivery = false;
     ?>

    <div id="tt-pageContent">
        <div class="wish-list-bg">
            <div class="centered">
                <h5>ORDER RECEIPTS</h5>
            </div>
            <img class="wish-list-img" src="<?php echo e(asset('images/profile-images/profiletopbg.png')); ?>" width="100%" />
        </div>

        <!-- Order Receipts Table -->
        <div class="order-history-div table-responsive-sm">

            <div>
                <div class="row">
                    <?php if(isset($order->order_no)): ?>

                            <div class="col-sm-12">
                                <span style="margin-bottom: 1px; font-weight: 700;">Order no : <?php echo e($order->order_no); ?></span>
                                <span style="font-weight: 700; float:right">Date : <?php echo e($order->created_at->format('D, j M, Y / h:i A')); ?></span>
                            </div>

                    <?php endif; ?>
                </div>

                <table class="table table-striped">
                    <thead>
                    <tr>
                        <th class="grey-text">Name</th>
                        <th class="grey-text">Quantity</th>
                        <th class="grey-text">Price(Unit)</th>
                        <th class="grey-text">Price(Total)</th>
                        <th class="grey-text">Redemption method</th>
                        <th class="grey-text">Status</th>
                        <th class="grey-text">Voucher no</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php if(isset($data)): ?>
                        <?php foreach($data as $item): ?>
                            <?php 
                                $total += ceil($item->price * $item->qty);
                             ?>
<tr>
                            <td class="modal-product-des">
                                <p><?php echo e($item->name); ?></p>
                                <?php if($item->value): ?>
                                    <p>( <?php echo e($item->value); ?> )</p>
                                <?php endif; ?>

                                <?php if($item->delivery_type === 1): ?>
                                    <span>
                                        <p style="text-decoration: underline;">Pickup Location</p>
                                        <?php if(isset($item->pickup_location_name)): ?>
                                            <?php echo e($item->pickup_location_name); ?>

                                        <?php endif; ?>
                                    </span>
                                <?php elseif($item->delivery_type === 2 || $item->delivery_type === 5): ?>
                                    <span>

                                    </span>
                                <?php endif; ?>
                            </td>
                            <td>
                                <?php echo e($item->qty); ?>

                            </td>
                            <td>
                                <?php if(Auth::user()->currency->is_currency_fixed == '1'): ?>
                                    &#8358;<?php echo e(transform_product_price($item->price, 1)); ?>

                                <?php else: ?>
                                    <?php echo e(transform_product_price($item->price, Auth::user()->currency->rate )); ?> <?php echo e(Auth::user()->currency->currency); ?>

                                <?php endif; ?>
                            </td>
                            <td>
                                <?php if(Auth::user()->currency->is_currency_fixed == '1'): ?>
                                    &#8358;<?php echo e(transform_product_price( ($item->price * $item->qty), 1)); ?>

                                <?php else: ?>
                                    <?php echo e(transform_product_price( ($item->price * $item->qty), Auth::user()->currency->rate )); ?> <?php echo e(Auth::user()->currency->currency); ?>

                                <?php endif; ?>
                            </td>
                            <td> <?php if($item->delivery_type === 1): ?>
                                    Pickup
                                <?php elseif($item->delivery_type === 2): ?>
                                    Shipping
                                <?php else: ?>
                                    E-Channel
                                <?php endif; ?></td>
                            <td>    <?php if($item->delivery_type != 2 && $item->delivery_type != 1): ?>
                                    Successful
                                <?php else: ?>
                                    <?php echo e(ucfirst(array_flip($cartstatus)[$item->status])); ?>

                                <?php endif; ?></td>
                            <td><?php echo e($item->voucher); ?></td>
    <?php if($item->delivery_type === 2): ?>
        <?php if(isset($item->address)): ?>
            <?php $address = $item->address; $state = $item->state_name; $city = $item->city_name; $is_delivery = true; ?>
        <?php endif; ?>
    <?php endif; ?>

    <?php if($item->delivery_type === 2): ?>
        <?php 
            $anydelivery = "( + delivery charge)"
         ?>
        <?php if(isset($item->firstname)): ?>
            <?php $sentto = $item->firstname ?>
        <?php endif; ?>
        <?php if(isset($item->lastname)): ?>
            <?php $sentto  .= " "; ?>
            <?php $sentto  .= $item->lastname ?>
        <?php endif; ?>
    <?php endif; ?>
</tr>

                        <?php endforeach; ?>
                        <?php /*<tr class="font-weight-bold">*/ ?>
                        <?php /*Total cost : */ ?>
                        <?php /*<?php if(Auth::user()->currency->is_currency_fixed == '1'): ?>*/ ?>
                        <?php /*&#8358;<?php echo e(transform_product_price( $total, 1)); ?>*/ ?>
                        <?php /*<?php else: ?>*/ ?>
                        <?php /*<?php echo e(transform_product_price( ($total * Auth::user()->currency->rate), 1 )); ?> <?php echo e(Auth::user()->currency->currency); ?>*/ ?>
                        <?php /*<?php endif; ?>*/ ?>
                        <?php /*<br><br>*/ ?>
                        <?php /*Delivery cost : */ ?>
                        <?php /*<?php if(Auth::user()->currency->is_currency_fixed == '1'): ?>*/ ?>
                        <?php /*&#8358;<?php echo e(transform_product_price( $delivery_charge, 1)); ?>*/ ?>
                        <?php /*<?php else: ?>*/ ?>
                        <?php /*<?php echo e(transform_product_price( ($delivery_charge * Auth::user()->currency->rate), 1 )); ?> <?php echo e(Auth::user()->currency->currency); ?>*/ ?>
                        <?php /*<?php endif; ?>*/ ?>
                        <?php /*<br><br>*/ ?>
                        <?php /*Grand Total*/ ?>
                        <?php /*<?php if(Auth::user()->currency->is_currency_fixed == '1'): ?>*/ ?>
                        <?php /*&#8358;<?php echo e(transform_product_price( $total + $delivery_charge, 1)); ?>*/ ?>
                        <?php /*<?php else: ?>*/ ?>
                        <?php /*<?php echo e(transform_product_price( ($total * Auth::user()->currency->rate) + $delivery_charge, 1 )); ?> <?php echo e(Auth::user()->currency->currency); ?>*/ ?>
                        <?php /*<?php endif; ?>*/ ?>
                        <?php /*<br><br>*/ ?>
                        <?php /*</tr>*/ ?>
                        <?php /*<tr class="font-weight-bold">*/ ?>

                        <?php /*</tr>*/ ?>
                    <?php endif; ?>
                    </tbody>
                </table>
            </div>
            <div style="margin-top: 5%;" class="fluid-statement2">
                <div class="row">
                    <div class="col-12 col-md-7">
                        <div class="user-statement-checkout2">
                            <p class="grey-text">E-voucher redemptions, your item(s) will be avialable for pick up at your selected location
                                within the period of 15 days after which your voucher expires</p>
                            <p class="grey-text">Delivery redemptions, your items will be delivered
                                to your address within 15 days period</p>
                            <p class="grey-text">An agent will contact you for unavailability of an item</p>
                            <p class="grey-text">For complaints or enquires please call <a href="tel:+2347055790298">North: (07055790298)</a>, <a href="tel:+2349055194351">West: (09055194351)</a>, <a href="tel:+2349055194359">East: (09055194359)</a> or send an email to
                                <a href="mailto:sigmaprime@sigmapensions.com">sigmaprime@sigmapensions.com</a>
                            </p>
                        </div>
                    </div>
                    <div class="col-12 col-md-5">
                        <div style="margin-bottom: 2%;" class="user-statement-checkout">
                            <?php if($item->delivery_type === 1): ?>
                                <span>
                                    <p style="text-decoration: underline;">Pickup Location</p>
                                    <?php if(isset($item->pickup_location_name)): ?>
                                        <?php echo e($item->pickup_location_name); ?>

                                    <?php endif; ?>
                                </span>
                            <?php elseif($item->delivery_type === 2 || $item->delivery_type === 5): ?>
                                <?php elseif($item->delivery_type === 2 || $item->delivery_type === 5): ?>
                                <span>
                                </span>
                            <?php endif; ?>
                                <?php if($is_delivery): ?>
                                    <p class="font-weight-bold" style="margin-bottom: 5px;text-decoration: underline;">Delivery address</p>
                                    <p class="font-weight-bold"> <?php echo e($sentto); ?></p>
                                    <p class="font-weight-bold"><?php echo e($address); ?>, <?php echo e(ucwords(strtolower($city))); ?>, <?php echo e(ucwords(strtolower($state))); ?>, Nigeria</p>
                                <?php endif; ?>
                            </div>
                        <div class="user-statement-checkout">
                            <div class="checkout-flexed">
                                <p class="">Total cost</p>
                                <p class="bold-text">
                                    <?php if(Auth::user()->currency->is_currency_fixed == '1'): ?>
                                        &#8358;<?php echo e(transform_product_price( ceil($total), 1)); ?>

                                    <?php else: ?>
                                        <?php echo e(transform_product_price( (ceil($total * Auth::user()->currency->rate)), 1 )); ?> <?php echo e(Auth::user()->currency->currency); ?>

                                    <?php endif; ?>
                                </p>
                            </div>
                            <div class="checkout-flexed">
                                <p class="grey-text">Delivery cost</p>
                                <p class="bold-text">
                                    <?php if(Auth::user()->currency->is_currency_fixed == '1'): ?>
                                        &#8358;<?php echo e(transform_product_price( ceil($delivery_charge), 1 )); ?>

                                    <?php else: ?>
                                        <?php echo e(transform_product_price( ceil($delivery_charge), 1 )); ?> <?php echo e(Auth::user()->currency->currency); ?>

                                    <?php endif; ?>
                                </p>
                            </div>
                            <div class="checkout-flexed">
                                <p style="font-size: 16px;" class="grey-text">Grand Total</p>

                               <p class="bold-text"> <?php if(Auth::user()->currency->is_currency_fixed == '1'): ?>
                                    &#8358;<?php echo e(transform_product_price( ceil($total + $delivery_charge), 1)); ?>

                                <?php else: ?>
                                    <?php echo e(transform_product_price( ceil ( ($total * Auth::user()->currency->rate) + $delivery_charge   ), 1 )); ?> <?php echo e(Auth::user()->currency->currency); ?>

                                <?php endif; ?>
                               </p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>



        <!-- Test Modal -->


    </div>


<?php $__env->stopSection(); ?>

<?php $__env->startPush('bootstrap'); ?>
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('css/bootstrap3.min.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('css/bootstrap.min.css')); ?>">
<?php $__env->stopPush(); ?>
    <?php $__env->startPush('style'); ?>
    <script src="<?php echo e(asset('js/alertui.min.js')); ?>"></script>
<?php $__env->stopPush(); ?>
<?php $__env->startPush('script'); ?>
    <script>
        function printData()
        {
            var divToPrint=document.getElementById("printarea");
            newWin= window.open("");
            newWin.document.write(divToPrint.outerHTML);
            newWin.print();
            newWin.close();
        }
    </script>
    <?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.main', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>