<!doctype html>
<html class="no-js" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Experiences - <?php echo e(config('app.name')); ?></title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Place favicon.ico in the root directory -->
    <link rel="shortcut icon" type="image/x-icon" href="<?php echo e(asset('assets/images/favicon.ico')); ?>">
    <link rel="apple-touch-icon" href="apple-touch-icon.png">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>" />
    <!-- All css files are included here. -->
    <!-- Bootstrap fremwork main css -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/all.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-awesome.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-techmarket.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/blue.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/custom.css')); ?>">
</head>
<body class="woocommerce-active left-sidebar  pace-done">
<div id="page" class="hfeed site">
<?php echo $__env->make('partials.nav_general', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<!-- .top-bar-v1 -->
    <header id="masthead" class="site-header header-v1" style="background-image: none; ">
        <div class="col-full desktop-only">
            <div class="row align-items-center">
                <div id="departments-menu" class="dropdown departments-menu">
                    <button class="btn dropdown-toggle btn-block" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        <i class="fa fa-list" aria-hidden="true"></i>
                        <span>Categories</span>
                    </button>
                    <ul id="menu-departments-menu" class="dropdown-menu yamm departments-menu-dropdown">
                        <?php if($response): ?>
                            <?php if($response->status == 1): ?>
                                <?php foreach($response->data as $category): ?>
                                    <li class="highlight menu-item animate-dropdown">
                                        <a title="<?php echo e($category->category); ?>"  id="<?php echo e($category->category_id); ?>" style="cursor: pointer" href="<?php echo e(url("experiences",[str_slug($category->category, '-') .'-' . $category->category_id])); ?>">
                                            <?php echo e(ucfirst($category->category)); ?></a>
                                    </li>
                                <?php endforeach; ?>
                            <?php endif; ?>
                        <?php else: ?>
                            <li class="highlight menu-item animate-dropdown">
                                <a title="" href="javascript:">Failed to load categories</a>
                            </li>
                        <?php endif; ?>
                    </ul>
                </div>

                <!-- .departments-menu -->
                <form class="navbar-search" method="get" action="">

                    <!-- .input-group -->
                </form>
                <!-- .navbar-search -->
                <!-- .header-wishlist -->
                <ul id="site-header-cart" class="site-header-cart menu">
                    <li class="animate-dropdown dropdown ">
                        <a class="cart-contents" href="<?php echo e(url('cart')); ?>" title="View your shopping cart">
                            <i class="tm tm-shopping-bag"></i>
                            <?php if(Auth::check()): ?>
                                <?php if(Auth::user()->cartCount()[0]): ?>
                                    <span class="count"><?php echo e(Auth::user()->cartCount()[0]); ?></span>
                                <?php endif; ?>
                            <?php endif; ?>
                        </a>
                    </li>
                </ul>
                <!-- .site-header-cart -->
            </div>
            <!-- /.row -->
        </div>
        <!-- .col-full -->
        <div class="col-full handheld-only">
            <div class="handheld-header">
                <!-- /.row -->
                <div class="techmarket-sticky-wrap">
                    <div class="row">
                        <nav id="handheld-navigation" class="handheld-navigation" aria-label="Handheld Navigation">
                            <button class="btn navbar-toggler" type="button">
                                <i class="fa fa-list" aria-hidden="true"></i>
                                <span>Menu</span>
                            </button>
                            <div class="handheld-navigation-menu">
                                <span class="tmhm-close">Close</span>
                                <ul id="menu-departments-menu-1" class="nav">
                                    <?php if($response): ?>
                                        <?php if($response->status == 1): ?>
                                            <?php foreach($response->data as $category): ?>
                                                <li class="highlight menu-item animate-dropdown">
                                                    <a title="<?php echo e($category->category); ?>"  id="<?php echo e($category->category_id); ?>" style="cursor: pointer" href="<?php echo e(url("experiences",[str_slug($category->category, '-') .'-' . $category->category_id])); ?>">
                                                        <?php echo e(ucfirst($category->category)); ?></a>
                                                </li>
                                            <?php endforeach; ?>
                                        <?php endif; ?>
                                    <?php endif; ?>
                                </ul>
                            </div>
                            <!-- .handheld-navigation-menu -->
                        </nav>
                        <!-- .handheld-navigation -->
                        <div class="site-search">
                            <div class="widget woocommerce widget_product_search">
                                <form role="search" method="get" class="woocommerce-product-search" action="">
                                </form>
                            </div>
                            <!-- .widget -->
                        </div>
                        <a class="handheld-header-cart-link has-icon" href="<?php echo e(url('cart')); ?>" title="View your shopping cart">
                            <i class="tm tm-shopping-bag"></i>
                            <?php if(Auth::check()): ?>
                                <?php if(Auth::user()->cartCount()[0]): ?>
                                    <span class="count"><?php echo e(Auth::user()->cartCount()[0]); ?></span>
                                <?php endif; ?>
                            <?php endif; ?>
                        </a>
                    </div>
                    <!-- /.row -->
                </div>
                <!-- .techmarket-sticky-wrap -->
            </div>
            <!-- .handheld-header -->
        </div>
        <!-- .handheld-only -->
    </header>
    <div id="content" class="site-content" tabindex="-1">
        <div class="col-full">
            <div class="row">
            <?php echo $__env->make('partials.breadcrumb', ['pages' =>
                          [
                          ['name' =>'Experiences', 'route' => 'experiences' ]
                          ]
                          ], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                <!-- .woocommerce-breadcrumb -->
                <div id="primary" class="content-area">
                    <main id="main" class="site-main">
                        <div class="shop-archive-header">
                        <?php echo $__env->make('partials.experience.carousel', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                            <!-- .jumbotron -->
                        </div>
                        <!-- .shop-archive-header -->

                            <!-- .handheld-sidebar-toggle -->
                            <h3 class="font-weight-bold mt-5 mb-3 border-bottom">Experiences</h3>
                        <!-- .shop-control-bar -->
                        <div class="tab-content">
                            <div id="grid" class="tab-pane active" role="tabpanel">
                                <div class="woocommerce columns-5">
                                    <div class="products">
                                        <?php if(isset($products->data)): ?>
                                        <?php foreach($products->data as $product): ?>
                                        <div class="product ">
                                            <a class="woocommerce-LoopProduct-link woocommerce-loop-product__link" href="<?php echo e(url('experience', [$product->product_code])); ?>">
                                                <img width="224" height="197" alt="" class="attachment-shop_catalog size-shop_catalog wp-post-image resize_image_custom" src="<?php echo e($product->image); ?>"
                                                  >
                                                <span class="price">
                                                    <span class="woocommerce-Price-amount amount">
                                                      <?php if(Auth::check()): ?>
                                                        <?php if(Auth::user()->currency->is_currency_fixed == '1'): ?>
                                                            <span class="woocommerce-Price-currencySymbol">&#8358;<?php echo e((number_format($product->price))); ?></span>
                                                        <?php else: ?>
                                                          <span class="woocommerce-Price-currencySymbol"><?php echo e((number_format( Auth::user()->currency->rate * $product->price))); ?> <?php echo e(Auth::user()->currency->currency); ?></span>
                                                        <?php endif; ?>
                                                    <?php endif; ?>
                                                </span>
                                                </span>
                                                <h2 class="woocommerce-loop-product__title"><?php echo e(str_limit($product->product, 20)); ?></h2>
                                            </a>
                                            <!-- .woocommerce-LoopProduct-link -->
                                            <div class="hover-area">
                                                <a class="button" href="<?php echo e(url('experience', [$product->product_code])); ?>">View Experience</a>
                                                  </div>
                                            <!-- .hover-area -->
                                        </div>
                                            <?php endforeach; ?>
                                            <?php else: ?>
                                                <p>No Experience available</p>
                                            <?php endif; ?>
                                    </div>
                                    <!-- .products -->
                                </div>
                                <!-- .woocommerce -->
                            </div>

                            <!-- .tab-pane -->
                        </div>
                        <!-- .tab-content -->
                    </main>
                    <!-- #main -->
                </div>
                <!-- #primary -->
                <div id="secondary" class="widget-area shop-sidebar" role="complementary">
                    <div class="widget woocommerce widget_product_categories techmarket_widget_product_categories" id="techmarket_product_categories_widget-2">
                        <ul class="product-categories ">
                            <li class="product_cat">
                                <span>Browse Categories</span>
                                <ul>
                                    <?php if(isset($response)): ?>
                                        <?php if($response->status == 1): ?>
                                            <?php foreach($response->data as $category): ?>
                                                <li class="cat-item">
                                                    <a title="<?php echo e($category->category); ?>"  id="<?php echo e($category->category_id); ?>" style="cursor: pointer" href="<?php echo e(url("experiences",[str_slug($category->category, '-') .'-' . $category->category_id])); ?>">
                                                        <?php echo e(ucfirst($category->category)); ?></a>
                                                </li>
                                            <?php endforeach; ?>
                                        <?php endif; ?>
                                    <?php endif; ?>
                                </ul>
                            </li>
                        </ul>
                    </div>

                </div>
                <!-- #secondary -->
            </div>
            <!-- .row -->
        </div>
        <!-- .col-full -->
    </div>
    <?php echo $__env->make('partials.newfooter', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
</div>

<script src="<?php echo e(asset('js/main.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/theia-sticky-sidebar.js')); ?>"></script>
<script>
    $('.shop-sidebar').theiaStickySidebar({
        // Settings
        additionalMarginTop: 30
    });
</script>
</body>
</html>