<!doctype html>
<html class="no-js" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Bills  - <?php echo e(config('app.name')); ?></title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Place favicon.ico in the root directory -->
    <link rel="shortcut icon" type="image/x-icon" href="<?php echo e(asset('assets/images/favicon.ico')); ?>">
    <link rel="apple-touch-icon" href="apple-touch-icon.png">

    <link rel="stylesheet" href="<?php echo e(asset('assets/css/all.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-techmarket.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/custom.css')); ?>">

    <link rel="stylesheet" href="<?php echo e(asset('assets/newtemplate/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/newtemplate/css/responsive.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/newtemplate/css/color-three.css')); ?>">
</head>

<body class="woocommerce-active page-template-template-homepage-v1 can-uppercase">
<?php if($errors->any()): ?>
    <?php echo $__env->make('partials.notify', ['text' => $errors->first()], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php endif; ?>
<div id="page" class="hfeed site">
    <div id="loader-wrapper">
        <div id="loader"></div>
    </div>
    <div class="html-top-content">
        <div class="theme-top-section">
            <?php echo $__env->make('partials.newnav', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        </div>
    <div id="content" class="site-content">
        <?php echo $__env->make('partials.bills.slider', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        <div class="col-full" id="shop">
            <div class="row">
                <div id="primary" class="content-area">
                    <main id="main" class="site-main">
                        <?php /*Products Section*/ ?>
                        <section class="full-width section-products-carousel-tabs section-product-carousel-with-featured-product carousel-with-featured-1">
                            <?php if(isset($categories)): ?>
                                <?php if($categories->status == 1): ?>
                                    <div class="container">
                                            <?php foreach($categories->data[0]->child_menu as $item): ?>
                                            <div class="row">
                                                <div class="col-sm-12">
                                                <header class="section-header mt-4">
                                                    <h4 class="section-title custom_page_title custom_color"
                                                    > <?php echo e($item->name); ?></h4>
                                                    </ul>
                                                </header>
                                                </div>
                                                <?php foreach($item->category as $sub_item): ?>
                                                <div class="col-md-3 col-sm-4">
                                                    <a href="<?php echo e(url('bills', ['id' => $sub_item->id])); ?>" class="w-100">
                                                        <div class="providers_list position-relative"
                                                             style="
                                                                     background-color: #F2F2F2;
                                                                     text-align: center;
                                                                     padding: 10px 10px;
                                                                     min-height: 10px;
                                                                     ">
                                                            <div class="d-flex justify-content-around bd-highlight hvr-icon-forward">
                                                                <div class="p-2 bd-highlight"><img src="<?php echo e(asset('assets/images/bill.png')); ?>" alt="" style="    margin-top: 13px;"></div>
                                                                <div class="p-2 bd-highlight"><h5 class="font-weight-bold custom_color" style="line-height: 70px;"><?php echo e($sub_item->name); ?></h5></div>
                                                                <div class="p-2 bd-highlight hvr-icon-forward"><i class="fa fa-chevron-right custom_color hvr-icon" aria-hidden="true" style="font-size: 14px;line-height: 70px;"></i></div>
                                                            </div>
                                                           <?php /*<h5 class="font-weight-bold text-white"><<?php echo e($sub_item->name); ?></h5> <i class="fa fa-chevron-right" aria-hidden="true" style="font-size: 14px; color: #fff;"></i>*/ ?>
                                                        </div>
                                                    </a>
                                                </div>
                                                <?php endforeach; ?>
                                            </div>
                                            <?php endforeach; ?>
                                    </div>
                                <?php endif; ?>
                            <?php endif; ?>
                        </section>
                    </main>
                </div>
            </div>
            <?php echo $__env->make('partials.banner', ['page' => 'bills'], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        </div>
    </div>
        <?php echo $__env->make('partials.footer', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    </div>
</div>
<script src="<?php echo e(asset('js/main.js')); ?>"></script>
<script src="<?php echo e(asset('js/landing.js')); ?>"></script>
<script>
    $(".overlay").click(function(){
        $(this).hide();
    });
</script>
</body>

</html>