<!doctype html>
<html class="no-js" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Profile - <?php echo e(config('app.name')); ?></title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Place favicon.ico in the root directory -->
    <link rel="shortcut icon" type="image/x-icon" href="<?php echo e(asset('assets/images/favicon.ico')); ?>">
    <link rel="apple-touch-icon" href="apple-touch-icon.png">
    <!-- All css files are included here. -->
    <!-- Bootstrap fremwork main css -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/all.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-awesome.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-techmarket.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/blue.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/custom.css')); ?>">
    <style>
       .contact-form .form-group label{
           color: #333 !important;
       }
   </style>
</head>

<body class="woocommerce-active single-product full-width normal">
<?php if($errors->any()): ?>
    <?php echo $__env->make('partials.notify', ['text' => $errors->first()], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php endif; ?>
<div id="page" class="hfeed site">
<?php echo $__env->make('partials.nav_general', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    <div id="content" class="site-content">
        <div class="col-full" id="product">
            <div class="row">
                <div id="primary" class="content-area mt-5">
                    <main id="main" class="site-main">
                    <?php echo $__env->make('partials.breadcrumb', ['pages' =>
       [
       ['name' =>'Profile', 'route' => null ]
       ]
       ], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        <!-- End Bradcaump area -->
        <!-- Start Checkout Area -->
        <section class="col-sm-12 mt-5">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-md-8 col-lg-8">
                        <div class="contact-form">
                            <div role="form" class="wpcf7" id="wpcf7-f425-o1" lang="en-US" dir="ltr">
                                <div class="screen-reader-response"></div>
                                <form class="wpcf7-form" novalidate="novalidate" action="<?php echo e(route('update_member_profile')); ?>" method="post">
                                    <?php echo e(csrf_field()); ?>

                                    <div class="form-group row">
                                        <div class="col-xs-12 col-md-6">
                                            <label>First name
                                                <abbr title="required" class="required">*</abbr>
                                            </label>
                                            <br>
                                            <span class="wpcf7-form-control-wrap firstname">
                                                <input type="text" aria-invalid="false" aria-required="true" class="wpcf7-form-control wpcf7-text wpcf7-validates-as-required input-text" size="40" value="<?php echo e(Auth::user()->firstname); ?>" name="firstname">
                                            </span>
                                        </div>
                                        <!-- .col -->
                                        <div class="col-xs-12 col-md-6">
                                            <label>Last name
                                                <abbr title="required" class="required">*</abbr>
                                            </label>
                                            <br>
                                            <span class="wpcf7-form-control-wrap lastname">
                                                                        <input type="text" aria-invalid="false" aria-required="true" class="wpcf7-form-control wpcf7-text wpcf7-validates-as-required input-text" size="40" value="<?php echo e(Auth::user()->lastname); ?>" name="lastname">
                                                                    </span>
                                        </div>
                                        <!-- .col -->
                                    </div>

                                    <div class="form-group row">
                                        <div class="col-xs-12 col-md-6">
                                            <label>Email
                                                <abbr title="required" class="required">*</abbr>
                                            </label>
                                            <br>
                                            <span class="wpcf7-form-control-wrap email">
                                                <input type="text" aria-invalid="false" aria-required="true" class="wpcf7-form-control wpcf7-text wpcf7-validates-as-required input-text" size="40" value="<?php echo e(Auth::user()->email); ?>" name="email" disabled>
                                            </span>
                                        </div>
                                        <!-- .col -->
                                        <div class="col-xs-12 col-md-6">
                                            <label>Phone
                                                <abbr title="required" class="required">*</abbr>
                                            </label>
                                            <br>
                                            <span class="wpcf7-form-control-wrap phone">
                                            <input type="text" aria-invalid="false" aria-required="true" class="wpcf7-form-control wpcf7-text wpcf7-validates-as-required input-text" size="40" value="<?php echo e(Auth::user()->phone); ?>" name="phone">
                                             </span>
                                        </div>
                                        <!-- .col -->
                                    </div>
                                    <div class="form-group">
                                        <label>Address</label>
                                        <br>
                                         <textarea aria-invalid="false" class="form-control" name="address"><?php  echo trim(Auth::user()->address);  ?></textarea>

                                    </div>
                                    <!-- .form-group-->
                                    <div class="form-group clearfix">
                                        <p>
                                            <input type="submit" value="Update" class="wpcf7-form-control wpcf7-submit">
                                        </p>
                                    </div>
                                    <!-- .form-group-->
                                    <div class="wpcf7-response-output wpcf7-display-none"></div>
                                </form>
                                <!-- .wpcf7-form -->
                            </div>
                            <!-- .wpcf7 -->
                        </div>
                    </div>
                </div>
            </div>
        </section>
                    </main>
                </div>
            </div>
        </div>
    </div>
    <?php echo $__env->make('partials.newfooter', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
</div>
<script src="<?php echo e(asset('js/app.js')); ?>"></script>
<script src="<?php echo e(asset('js/main.js')); ?>"></script>

<script>
    $(".overlay").click(function(){
        $(this).hide();
    })
</script>
</body>

