<!doctype html>
<html class="no-js" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Orders - <?php echo e(config('app.name')); ?></title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>" />

    <!-- Place favicon.ico in the root directory -->
    <link rel="shortcut icon" type="image/x-icon" href="<?php echo e(asset('assets/images/favicon.ico')); ?>">
    <link rel="apple-touch-icon" href="apple-touch-icon.png">
    <!-- All css files are included here. -->
    <!-- Bootstrap fremwork main css -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/all.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-awesome.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-techmarket.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/blue.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/datatable.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/datatables.bootstrap4.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/custom.css')); ?>">

</head>

<body class="woocommerce-active single-product full-width normal">
<?php if($errors->any()): ?>
    <?php echo $__env->make('partials.notify', ['text' => $errors->first()], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php endif; ?>
<div id="page" class="hfeed site">
    <?php echo $__env->make('partials.nav_general', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    <div id="content" class="site-content">
        <div class="col-full mt-5" id="product">
            <div class="row">
                <?php echo $__env->make('partials.breadcrumb', ['page' => 'Orders'], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                <div id="primary" class="content-area">
                    <main id="main" class="site-main">
                        <?php /*CONTENT AREA START*/ ?>
                        <div class="type-page hentry">
                            <div class="entry-content">
                                <div class="woocommerce container mt-2">
                                    <div
                                            style="
                                                    background-image: url(<?php echo e(asset('assets/images/ordercomplete.png')); ?>);
                                                    height: 150px;
                                                    color: #fff;
                                                    background-position: center;
                                                    background-size: cover;
                                                    margin-bottom: 60px;
                                                    "
                                    >
                                        <h2 class="text-center text-white" style="line-height: 150px;">Orders History</h2>
                                    </div>
                                    <div class="cart-wrapper">
                                        <table class="statement_table shop_table_responsive cart" style='width: 100%'>
                                            <thead>
                                            <th>Order Date</th>
                                            <th>Amount</th>
                                            <th>Delivery</th>
                                            <th>Order No</th>
                                            <th>Successful</th>
                                            <th>Failed</th>
                                            <th>Items</th>
                                            </thead>
                                            <tbody>
                                            <?php foreach($accounts as $item): ?>
                                                <tr>
                                                    <td><?php echo e($item->created_at); ?></td>
                                                    <?php if($item->is_shipping): ?>
                                                        <?php if(config('app.appfixcurrency') == 'true'): ?>
                                                            <td>&#8358;<?php echo e(number_format(config('app.apprate') * $item->sub_total_cost + $item->shipping_cost )); ?></td>
                                                        <?php else: ?>
                                                            <td><?php echo e(number_format(config('app.apprate') * $item->sub_total_cost + $item->shipping_cost )); ?> <?php echo e(config('app.appcurrency')); ?></td>
                                                        <?php endif; ?>
                                                    <?php else: ?>
                                                        <?php if(config('app.appfixcurrency') == 'true'): ?>
                                                            <td>&#8358;<?php echo e(number_format(config('app.apprate') * $item->sub_total_cost )); ?></td>
                                                        <?php else: ?>
                                                            <td><?php echo e(number_format(config('app.apprate') * $item->sub_total_cost )); ?> <?php echo e(config('app.appcurrency')); ?></td>
                                                        <?php endif; ?>
                                                    <?php endif; ?>

                                                    <td><?php echo e($item->is_shipping ? 'Shipping' : 'Pickup'); ?></td>
                                                    <td><?php echo e($item->order_no); ?></td>
                                                    <td><?php  echo count($item->success)  ?></td>
                                                    <td><?php if(isset($item->fail["reference"])): ?>
                                                          <?php echo e(count($item->fail["reference"])); ?>

                                                        <?php else: ?>
                                                          <?php echo e(0); ?>

                                                        <?php endif; ?>
                                                    </td>
                                                    <td><a href="<?php echo e(url('order/'.$item->id)); ?>">
                                                    <button class="btn btn-primary">View</button>
                                                    </a></td>
                                                </tr>
                                            <?php endforeach; ?>
                                            </tbody>
                                        </table>
                                    </div>
                                    <!-- .cart-wrapper -->
                                </div>
                                <!-- .woocommerce -->
                            </div>
                            <!-- .entry-content -->
                        </div>

                        <?php /*CONTENT AREA END*/ ?>

                    </main>
                </div>
            </div>
        </div>
    </div>
    <?php echo $__env->make('partials.newfooter', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
</div>
<script src="<?php echo e(asset('js/app.js')); ?>"></script>
<script src="<?php echo e(asset('js/main.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/datatable.min.js')); ?>"></script>
<script>
    $(".statement_table").dataTable();
    $("#DataTables_Table_0_wrapper").css("width", "100%");

</script>
</body>

</html>