<!doctype html>
<html class="no-js" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Movie  - <?php echo e(config('app.name')); ?></title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>"/>
    <!-- Place favicon.ico in the root directory -->
    <link rel="shortcut icon" type="image/x-icon" href="<?php echo e(asset('assets/images/favicon.ico')); ?>">
    <link rel="apple-touch-icon" href="apple-touch-icon.png">
    <!-- All css files are included here. -->
    <!-- Bootstrap fremwork main css -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/all.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-awesome.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-techmarket.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/custom.css')); ?>">

    <link rel="stylesheet" href="<?php echo e(asset('assets/newtemplate/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/newtemplate/css/responsive.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/newtemplate/css/color-three.css')); ?>">

    <?php /*<script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>*/ ?>
    <?php /*<script src="<?php echo e(asset('assets//newtemplate/vendor/html5shiv.js')); ?>"></script>*/ ?>
    <?php /*<script src="<?php echo e(asset('assets//newtemplate/vendor/respond.js')); ?>"></script>*/ ?>
</head>

<body class="woocommerce-active page-template-template-homepage-v1 can-uppercase"
      style="background: #333;"
>
<?php if($errors->any()): ?>
    <?php echo $__env->make('partials.notify', ['text' => $errors->first()], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php endif; ?>
<div id="page" class="hfeed site">
    <div class="modal fade" id="modal" tabindex="-1" role="dialog" aria-labelledby="modal" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title modal_category_title"></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="row justify-content-center">
                        <div class="col-sm-4">
                            <img src="" alt="" id="event_banner">
                        </div>
                        <div class="col-sm-8">
                            <h3 id="event_name"></h3>
                            <h5 id="event_date_modal" style="margin-top:-10px"></h5>
                            <h5 id="event_time_modal" style="font-size:14px; margin-top:-10px"></h5>
                            <p id="event_desc"></p>
                            <div class="tickets_table mt-3">
                                <h5>Tickets</h5>
                                <table class="table table-hover table-sm">
                                    <thead>
                                    <tr>
                                        <th>Person</th>
                                        <th>Price</th>
                                    </tr>
                                    <tbody id="event_tickets_list">

                                    </tbody>
                                    </thead>

                                </table>
                                <form name="event_booking_form">
                                    <div class="row mt-4 mb-4">
                                        <div class="col-sm-12">
                                            <h5>Booking details</h5>
                                        </div>
                                        <div class="col-sm-6 mb-2">
                                            <select name="event_type_option" id="event_type_option" class="form-control">
                                            </select>
                                        </div>
                                        <div class="col-sm-6 mb-2">
                                            <select name="event_order_qty" id="event_order_qty" class="form-control" disabled="disabled">
                                                <option value="" selected disabled="disabled">Select quantity</option>
                                                <option value="1">1</option>
                                                <option value="2">2</option>
                                                <option value="3">3</option>
                                                <option value="4">4</option>
                                                <option value="5">5</option>
                                                <option value="6">6</option>
                                                <option value="7">7</option>
                                                <option value="8">8</option>
                                                <option value="9">9</option>
                                            </select>

                                        </div>
                                        <div class="col-sm-6 mb-2"><input type="email" placeholder="Email" class="form-control" id="user_email" name="user_email"></div>
                                        <div class="col-sm-6 mb-2"><input type="phone" style="height: 45px;"  placeholder="Phone number" class="form-control" id="phone_no" name="phone_no"></div>
                                        <div class="col-sm-12 mt-3">
                                            <hr>
                                        </div>
                                        <div class="col-sm-12 pr-5 pl-5">
                                            <span class="pull-left">Total</span>
                                            <?php if(Auth::user()->currency->is_currency_fixed == '1'): ?>
                                                &#8358;<span class="pull-right"><?php echo e((number_format(0))); ?></span>
                                            <?php else: ?>
                                                <span class="pull-right"><span class="event_price_realtime">0</span><span> <?php echo e(Auth::user()->currency->currency); ?></span></span>
                                            <?php endif; ?>
                                        </div>
                                        <div class="col-sm-6 mt-3">
                                            <hr>
                                            <button class="btn btn-md btn-primary btn-block pay_event_btn" type="button" disabled="disabled">
                                                <i class="fa fa-spinner fa-spin off process_indicator"></i>
                                                Pay</button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <hr>
                    <div class="mt-5">
                        <img src="" alt="" id="orgarnisers_logo">
                        <h5 id="orgarnisers_name" class="text-center"></h5>
                    </div>
                    <br><br>
                    <?php /*<a>*/ ?>
                    <?php /*<button type="button" class="btn btn-large btn-primary pay_bills_btn custom_button_color"><i class="fa fa-spinner fa-spin off process_indicator"></i> Redeem</button>*/ ?>
                    <?php /*</a>*/ ?>
                </div>
            </div>
        </div>
    </div>
    <?php echo $__env->make('partials.notification.ordercomplete', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    <div id="loader-wrapper">
        <div id="loader"></div>
    </div>
    <div class="html-top-content">
        <div class="theme-top-section">
            <?php echo $__env->make('partials.newnav', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        </div>
    <div id="content" class="site-content">
        <?php echo $__env->make('partials.cinemas.slider', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        <div class="col-full" id="shop">
            <div class="row">
                <div id="primary" class="content-area">
                    <main id="main" class="site-main">
                        <?php /*Products Section*/ ?>
                        <section class="full-width section-products-carousel-tabs section-product-carousel-with-featured-product carousel-with-featured-1">
                            <?php if(isset($data)): ?>
                                <?php if($data->status == 1): ?>
                                    <div class="container">
                                        <?php /*<pre>*/ ?>
                                        <?php /*<?php */ ?>
                                        <?php /*var_dump($data->data)*/ ?>
                                        <?php /* ?>*/ ?>
                                        <?php /*</pre>*/ ?>

                                        <div class="row mt-5">
                                            <?php /*<div class="col-sm-12 mt-5 mb-5 border-bottom clearfix">*/ ?>
                                                <?php /*<h4 class="text-white"><span class="font-weight-bold"><?php echo e(ucwords(strtolower($data->data->title))); ?></span></h4>*/ ?>
                                            <?php /*</div>*/ ?>
                                            <div class="col-sm-3">
                                                <?php /*<img src="<?php echo e($data->data->artworkThumbnail); ?>" alt="">*/ ?>
                                                <img src="<?php echo e(asset('assets/images/cinemas/poster1.jpg')); ?>" alt="">
                                            </div>
                                            <div class="col-sm-9 text-white">
                                                <h3 class="font-weight-bold text-white"><?php echo e(ucwords(strtolower($data->data->title))); ?></h3>
                                                <h5><span class="genre_badge text-white"><?php echo e($data->data->genre); ?></span></h5>
                                                <h5 class="text-white"><?php echo e($data->data->starring); ?></h5>
                                                <p><?php echo e($data->data->description); ?></p>
                                                <div class="border-top p-4">
                                                    <p class="text-white font-weight-light" style="text-decoration: underline;">Showtimes</p>
                                                    <?php foreach($data->data->showtimes->day as $index => $item): ?>
                                                        <h4 class="font-weight-bold text-white mt-0"><?php echo e($item->day); ?></h4>
                                                            <ul class="nav nav-pills mb-3" id="pills-tab" role="tablist">
                                                                <?php foreach($item->times as $index2 => $subitem): ?>
                                                                <li class="nav-item">
                                                                    <a class="nav-link custom_button_color movie_time" data-parentindex="<?php echo e($index); ?>" data-dateindex="<?php echo e($index2); ?>" id="pills-home-tab" data-toggle="pill" href="#<?php echo e($index2); ?>" role="tab" aria-controls="<?php echo e($index2); ?>" aria-selected="true">
                                                                        <small class="p-2"><?php echo e(date("h:ia", strtotime(Carbon\Carbon::parse($subitem->date_time)))); ?></small>
                                                                    </a>
                                                                </li>
                                                                <?php endforeach; ?>
                                                            </ul>

                                                        <?php endforeach; ?>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row justify-content-center">
                                            <div class="col-sm-8 mt-5">
                                                <?php /*<iframe width="1414" height="518" src="https://www.youtube.com/embed/<?php echo e($data->data->youtubeid); ?>" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>*/ ?>
                                                <iframe width="1414" height="518" src="https://www.youtube.com/embed/r9WhJyyTtqo" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
                                            </div>
                                        </div>
                                    </div>
                                <?php endif; ?>
                            <?php endif; ?>
                        </section>
                    </main>
                </div>
            </div>
            <?php echo $__env->make('partials.banner', ['page' => 'cinemas'], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        </div>
    </div>

    <?php echo $__env->make('partials.footer', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
</div>
</div>
<script src="<?php echo e(asset('js/main.js')); ?>"></script>
    <script src="<?php echo e(asset('js/landing.js')); ?>"></script>
<script>
    //Configure Ajax
    $.ajaxSetup({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });
    $(".overlay").click(function(){
        $(this).hide();
    });
    var movieData = <?php echo json_encode($data) ?>;
    var showtimes = movieData.data.showtimes.day;


    //Declare global variables.
    var conversionRate = "<?php echo Auth::user()->currency->rate ;?>"
    var appCurrency = "<?php echo Auth::user()->currency->currency ;?>"
    var appCurrencyFixed = "<?php echo Auth::user()->currency->is_currency_fixed ;?>"
    var baseUrl = "<?php echo config('app.base_url')?>";

    $(".overlay").click(function(){
        $(this).hide();
    });

    $(document).ready( function () {
        //Setup Modal with Static details
        $("#event_name").html(movieData.data.title)
        $("#event_desc").html(movieData.data.description)

        //Disable submit button
        $("#user_email,#phone_no").on('keyup keypress', function () {
            if($("#user_email").val() != '' && $("#phone_no").val() != ''){
                $(".pay_event_btn").prop('disabled', false)
            }else{
                $(".pay_event_btn").prop('disabled', true)
            }

        })

        $(".movie_time").on('click', function (event) {
            event.preventDefault()
            var dateindex = $(this).data('dateindex');
            var parentindex = $(this).data('parentindex');
            var showTimeData = showtimes[parentindex].times[dateindex];
            addTicketsToModal(showTimeData.ticket)

        })


        $("#event_type_option").on('change', function () {
            var sign = $(this).find('option:selected').data('signature');
            var price = $(this).find('option:selected').data('price');
            var qty = $("#event_order_qty").val();

            $("#event_order_qty").val(1)
            if($(this).find('option:selected').data('signature') == null){
                $("#event_order_qty").prop("disabled", true);
                $(".event_price_realtime").html("0")
                return false;
            }
            $("#event_order_qty").prop("disabled", false)

            if(appCurrencyFixed == 1){
                //Currency fixed
                var quantity = parseInt(qty);
                var newprice = new Intl.NumberFormat('en-GB').format(price*quantity);
                $(".event_price_realtime").html(newprice)
            }else{
                //Currency not Fixed
                //Currency is not Naira
                var cRate = parseInt(conversionRate), quantity = parseInt(qty);
                // console.log(cRate, qty, price)
                var newprice = new Intl.NumberFormat('en-GB').format(price*cRate*quantity);
                $(".event_price_realtime").html(newprice)
            }
        });

        $("#event_order_qty").on('change keyup', function(){
            var qty = $(this).val();
            var sign = $("#event_type_option").find('option:selected').data('signature');
            var price = $("#event_type_option").find('option:selected').data('price');

            if(appCurrencyFixed == 1){
                //Currency fixed
                var quantity = parseInt(qty);
                var newprice = new Intl.NumberFormat('en-GB').format(price*quantity);
                $(".event_price_realtime").html(newprice)
            }else{
                //Currency not Fixed
                //Currency is not Naira
                var cRate = parseInt(conversionRate), quantity = parseInt(qty);
                var newprice = new Intl.NumberFormat('en-GB').format(price*cRate*quantity);
                $(".event_price_realtime").html(newprice)
            }
        })


            $(".pay_event_btn").on('click', function (e) {
                e.preventDefault()
                var data = {
                    signature: $("#event_type_option").find('option:selected').data('signature'),
                    price: $("#event_type_option").find('option:selected').data('price'),
                    qty: $("#event_order_qty").val(),
                    email: $("#user_email").val(),
                    phone_no: $("#phone_no").val(),
                    name: movieData.data.title
                }

                if(data.email == '' || data.phone_no == '' || data.qty == 0){
                    alertui.notify('error', 'Please complete the form');
                    return false;
                }

                $(".process_indicator").removeClass('off');
                $(".pay_event_btn").prop('disabled', true)
                $.post(baseUrl+'redeem_movie',data)
                    .done(function (res) {
                        $(".process_indicator").addClass('off');
                        $(".pay_event_btn").prop('disabled', false)
                        // handle success
                        if (!res) {
                            alertui.notify('error','Failed to complete payment');
                            return false;
                        }
                        if (res.status == '400') {
                            alertui.notify('error',res.data);
                            return false;
                        }
                        if (res.status == 'fail') {
                            alertui.notify('error',res.data);
                            return false;
                        }
                        if (res.status == '200') {
                            updateAccount(res.account)
                            $('#modal').modal('hide');
                            $('#modal').on('hidden.bs.modal', function (e) {
                                $('#ordernotify').modal('show');
                            });
                            var oldlink = $("#order_receipt").prop('href');
                            $('#ordernotify').on('shown.bs.modal', function (e) {
                                $("#order_receipt").prop('href', '');
                                $("#order_receipt").prop('href', "<?php echo e(url('ordercomplete')); ?>"+'/'+res.data);
                            });
                        }
                    })
                    .fail(function (response, status, error) {
                        // handle error
                        $(".process_indicator").addClass('off');
                        $(".pay_event_btn").prop('disabled', false)
                        // console.log(error)
                        if(response.status == 500){
                            alertui.notify('error', 'An Error Occurred. Please try again.')
                        }
                        else{
                            alertui.notify('error', response.responseJSON.data)
                        }
                    })
                // $(this).off('click');
            })
        })

    function addTicketsToModal(tickets){
        //Add Tickets
        var tr;
        var option = "<option data-signature='null' disabled selected>Select category</option>";
        $.each(tickets, function(index, item){
            if(appCurrencyFixed == 1){
                //Currency fixed
                var newprice = new Intl.NumberFormat('en-GB').format(item.price);
                tr += "<tr data-signature="+item.signature +">";
                tr += "<td class='ticket_title'>" + item.type + "</td>";
                tr += "<td class='ticket_price' id="+item.price+">" + newprice + "</td>";
            }else{
                //Currency not Fixed
                //Currency is not Naira
                var cRate = parseInt(conversionRate);
                var newprice = new Intl.NumberFormat('en-GB').format(item.price*cRate);
                tr += "<tr data-signature="+item.signature +">";
                tr += "<td class='ticket_title'>" + item.type + "</td>";
                tr += "<td class='ticket_price' id="+item.price+">" + newprice +' ' + appCurrency + "</td>";
            }
            tr += "</tr>";
        });

        //Add Person Type
        $.each(tickets, function(index, item){
            option += "<option data-signature="+item.signature+" data-price="+item.price+">"
            option += item.type;
            tr += "</option>";
        });
        $("#event_tickets_list").empty()
        $("#event_type_option").empty()
        $("#event_type_option").append(option)
        $("#event_tickets_list").append(tr)
        $("#modal").modal('show');
    }

</script>
</body>

</html>