<!doctype html>
<html class="no-js" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Cart - <?php echo e(config('app.name')); ?></title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>" />

    <!-- Place favicon.ico in the root directory -->
    <link rel="shortcut icon" type="image/x-icon" href="<?php echo e(asset('assets/images/favicon.ico')); ?>">
    <link rel="apple-touch-icon" href="apple-touch-icon.png">
    <!-- All css files are included here. -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/all.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/font-techmarket.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('theme/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/custom.css')); ?>">

    <link rel="stylesheet" href="<?php echo e(asset('assets/newtemplate/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/newtemplate/css/responsive.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/newtemplate/css/color-three.css')); ?>">
    <style>
        .alert-ui .alt-btn{
            display: inline !important;
        }
    </style>
</head>

<body class="woocommerce-active single-product full-width normal">
<?php if($errors->any()): ?>
    <?php echo $__env->make('partials.notify', ['text' => $errors->first()], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php endif; ?>
<?php echo $__env->make('partials.notification.ordercomplete', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<div id="page" class="hfeed site">
    <div id="loader-wrapper">
        <div id="loader"></div>
    </div>
    <div class="html-top-content">
        <div class="theme-top-section">
            <?php echo $__env->make('partials.newnav', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        </div>
    <header id="masthead" class="site-header header-v1" style="background-image: none; ">
        <div class="col-full desktop-only">
            <div class="row align-items-center">
                <div id="departments-menu" class="dropdown departments-menu" style="display: none;">
                    <button class="btn dropdown-toggle btn-block" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        <i class="tm tm-departments-thin"></i>
                        <span>Categories</span>
                    </button>
                    <ul id="menu-departments-menu" class="dropdown-menu yamm departments-menu-dropdown">
                    </ul>
                </div>

                <!-- .departments-menu -->
                <form class="navbar-search" method="get" action="">

                    <!-- .input-group -->
                </form>
                <!-- .navbar-search -->
                <!-- .header-wishlist -->
                <ul id="site-header-cart" class="site-header-cart menu">
                    <li class="animate-dropdown dropdown ">
                        <a class="cart-contents" href="<?php echo e(url('cart')); ?>" title="View your shopping cart">
                            <i class="tm tm-shopping-bag"></i>
                            <?php if(Auth::check()): ?>
                                <?php if(Auth::user()->cartCount()[0]): ?>
                                    <span class="count"><?php echo e(Auth::user()->cartCount()[0]); ?></span>
                                    <?php else: ?>
                                    <span class="count"></span>
                                <?php endif; ?>
                            <?php endif; ?>
                        </a>
                    </li>
                </ul>
                <!-- .site-header-cart -->
            </div>
            <!-- /.row -->
        </div>
        <div class="col-full handheld-only">
            <div class="handheld-header">
                <!-- /.row -->
                <div class="techmarket-sticky-wrap">
                    <div class="row">
                        <nav id="handheld-navigation" class="handheld-navigation" aria-label="Handheld Navigation" style="visibility: hidden">
                            <button class="btn navbar-toggler" type="button">
                                <i class="fa fa-list" aria-hidden="true"></i>
                                <span>Menu</span>
                            </button>
                            <div class="handheld-navigation-menu">
                                <span class="tmhm-close">Close</span>
                                <?php echo $__env->make('partials.categories_nav_catalogue_mobile', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                            </div>
                            <!-- .handheld-navigation-menu -->
                        </nav>
                        <!-- .handheld-navigation -->
                        <div class="site-search" style="visibility: hidden">
                            <div class="widget woocommerce widget_product_search">
                                <form role="search" method="get" class="woocommerce-product-search" action="#">
                                    <label class="screen-reader-text" for="woocommerce-product-search-field-0">Search for:</label>
                                    <input type="search" id="woocommerce-product-search-field-0" class="search-field" placeholder="Search products&hellip;" value="" name="s" />
                                    <input type="button" value="Search" />
                                    <input type="hidden" name="post_type" value="product" />
                                </form>
                            </div>
                            <!-- .widget -->
                        </div>
                        <a class="handheld-header-cart-link has-icon" href="<?php echo e(url('cart')); ?>" title="View your shopping cart">
                            <i class="tm tm-shopping-bag"></i>
                            <?php if(Auth::check()): ?>
                                <?php if(Auth::user()->cartCount()[0]): ?>
                                    <span class="count"><?php echo e(Auth::user()->cartCount()[0]); ?></span>
                                <?php else: ?>
                                    <span class="count">0</span>
                                <?php endif; ?>
                            <?php endif; ?>
                        </a>
                    </div>
                    <!-- /.row -->
                </div>
            </div>
        </div>
    </header>
    <div id="content" class="site-content">
        <div class="col-full" id="product">
            <div class="row">
                <?php echo $__env->make('partials.breadcrumb', ['pages' =>
              [
              ['name' =>'Cart', 'route' => null ]
              ]
              ], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                <div id="primary" class="content-area">
                    <main id="main" class="site-main">
                        <div style="
                                background-image: url(<?php echo e(asset('assets/images/ordercomplete.png')); ?>);
                                height: 150px;
                                color: #fff;
                                background-position: center;
                                background-size: cover;
                                margin-bottom: 60px;
                                "
                        >
                            <h2 class="text-center text-white" style="line-height: 150px;">Cart</h2>
                        </div>
                        <div class="type-page hentry">
                            <div class="entry-content">
                                <div class="woocommerce">
                                    <?php if(isset($pendingcart) && count($pendingcart) > 0): ?>
                                    <div class="cart-wrapper">
                                        <?php 
                                            $ifdelivery = 1;
                                         ?>
                                        <form method="post" action="#" class="woocommerce-cart-form">
                                            <table class="shop_table shop_table_responsive cart">
                                                <thead>
                                                <tr>
                                                    <th class="product-remove">&nbsp;</th>
                                                    <th class="product-thumbnail">&nbsp;</th>
                                                    <th class="product-name">Product</th>
                                                    <th class="product-price">Price</th>
                                                    <th class="product-quantity">Quantity</th>
                                                    <th class="product-subtotal">Total</th>
                                                </tr>
                                                </thead>
                                                <tbody>

                                                <?php foreach($pendingcart as $item): ?>
                                                    <?php 
                                                        if($item->delivery_type == 2){
                                                        $ifdelivery = 2;
                                                        }
                                                     ?>
                                                <tr id="<?php echo e($item->id); ?>">
                                                    <td class="product-remove">
                                                        <a class="remove" id="<?php echo e($item->id); ?>" style="cursor:pointer;">×</a>
                                                    </td>
                                                    <td data-title="Product" class="product-name">
                                                        <h4 class=""><?php echo e($item->name); ?></h4>
                                                    </td>
                                                    <td data-title="Price" class="product-price">
                                                                    <span class="woocommerce-Price-amount amount">
                                                    <?php if(Auth::check()): ?>
                                                    <?php if(Auth::user()->currency->is_currency_fixed == '1'): ?>
                                                         <span class="woocommerce-Price-currencySymbol">&#8358;</span><?php echo e(transform_product_price($item->price, 1)); ?></span>
                                                        <?php else: ?>
                                                            <?php echo e(transform_product_price($item->price, Auth::user()->currency->rate )); ?>

                                                           <span class="woocommerce-Price-currencySymbol"><?php echo e(Auth::user()->currency->currency); ?></span>
                                                        <?php endif; ?>
                                                    <?php endif; ?>
                                                    </td>
                                                    <td class="product-quantity" data-title="Quantity">
                                                        <div class="quantity">
                                                            <label for="quantity-input-1">Quantity</label>
                                                            <input id="<?php echo e($item->id); ?>" type="number" min="1" name="orderqty" value="<?php echo e($item->qty); ?>"  title="Quantity" class="input-text qty text" size="4">
                                                        </div>
                                                    </td>
                                                    <td data-title="Total" class="product-subtotal">
                                                                    <span class="woocommerce-Price-amount amount">
                                                                        <?php if(Auth::user()->currency->is_currency_fixed == '1'): ?>
                                                                            <span class="woocommerce-Price-currencySymbol">&#8358;</span>
                                                                            <?php echo e(transform_product_price(($item->price * $item->qty), 1)); ?>

                                                                            <?php else: ?>
                                                                            <?php echo e(transform_product_price(($item->price * $item->qty), Auth::user()->currency->rate )); ?>

                                                                              <span class="woocommerce-Price-currencySymbol">
                                                                                 <?php echo e(Auth::user()->currency->currency); ?>

                                                                            </span>
                                                                    </span>
                                                                            <?php endif; ?>
                                                        <a title="Remove this item" class="remove"  id="<?php echo e($item->id); ?>" style="cursor:pointer;">×</a>
                                                    </td>
                                                </tr>
                                                <?php endforeach; ?>
                                                </tbody>
                                            </table>
                                            <button class="btn update-button custom_button_color">
                                                Update cart
                                            </button>
                                        </form>
                                        <!-- .woocommerce-cart-form -->
                                        <div class="cart-collaterals">
                                            <div class="cart_totals">
                                                <h2 style="border: none;">Cart totals</h2>
                                                <?php if(isset($pendingcart) && count($pendingcart) > 0): ?>
                                                <table class="shop_table shop_table_responsive">
                                                    <tbody>
                                                    <tr class="cart-subtotal">
                                                        <th>Subtotal</th>
                                                        <td data-title="Subtotal subtotalvalue" id="subtotal_value" data-subtotal="<?php echo e($pendingcartsum[0]); ?>">
                                                                        <span class="woocommerce-Price-amount amount">
                                                            <?php if(Auth::check()): ?>
                                                                <?php if(Auth::user()->currency->is_currency_fixed == '1'): ?>
                                                                    <span class="woocommerce-Price-currencySymbol">&#8358;</span><?php  echo $pendingcartsum ? transform_product_price($pendingcartsum[0], 1) : '0'  ?>
                                                                <?php else: ?>
                                                                    <?php  echo $pendingcartsum ? transform_product_price($pendingcartsum[0], Auth::user()->currency->rate ). ' '. Auth::user()->currency->currency : '0'  ?>
                                                                <?php endif; ?>
                                                            <?php endif; ?>
                                                            </span>
                                                        </td>
                                                    </tr>
                                                    </tbody>
                                                </table>
                                                <?php endif; ?>
                                                <div class="wc-proceed-to-checkout" style="border: none;">

                                                    <?php if($ifdelivery == 1): ?>
                                                        <a href="" id="checkoutbtn" class="checkout-button custom_button_color button alt wc-forward">
                                                            <i class="fa fa-spinner fa-spin off process_indicator"></i>
                                                            <span class="purchase_action_text">Purchase</span>
                                                        </a>
                                                    <?php elseif($ifdelivery == 2): ?>
                                                        <a href="<?php echo e(url('checkout')); ?>"  class="checkout-button button custom_button_color alt wc-forward">
                                                            <i class="fa fa-spinner fa-spin off process_indicator"></i>
                                                            <span class="purchase_action_text">Proceed to Checkout</span>
                                                        </a>
                                                    <?php endif; ?>
                                                </div>
                                            </div>
                                            <!-- .cart_totals -->
                                        </div>
                                        <!-- .cart-collaterals -->
                                    </div>
                                    <?php else: ?>
                                        <div class="row justify-content-center align-items-center text-center">
                                            <div class="col">
                                                <img src="<?php echo e(asset('assets/images/cart/shopping-cart-icon.png')); ?>" alt="" style="margin: 10px auto; width: 10%;">
                                        <h3 class="text-center mb-5">Your Cart is empty</h3>
                                            </div>
                                        </div>
                                    <?php endif; ?>
                                </div>
                                <!-- .woocommerce -->
                            </div>
                            <!-- .entry-content -->
                        </div>

                        <?php /*CONTENT AREA END*/ ?>

                    </main>
                </div>
            </div>
        </div>
    </div>
</div>
    <?php echo $__env->make('partials.footer', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
</div>
</div>
<script src="<?php echo e(asset('js/main.js')); ?>"></script>
<script src="<?php echo e(asset('js/landing.js')); ?>"></script>
<script>
    var processState = 0;
    var cartItems = [];
    var baseUrl = "<?php echo config('app.base_url')?>";
    $.ajaxSetup({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $(".overlay").click(function(){
        $(this).hide();
    })

    $(document).ready(function () {
        $(".remove").on('click', function () {
            popcartitem($(this).attr('id'))
        });
        //Checkout button event
        $("#checkoutbtn").click(function (event) {
            event.preventDefault();
           checkout_redeem();
        });

        $(".update-button").on('click', function(e) {
            e.preventDefault();
            cartItems = [];
            $("input[name='orderqty']").each(function () {
                var item = {id:$(this).prop('id'), qty:$(this).val() };
                    cartItems.push(item);
            })
            // console.log(cartItems);
            updatecart()
        });
    })

    function popcartitem(id){

            alertui.confirm('Confirm Remove'
                , 'Do you want to remove this item from your Cart? '
                , function(){
            $.post(baseUrl+'delete_cart_item', {id:id})
                .done(function (res) {
                    // handle success
                    if (!res) {
                        alertui.notify('error', 'Failed to update your cart');
                        return false;
                    }
                    if (res.data.status == '400') {
                        alertui.notify('error', res.data.data);
                        return false;
                    }
                    $("tr[id="+id+"] ").fadeOut("slow", function(){
                        alertui.notify('success', 'Your cart has been updated');
                        location.reload();
                    })

                })
                .fail(function (error) {
                    // handle error
                    alertui.notify('error', 'An Error occurred. Failed to update your cart');
                })
        },function(){
                    // Notify success callback button default Cancel
                    alertui.notify('info', 'Item is safe in your Cart');
                }
            );
            }

    function checkout_redeem(){
        $(".process_indicator").removeClass('off');
        $.post(baseUrl+'redeem_cart')
            .done(function (res) {
                $(".process_indicator").addClass('off');
                // handle success
                if (!res) {
                    alertui.notify('success','Failed to complete payment');
                    return false;
                }
                if (res.status == '400') {
                    alertui.notify('error',res.data.message);
                    return false;
                }
                if (res.status == 'servererror') {
                    alertui.notify('error',res.data.message);
                    return false;
                }
                if (res.status == 'fail') {
                    alertui.notify('error',res.data);
                    return false;
                }
                if (res.status == '200') {
                    updateAccount(res.account)
                    updateCartCount(0);
                    $(".cart-wrapper").fadeOut("slow")
                    $('#ordernotify').modal('show');
                    var oldlink = $("#order_receipt").prop('href');
                    $('#ordernotify').on('shown.bs.modal', function (e) {
                        $("#order_receipt").prop('href', "<?php echo e(url('ordercomplete')); ?>"+'/'+res.data);
                    });
                }
            })
            .fail(function (response, status, error) {
                // handle error
                $(".process_indicator").addClass('off');
                $(".orderloader").hide();
                if(response.status == 500){
                    alertui.notify('error', 'Error completing order.. Please try again.')
                }
                else{
                    alertui.notify('error', response.responseJSON.data.message)
                }
            })
    }

     function updatecart(){
        $.post(baseUrl+'update_cart',{items:cartItems})
            .done(function (res) {
                if(!res){
                    alertui.notify('error', 'Failed to update cart');
                    return false;
                }
                if(res.status == '400'){
                    alertui.notify('error', res.data);
                    return false;
                }
                alertui.notify('success', 'Success cart updated');
                location.reload();
            })
            .fail(function (response, status, error) {
                if(response.status == 500){
                    alertui.notify('error', 'Apologies, an error occurred. Failed update cart');
                }
                else{
                    alertui.notify('error', response.responseJSON.data)
                }
            })
    };

    function updateCartCount(cartqty){
        $("span.count").html(cartqty);
    }

</script>
</body>

</html>